2014-05-29 22:50  brlcad

	* [r60988] NEWS:
	  move the 7 features cliff back-ported down into the 7.24.2
	  release section. reword for clarity and to remove the dev
	  perspective. these features of mged and rtwizard were nearly all
	  worked in response to user requests (baker et al).

2014-05-29 21:40  brlcad

	* [r60981] src/other/tkhtml/CMake/FindTCL.cmake,
	  src/other/tkpng/CMake/FindTCL.cmake,
	  src/other/tktable/CMake/FindTCL.cmake:
	  sync the other FindTCL.cmake files

2014-05-29 21:39  brlcad

	* [r60980] misc/CMake/FindTCL.cmake:
	  make sure the script produced a file before we attempt to read
	  the file in order to avoid a CMake error message about the file
	  not existing. this occurs when there is a broken system wish, but
	  it halts the build unnecessarily.

2014-05-29 19:06  brlcad

	* [r60957] NEWS:
	  summarize the 7.24.2 highlights

2014-05-16 22:20  brlcad

	* [r60676] NEWS:
	  mohit changed some of the image conversion tools (like pix-bw)
	  that took an -R/-G/-B option that optionally took a weight value,
	  to now require the weight value (previous implicit was
	  weight=1.0).

2014-05-16 22:10  brlcad

	* [r60674] NEWS:
	  mohit made a number of changes to many of the image processing
	  tools where they previously didn't support options like -s, -w,
	  -n consistently, but now they do.

2014-05-16 22:03  brlcad

	* [r60672] NEWS:
	  keith improved pipe ray tacing in r57269 where there was an error
	  in grazing cases where you have legitimate in/out hits on same
	  surface but less than 0.00001 dist. per his description: For the
	  pipe we don't expect to hit the same surface within such a small
	  distance unless it is a grazing case in which we really want to
	  remove both hits. Also changed the hardcoded '0.00001' constant
	  to the internal distance tolerence. Also removed related
	  conditional that reported the original error and bailed.

2014-05-14 20:37  brlcad

	* [r60635] NEWS:
	  tom upgraded boost to version 1.55.0 in r58529, patches submitted
	  for some fixes that needed to be made.

2014-05-14 14:53  brlcad

	* [r60617] src/libfb/if_X24.c:
	  document what this little bit of magic is actually doing. it's
	  setting up a luminance conversion table (ironically for 8-bit and
	  1-bit greyscale displays) where values are factored by three
	  precise factors (0.299, 0.587, 0.114) but we do the math here in
	  integer space to avoid floating point error accumulation (and
	  perhaps originally for performance too). this commit changes the
	  loop to not multiply table values, instead accumulating them via
	  addition, which should hopefully avoid the gcc 4.8.1 error that
	  Tom encountered. credit to Widelands (sigra, r3180) for the
	  method that improves upon our initialization. gotta love open
	  source round tripping.

2014-05-14 14:37  brlcad

	* [r60616] src/libfb/if_X24.c:
	  revert r56920 because it injects a bug in the luminance
	  conversion values. more on this next.

2014-05-13 02:32  brlcad

	* [r60591] NEWS:
	  there was a problem importing more than 11 region groups,
	  presuambly assuming a region group for every range of 1000 region
	  id numbers. richard made it dynamically allocate the region set.

2014-05-06 22:52  brlcad

	* [r60517] NEWS:
	  combine the news update for cliff's update to 1.6.10 with the
	  previous 1.6.3 entry that erik did

2014-05-05 19:06  brlcad

	* [r60491] NEWS:
	  writh r56192, keith implemented additional grazing hit behavior
	  improvements to nurbs ray tracing. in particular, he uses a
	  tigher dot tolerance.

2014-05-05 18:49  n_reed

	* [r60489] include/brlcad_ident.h:
	  remove inline qualifier from brlcad_ident in response to gcc
	  -Werror=inline "call is unlikely and code size would grow"

2014-05-02 20:34  brlcad

	* [r60458] src/libbu/affinity.c:
	  ugh. the affinity locking bug on pthread systems was actually a
	  1-char typo, & vs %. the bad news is that affinity locking
	  doesn't seem to be providing nearly as much benefit as when all
	  threads where running on the same cores. might be all for naught.

2014-04-12 00:06  starseeker

	* [r60428] src/other/libpng/ANNOUNCE, src/other/libpng/CHANGES,
	  src/other/libpng/CMakeLists.txt, src/other/libpng/LICENSE,
	  src/other/libpng/Makefile.am, src/other/libpng/Makefile.in,
	  src/other/libpng/README, src/other/libpng/TODO,
	  src/other/libpng/aclocal.m4, src/other/libpng/arm/arm_init.c,
	  src/other/libpng/arm/filter_neon.S,
	  src/other/libpng/arm/filter_neon_intrinsics.c,
	  src/other/libpng/autogen.sh, src/other/libpng/compile,
	  src/other/libpng/config.guess, src/other/libpng/config.sub,
	  src/other/libpng/configure, src/other/libpng/configure.ac,
	  src/other/libpng/contrib/arm-neon,
	  src/other/libpng/contrib/arm-neon/README,
	  src/other/libpng/contrib/arm-neon/android-ndk.c,
	  src/other/libpng/contrib/arm-neon/linux-auxv.c,
	  src/other/libpng/contrib/arm-neon/linux.c,
	  src/other/libpng/contrib/conftest,
	  src/other/libpng/contrib/conftest/README,
	  src/other/libpng/contrib/conftest/read.dfa,
	  src/other/libpng/contrib/conftest/s_read.dfa,
	  src/other/libpng/contrib/conftest/s_write.dfa,
	  src/other/libpng/contrib/conftest/simple.dfa,
	  src/other/libpng/contrib/conftest/write.dfa,
	  src/other/libpng/contrib/examples/iccfrompng.c,
	  src/other/libpng/contrib/examples/pngpixel.c,
	  src/other/libpng/contrib/gregbook/Makefile.mingw32,
	  src/other/libpng/contrib/gregbook/Makefile.sgi,
	  src/other/libpng/contrib/gregbook/Makefile.unx,
	  src/other/libpng/contrib/gregbook/Makefile.w32,
	  src/other/libpng/contrib/gregbook/readpng2.c,
	  src/other/libpng/contrib/libtests/pngimage.c,
	  src/other/libpng/contrib/libtests/pngstest.c,
	  src/other/libpng/contrib/libtests/pngunknown.c,
	  src/other/libpng/contrib/libtests/pngvalid.c,
	  src/other/libpng/contrib/pngminim/decoder/makefile,
	  src/other/libpng/contrib/pngminim/decoder/pngusr.h,
	  src/other/libpng/contrib/pngminim/encoder/makefile,
	  src/other/libpng/contrib/pngminim/encoder/pngusr.dfa,
	  src/other/libpng/contrib/pngminim/encoder/pngusr.h,
	  src/other/libpng/contrib/pngminim/preader/makefile,
	  src/other/libpng/contrib/pngminim/preader/pngusr.h,
	  src/other/libpng/contrib/pngminus/makefile.std,
	  src/other/libpng/contrib/pngminus/makefile.tc3,
	  src/other/libpng/contrib/tools/pngfix.c,
	  src/other/libpng/depcomp, src/other/libpng/libpng-manual.txt,
	  src/other/libpng/libpng.3, src/other/libpng/libpngpf.3,
	  src/other/libpng/missing, src/other/libpng/png.5,
	  src/other/libpng/png.c, src/other/libpng/png.h,
	  src/other/libpng/pngconf.h, src/other/libpng/pngdebug.h,
	  src/other/libpng/pngerror.c, src/other/libpng/pngmem.c,
	  src/other/libpng/pngpread.c, src/other/libpng/pngpriv.h,
	  src/other/libpng/pngread.c, src/other/libpng/pngrio.c,
	  src/other/libpng/pngrtran.c, src/other/libpng/pngrutil.c,
	  src/other/libpng/pngset.c, src/other/libpng/pngtest.c,
	  src/other/libpng/pngtrans.c, src/other/libpng/pngwio.c,
	  src/other/libpng/pngwrite.c, src/other/libpng/pngwtran.c,
	  src/other/libpng/pngwutil.c,
	  src/other/libpng/projects/vstudio/readme.txt,
	  src/other/libpng/projects/vstudio/zlib.props,
	  src/other/libpng/scripts/README.txt,
	  src/other/libpng/scripts/def.dfn,
	  src/other/libpng/scripts/descrip.mms,
	  src/other/libpng/scripts/dfn.awk,
	  src/other/libpng/scripts/intprefix.dfn,
	  src/other/libpng/scripts/libpng-config-head.in,
	  src/other/libpng/scripts/libpng.pc.in,
	  src/other/libpng/scripts/makefile.32sunu,
	  src/other/libpng/scripts/makefile.64sunu,
	  src/other/libpng/scripts/makefile.aix,
	  src/other/libpng/scripts/makefile.atari,
	  src/other/libpng/scripts/makefile.bc32,
	  src/other/libpng/scripts/makefile.beos,
	  src/other/libpng/scripts/makefile.bor,
	  src/other/libpng/scripts/makefile.cegcc,
	  src/other/libpng/scripts/makefile.darwin,
	  src/other/libpng/scripts/makefile.dec,
	  src/other/libpng/scripts/makefile.dj2,
	  src/other/libpng/scripts/makefile.elf,
	  src/other/libpng/scripts/makefile.freebsd,
	  src/other/libpng/scripts/makefile.gcc,
	  src/other/libpng/scripts/makefile.hp64,
	  src/other/libpng/scripts/makefile.hpgcc,
	  src/other/libpng/scripts/makefile.hpux,
	  src/other/libpng/scripts/makefile.ibmc,
	  src/other/libpng/scripts/makefile.intel,
	  src/other/libpng/scripts/makefile.knr,
	  src/other/libpng/scripts/makefile.linux,
	  src/other/libpng/scripts/makefile.mips,
	  src/other/libpng/scripts/makefile.msc,
	  src/other/libpng/scripts/makefile.msys,
	  src/other/libpng/scripts/makefile.ne12bsd,
	  src/other/libpng/scripts/makefile.netbsd,
	  src/other/libpng/scripts/makefile.openbsd,
	  src/other/libpng/scripts/makefile.sco,
	  src/other/libpng/scripts/makefile.sggcc,
	  src/other/libpng/scripts/makefile.sgi,
	  src/other/libpng/scripts/makefile.so9,
	  src/other/libpng/scripts/makefile.solaris,
	  src/other/libpng/scripts/makefile.solaris-x86,
	  src/other/libpng/scripts/makefile.std,
	  src/other/libpng/scripts/makefile.sunos,
	  src/other/libpng/scripts/makefile.tc3,
	  src/other/libpng/scripts/makefile.vcwin32,
	  src/other/libpng/scripts/makevms.com,
	  src/other/libpng/scripts/options.awk,
	  src/other/libpng/scripts/pnglibconf.dfa,
	  src/other/libpng/scripts/pnglibconf.h.prebuilt,
	  src/other/libpng/scripts/symbols.def,
	  src/other/libpng/test-driver,
	  src/other/libpng/tests/pngimage-full,
	  src/other/libpng/tests/pngimage-quick,
	  src/other/libpng/tests/pngvalid-progressive-standard:
	  Upgrade libpng to 1.6.10 to get the fix for CVE-2014-0333

2014-04-11 21:25  starseeker

	* [r60427] NEWS, src/libged/rcodes.c:
	  Needs more testing, but added some additional informational
	  outputs to the rcodes command.

2014-04-11 20:57  starseeker

	* [r60426] NEWS, src/libged/inside.c:
	  Fix ellipsoid routine for the inside command.

2014-04-11 13:49  starseeker

	* [r60425] NEWS, src/libged/wdb_obj.c:
	  Need to make sure we restore the bu_log redirects after running
	  bu_cmd on wdb_newcmds - otherwise, we lose bu_log output at MGED
	  command prompt (seen when using reid, for example)

2014-04-01 20:41  starseeker

	* [r60332] doc/docbook/system/man1/en/rtwizard.xml,
	  src/tclscripts/rtwizard/rtwizard:
	  Turns out that the problem was not with the option parsing, but
	  with the documentation telling the user *how* to supply the
	  options. *Need* quotation marks for those to work as expected. I
	  really need to add some rtwizard examples.

2014-03-28 18:12  starseeker

	* [r60274] NEWS, src/tclscripts/rtwizard/lib/MGEDpage.itk:
	  Add a dialog allowing the user to manually set the view center to
	  rtwizard's View menu (user requested feature.)

2014-03-28 17:27  starseeker

	* [r60273] NEWS, src/tclscripts/rtwizard/lib/Wizard.itk:
	  It looks like the default initial rtwizard window size wasn't
	  quite large enough for the contents, which resulted in the
	  buttons being compressed (apparently they are first in the 'we
	  have to make something smaller' list). Use an iniital size large
	  enough to avoid widget compression - change is due to user
	  request.

2013-10-30 12:43  d_rossberg

	* [r58352] misc/win32-msvc/Dll/brlcad.rc:
	  ups, forgot to change this file in r56789 too (replaced logo)

2013-10-22 18:33  starseeker

	* [r58254] src/mged/dm-X.c, src/mged/dm-tk.c:
	  Revert r55126 for dm-X and dm-tk - apparently we do NOT want this
	  logic for non-openGL based display managers, since it breaks z
	  clipping for the X display manager. Fixes a bug observed in
	  7.24.0

2013-10-14 13:26  d_rossberg

	* [r58167] src/other/tclap/config.h.in:
	  Special configuration for MSVC++: MS Windows isn't an officially
	  supported platform for TCLAP. The library uses autotools/make
	  which isn't available with Visual Studio. Nevertheless TCLAP was
	  made compilable in Visual Studio with an "#ifdef _MSC_VER". This
	  behavior has to be simulated in BRL-CAD's CMake configuration.

2013-10-11 00:07  starseeker

	* [r58160] src/libbu/tests/bu_progname.c:
	  As long as we're doing this test and we've decided setprogname is
	  what we should get back from argvo_full_path, do the full string
	  check for more verification goodness.

2013-10-11 00:02  starseeker

	* [r58159] src/libbu/tests/bu_progname.c:
	  Add test to make sure bu_getprogname is being nice.

2013-10-11 00:00  brlcad

	* [r58158] src/libbu/progname.c:
	  and what we really want is to use bu_progname if it's been set,
	  treating bu_setprogname() as the new argv0, so only using
	  program_invocation_name if the caller never called
	  bu_setprogname(). it's a fallback.

2013-10-10 23:55  brlcad

	* [r58157] src/libbu/progname.c:
	  another issue, unclear whether intentional or not but if we have
	  program_invocation_name, only use it if the bu_progname buffer
	  doesn't already have a full path recorded (from bu_setprogname())

2013-10-10 23:28  brlcad

	* [r58156] src/libbu/progname.c:
	  cliff encountered a bug that I even thought about when rewriting
	  all of this but forgot to revisit. if you call bu_getprogname()
	  even once, it will wipe out a full-path setting and
	  bu_argv0_full_path() will only work if the progname is in the
	  PATH. this fix stashes the result in a local buffer before
	  returning (in leu of creating another static global).

2013-09-05 18:30  brlcad

	* [r57446] src/util/dsp_add_t.cpp:
	  since it's all within a try/catch block now, count is used
	  potentially uninitialized

2013-09-05 18:22  tbrowder2

	* [r57445] src/util/dsp_add_t.cpp:
	  initial subclass experiment

2013-09-05 13:58  starseeker

	* [r57444] src/conv/step/g-step/ON_Brep.cpp:
	  Get NURBS form of rev surface for export.

2013-09-05 12:21  tbrowder2

	* [r57443] src/util/dsp_add_t.cpp:
	  initial implementation of tclap arg parsing

2013-09-05 08:15  phoenixyjll

	* [r57442] src/libbrep/boolean.cpp:
	  Don't append to intersect[] directly, because the pointers in
	  pts_on_curves[] may be invalid if the capacity of intersect[] is
	  enlarged. And use ON_ClassArray instead of dynamic allocated
	  pointers.

2013-09-05 06:15  phoenixyjll

	* [r57441] src/librt/primitives/nmg/nmg_brep.cpp:
	  It seem that FilpFace() has no effect... Change vnormal directly.

2013-09-05 05:58  phoenixyjll

	* [r57440] src/librt/primitives/nmg/nmg_brep.cpp:
	  Flip the face if necessary.

2013-09-04 22:24  starseeker

	* [r57438] src/conv/step/g-step/ON_Brep.cpp:
	  Take a stab at arc curve conversion.

2013-09-04 19:06  mohitdaga

	* [r57436] src/libicv/TODO:
	  Add TODO item for stylistic measures

2013-09-04 18:49  starseeker

	* [r57435] src/conv/step/g-step/ON_Brep.cpp:
	  Testing with simple planar breps seems to suggest that this flag
	  needs to be reversed...

2013-09-04 18:38  mohitdaga

	* [r57434] src/libicv/filter.c:
	  icv_filter3 returns a NULL.

2013-09-04 18:37  mohitdaga

	* [r57433] src/libicv/filter.c:
	  Change the name of icv_get_kernel -> get_kernel (private
	  function)

2013-09-04 18:29  mohitdaga

	* [r57432] src/libicv/TODO:
	  Add a TODO item to check for the mixup of two types of filters in
	  filter.c

2013-09-04 18:28  mohitdaga

	* [r57431] src/libicv/filter.c:
	  Remove debug flag.

2013-09-04 18:18  starseeker

	* [r57430] src/other/CMakeLists.txt,
	  src/other/tclap/CMakeLists.txt, src/other/tclap/config.h.in,
	  src/other/tclap/include/tclap/Arg.h,
	  src/other/tclap/include/tclap/StandardTraits.h,
	  src/other/tclap/include/tclap/ValuesConstraint.h,
	  src/util/CMakeLists.txt, src/util/dsp_add_t.cpp:
	  Get dsp_add_t working for testing purposes - the util inclusions
	  of tclap header directories will go away once libbu wraps it.

2013-09-04 18:14  mohitdaga

	* [r57429] src/libicv/filter.c:
	  If the filter specified is not present in the library, we should
	  not consider filtering the image. Instead return with an error.

2013-09-04 17:36  mohitdaga

	* [r57428] src/libicv/TODO:
	  Add a TODO item for validation of input arguments.

2013-09-04 17:35  starseeker

	* [r57427] src/other/tclap/Arg.h, src/other/tclap/ArgException.h,
	  src/other/tclap/ArgTraits.h, src/other/tclap/CmdLine.h,
	  src/other/tclap/CmdLineInterface.h,
	  src/other/tclap/CmdLineOutput.h, src/other/tclap/Constraint.h,
	  src/other/tclap/DocBookOutput.h, src/other/tclap/HelpVisitor.h,
	  src/other/tclap/IgnoreRestVisitor.h, src/other/tclap/MultiArg.h,
	  src/other/tclap/MultiSwitchArg.h,
	  src/other/tclap/OptionalUnlabeledTracker.h,
	  src/other/tclap/StandardTraits.h, src/other/tclap/StdOutput.h,
	  src/other/tclap/SwitchArg.h, src/other/tclap/UnlabeledMultiArg.h,
	  src/other/tclap/UnlabeledValueArg.h, src/other/tclap/ValueArg.h,
	  src/other/tclap/ValuesConstraint.h,
	  src/other/tclap/VersionVisitor.h, src/other/tclap/Visitor.h,
	  src/other/tclap/XorHandler.h,
	  src/other/tclap/ZshCompletionOutput.h,
	  src/other/tclap/include/tclap/Arg.h,
	  src/other/tclap/include/tclap/ArgException.h,
	  src/other/tclap/include/tclap/ArgTraits.h,
	  src/other/tclap/include/tclap/CmdLine.h,
	  src/other/tclap/include/tclap/CmdLineInterface.h,
	  src/other/tclap/include/tclap/CmdLineOutput.h,
	  src/other/tclap/include/tclap/Constraint.h,
	  src/other/tclap/include/tclap/DocBookOutput.h,
	  src/other/tclap/include/tclap/HelpVisitor.h,
	  src/other/tclap/include/tclap/IgnoreRestVisitor.h,
	  src/other/tclap/include/tclap/MultiArg.h,
	  src/other/tclap/include/tclap/MultiSwitchArg.h,
	  src/other/tclap/include/tclap/OptionalUnlabeledTracker.h,
	  src/other/tclap/include/tclap/StandardTraits.h,
	  src/other/tclap/include/tclap/StdOutput.h,
	  src/other/tclap/include/tclap/SwitchArg.h,
	  src/other/tclap/include/tclap/UnlabeledMultiArg.h,
	  src/other/tclap/include/tclap/UnlabeledValueArg.h,
	  src/other/tclap/include/tclap/ValueArg.h,
	  src/other/tclap/include/tclap/ValuesConstraint.h,
	  src/other/tclap/include/tclap/VersionVisitor.h,
	  src/other/tclap/include/tclap/Visitor.h,
	  src/other/tclap/include/tclap/XorHandler.h,
	  src/other/tclap/include/tclap/ZshCompletionOutput.h:
	  Move the headers into the subdirectory

2013-09-04 17:33  starseeker

	* [r57426] src/other/tclap/include, src/other/tclap/include/tclap:
	  Will probably be better to structure this with a subdirectory...

2013-09-04 16:38  n_reed

	* [r57425] src/util/dsp_add_t.cpp:
	  const param type should remove need to cast string literal
	  arguments. Can skip printing both NULL and empty string args.
	  Make exit behavior more consistent, using bu_exit where
	  convienent.

2013-09-04 16:10  tbrowder2

	* [r57424] src/util/dsp_add_t.cpp:
	  comment out tclap header due to problems with tclap config--needs
	  work

2013-09-04 15:54  tbrowder2

	* [r57423] src/util/dsp_add_t.cpp:
	  add casts to avoid errors: deprecated conversion from string
	  constant to 'char*'; last of C++ fixes for good build

2013-09-04 15:49  tbrowder2

	* [r57422] src/util/dsp_add_t.cpp:
	  add casts to avoid invalid conversion errors

2013-09-04 15:41  tbrowder2

	* [r57421] src/util/CMakeLists.txt, src/util/dsp_add_t.cpp:
	  add copy of dsp_add.c for conversion to C++ and using tclap arg
	  processing

2013-09-04 15:21  tbrowder2

	* [r57420] src/util/dsp_add.c:
	  add info; remove unneeded semicolon

2013-09-04 14:29  starseeker

	* [r57419] src/other/CMakeLists.txt, src/other/tclap,
	  src/other/tclap/AUTHORS, src/other/tclap/Arg.h,
	  src/other/tclap/ArgException.h, src/other/tclap/ArgTraits.h,
	  src/other/tclap/COPYING, src/other/tclap/ChangeLog,
	  src/other/tclap/CmdLine.h, src/other/tclap/CmdLineInterface.h,
	  src/other/tclap/CmdLineOutput.h, src/other/tclap/Constraint.h,
	  src/other/tclap/DocBookOutput.h, src/other/tclap/HelpVisitor.h,
	  src/other/tclap/IgnoreRestVisitor.h, src/other/tclap/MultiArg.h,
	  src/other/tclap/MultiSwitchArg.h, src/other/tclap/NEWS,
	  src/other/tclap/OptionalUnlabeledTracker.h,
	  src/other/tclap/README, src/other/tclap/StandardTraits.h,
	  src/other/tclap/StdOutput.h, src/other/tclap/SwitchArg.h,
	  src/other/tclap/UnlabeledMultiArg.h,
	  src/other/tclap/UnlabeledValueArg.h, src/other/tclap/ValueArg.h,
	  src/other/tclap/ValuesConstraint.h,
	  src/other/tclap/VersionVisitor.h, src/other/tclap/Visitor.h,
	  src/other/tclap/XorHandler.h,
	  src/other/tclap/ZshCompletionOutput.h,
	  src/other/tclap/config.h.in:
	  Add minimal file set from tclap 1.2.1 to support experiments in
	  improvements to option parsing. There is a config.h file, so we
	  may need to add CMake logic for a few system tests if long long
	  and/or strstream detection prove necessary.

2013-09-04 11:27  tbrowder2

	* [r57417] doc/docbook/system/man3/en/CMakeLists.txt,
	  doc/docbook/system/man3/en/popt.xml:
	  remove 3rd party doc from our doc tree

2013-09-04 09:45  phoenixyjll

	* [r57416] src/libbrep/boolean.cpp:
	  Generate the connectivity graph for the new solid (after
	  evaluation)

2013-09-04 06:31  phoenixyjll

	* [r57415] src/librt/comb/comb_brep.cpp:
	  Perform Xform for the leaf.

2013-09-04 05:53  phoenixyjll

	* [r57414] src/libbrep/boolean.cpp:
	  Check 3D distance (not included in ON_Brep::IsValid()) when
	  looking for seam trims.

2013-09-04 05:02  phoenixyjll

	* [r57413] src/libged/brep.c, src/librt/comb/comb_brep.cpp,
	  src/librt/primitives/brep/brep_debug.cpp:
	  db => dbip, and mark const for some variables.

2013-09-04 04:45  phoenixyjll

	* [r57412] src/librt/comb/comb_brep.cpp,
	  src/librt/primitives/brep/brep_debug.cpp:
	  Some renaming - ip => dbip; brep_conversion => single_conversion

2013-09-04 04:09  phoenixyjll

	* [r57411] src/librt/comb/comb_brep.cpp:
	  Check the db_i pointer.

2013-09-03 22:05  tbrowder2

	* [r57408] doc/docbook/system/man3/en/CMakeLists.txt,
	  doc/docbook/system/man3/en/popt.xml:
	  add man page for popt(3) option processing library

2013-09-03 20:26  starseeker

	* [r57407] src/conv/step/g-step/ON_Brep.cpp:
	  set curve degree

2013-09-03 20:23  starseeker

	* [r57406] src/conv/step/g-step/ON_Brep.cpp:
	  Make a stab at adding support for Rational curves

2013-09-03 17:40  mohitdaga

	* [r57405] regress/asc2dsp.sh:
	  We might not need this strict flag. Thanks to the latest
	  improvements in the icv_read. (brlcad, Erik, starseeker I see
	  something fishy with the image in asc2dsp.sh. Please have a
	  look.)

2013-09-03 17:26  mohitdaga

	* [r57404] regress/asc2dsp.sh, src/libicv/bw.c, src/libicv/pix.c:
	  Ensure that image with zero size (that is no data) is not read.
	  And null is passed if such a condition ever prevail. This is
	  needed due to the latest improvement in icv_read where we have
	  facility to read images of any size without specifying the size.

2013-09-03 08:11  phoenixyjll

	* [r57403] include/brep.h, src/libbrep/boolean.cpp:
	  Initialize the root node.

2013-09-03 07:50  phoenixyjll

	* [r57402] include/brep.h, src/libbrep/boolean.cpp,
	  src/libbrep/intersect.cpp:
	  It seems that the original implementation didn't reuse surface
	  trees and curve trees actually. The NULL pointers passed in
	  doesn't have any effects. And only call build_curve_root() and
	  build_surface_root() if the tree passed in is NULL.

2013-09-03 05:38  phoenixyjll

	* [r57401] src/libbrep/intersect.cpp:
	  Don't return NULL if split failed. Just duplicate that curve.

2013-09-02 22:25  tbrowder2

	* [r57400] misc/auto-man-page/README.auto-man-page-handling:
	  add obligatory ending colon

2013-09-02 22:24  tbrowder2

	* [r57399] misc/auto-man-page/README.auto-man-page-handling:
	  create a new subsection for SEE ALSO

2013-09-02 20:33  vladbogo

	* [r57398] src/libdm/dm-qt.cpp:
	  ws

2013-09-02 20:32  vladbogo

	* [r57397] include/dm-qt.h, src/libdm/dm-qt.cpp:
	  Modified event processing so that it can be easy to add new
	  button bindings.

2013-09-02 19:23  vladbogo

	* [r57396] src/libdm/dm-qt.cpp:
	  Solved small rotating problem: at first the object jumped in a
	  position then started moving corectly.

2013-09-02 12:45  tbrowder2

	* [r57395] doc/docbook/resources/brlcad/tutorial-template.xsl.in:
	  format for easier manual editing in prep for style sheet clean up

2013-09-02 12:34  tbrowder2

	* [r57394] doc/docbook/resources/brlcad/center-table-print.xsl:
	  add table title centering

2013-09-02 08:07  phoenixyjll

	* [r57393] src/libbrep/boolean.cpp:
	  Remove unused variable.

2013-09-02 06:23  phoenixyjll

	* [r57392] src/libbrep/boolean.cpp:
	  Tweak the comment, and eliminate dead code.

2013-09-02 06:19  phoenixyjll

	* [r57391] src/libbrep/boolean.cpp:
	  ISO type should be checked before we decide whether to share seam
	  curves.

2013-09-02 05:38  phoenixyjll

	* [r57390] src/libbrep/intersect.cpp:
	  Error handling.

2013-09-02 05:26  phoenixyjll

	* [r57389] src/libbrep/boolean.cpp:
	  Avoid duplicated vertexes.

2013-09-02 04:58  phoenixyjll

	* [r57388] src/libbrep/boolean.cpp, src/libbrep/intersect.cpp:
	  Use two macros to make the debug output optional.

2013-09-01 20:45  tbrowder2

	* [r57387] doc/docbook/resources/brlcad/center-table-print.xls,
	  doc/docbook/resources/brlcad/center-table-print.xsl:
	  get extension right

2013-09-01 20:43  tbrowder2

	* [r57386] doc/docbook/resources/brlcad/center-table-print.xls,
	  doc/docbook/resources/brlcad/center-table-print.xs:
	  correct name suffix error

2013-09-01 20:42  tbrowder2

	* [r57385] doc/docbook/resources/brlcad/center-table-print.xs:
	  remove title centering

2013-09-01 20:30  tbrowder2

	* [r57384] doc/docbook/CMakeLists.txt:
	  don't need to configure the file

2013-09-01 20:29  tbrowder2

	* [r57383]
	  doc/docbook/resources/brlcad/brlcad-presentation-fo-stylesheet.xsl.in:
	  use original in src dir

2013-09-01 20:28  tbrowder2

	* [r57382] doc/docbook/resources/brlcad/center-table-print.xs,
	  doc/docbook/resources/brlcad/center-table-print.xsl.in:
	  rename back to original

2013-09-01 20:05  tbrowder2

	* [r57381] doc/docbook/resources/brlcad/center-table-print.xsl.in:
	  format

2013-09-01 20:03  tbrowder2

	* [r57380] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  remove invalid align attribute

2013-09-01 19:39  tbrowder2

	* [r57379] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  use table centering template

2013-09-01 19:37  tbrowder2

	* [r57378]
	  doc/docbook/resources/brlcad/brlcad-presentation-fo-stylesheet.xsl.in:
	  use table centering template

2013-09-01 19:35  tbrowder2

	* [r57377] doc/docbook/CMakeLists.txt:
	  use table centering template

2013-09-01 19:34  tbrowder2

	* [r57376] doc/docbook/resources/brlcad/center-table-print.xsl,
	  doc/docbook/resources/brlcad/center-table-print.xsl.in:
	  rename for cmake use

2013-09-01 19:32  tbrowder2

	* [r57375] doc/docbook/resources/brlcad/center-table-print.xsl:
	  fix typo

2013-09-01 18:21  tbrowder2

	* [r57374] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  beautify code listings a bit more

2013-09-01 17:39  mohitdaga

	* [r57373] doc/docbook/system/man1/en/bw-pix.xml,
	  src/util/bw-pix.c:
	  update the synopsis and man page.

2013-09-01 17:01  mohitdaga

	* [r57372] doc/docbook/system/man1/en/pix-bw.xml:
	  Correct an example in the man page.

2013-09-01 16:51  mohitdaga

	* [r57371] doc/docbook/system/man1/en/pix-bw.xml:
	  Update the mannual page for pix-bw app as per the latest changes.
	  (Erik[Erik], Sean[brlcad], pls have a look at this.)

2013-09-01 16:41  tbrowder2

	* [r57370] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  doing some grouping of similar sections

2013-09-01 16:30  tbrowder2

	* [r57369] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  combine sections with common title

2013-09-01 16:24  tbrowder2

	* [r57368] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  improve code appearance--white space

2013-09-01 15:49  mohitdaga

	* [r57367] src/util/bw-pix.c:
	  Add filesize options for fast reading. Also this retains backward
	  compatible, that is if filesize options are not added, still it
	  works. -courtesy Intelligent icv_read

2013-09-01 15:47  mohitdaga

	* [r57366] src/util/pix-bw.c:
	  add recently added parameters (r57364) in bu_getopt

2013-09-01 15:19  mohitdaga

	* [r57365] src/libicv/fileformat.c:
	  WS

2013-09-01 15:18  mohitdaga

	* [r57364] src/util/pix-bw.c:
	  Add file information for fast reading. Also this is backward
	  compatible, that is if file information is not added still the
	  app will work.

2013-09-01 13:51  brlcad

	* [r57363] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  revert r57360. I was referring to pages in my slideshare
	  presentation, not pages in the app dev guide (the errors there
	  are more subtle and throughout like header names that have
	  changed).

2013-09-01 13:25  mohitdaga

	* [r57362] src/libicv/color_space.c:
	  File Name. Typo error.

2013-09-01 11:31  tbrowder2

	* [r57361] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  move to formaltable; improve col hdgs appearance

2013-09-01 10:58  tbrowder2

	* [r57360] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  mark pages Sean said needed updating (pp. 27-37 in original PP
	  version)

2013-08-31 15:50  tbrowder2

	* [r57357] doc/docbook/system/mann/en/attr.xml:
	  add COPYRIGHT section

2013-08-31 15:31  starseeker

	* [r57356] doc/docbook/system/man3/en/CMakeLists.txt,
	  doc/docbook/system/man3/en/bu_htond.xml:
	  remove bu_htond.xml per Sean's suggestion - leaving the
	  set_source_files_properties example in place as a comment, in
	  case future xml man pages are used to generate multiple outputs.

2013-08-31 14:09  starseeker

	* [r57355] doc/docbook/CMakeLists.txt,
	  doc/docbook/articles/CMakeLists.txt,
	  doc/docbook/books/CMakeLists.txt,
	  doc/docbook/lessons/CMakeLists.txt,
	  doc/docbook/presentations/CMakeLists.txt,
	  doc/docbook/resources/brlcad/brlcad-book-fo-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-book-xhtml-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-lesson-fo-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-lesson-xhtml-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-man-fo-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-man-xhtml-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-presentation-fo-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-presentation-xhtml-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-specification-fo-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-specification-xhtml-stylesheet.xsl.in,
	  doc/docbook/specifications/CMakeLists.txt,
	  doc/docbook/system/CMakeLists.txt:
	  Add purpose-specific stylesheet templates for the various
	  documentation types we have present (just copies of the previous
	  generic ones, for now) and rework CMake logic so each document
	  type is setting up its own stylesheets.

2013-08-31 11:56  tbrowder2

	* [r57354] doc/docbook/CMakeLists.txt:
	  add new style sheets to configuration list

2013-08-31 11:55  tbrowder2

	* [r57353]
	  doc/docbook/resources/brlcad/brlcad-article-fo-stylesheet.xsl.in,
	  doc/docbook/resources/brlcad/brlcad-article-xhtml-stylesheet.xsl.in:
	  add style sheets specifically for DocBook article types

2013-08-31 11:16  tbrowder2

	* [r57352] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  add remainder of missing code

2013-08-31 05:32  mohitdaga

	* [r57351] src/libicv/TODO:
	  Comments in icv.h have been aligned to 70 col. (Thanks sean).

2013-08-31 02:17  starseeker

	* [r57350] doc/docbook/system/man3/en/CMakeLists.txt:
	  Update name of extra manpage output for bu_ntohd.3

2013-08-31 01:35  starseeker

	* [r57349] src/other/stepcode/doc/man/man1/exp2cxx.1,
	  src/other/stepcode/doc/man/man1/fedex_plus.1:
	  Whoops - rename man page.

2013-08-31 00:33  starseeker

	* [r57348] src/other/stepcode/CMakeLists.txt,
	  src/other/stepcode/include/CMakeLists.txt:
	  If we're using SC_BINARY_DIR to generate these files, need to use
	  it for the install rule too - SC_BINARY_DIR doesn't always equal
	  CMAKE_BINARY_DIR

2013-08-31 00:31  starseeker

	* [r57347] src/other/CMakeLists.txt:
	  Make sure stepcode's directories are the same as ours.

2013-08-30 23:24  tbrowder2

	* [r57346] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  add missing 'and'

2013-08-30 23:19  tbrowder2

	* [r57345] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  continuing to improve; note handling of authorship

2013-08-30 21:33  erikgreenwald

	* [r57344] src/libbn/tests/CMakeLists.txt:
	  test command and generated executable names have to match

2013-08-30 21:30  tbrowder2

	* [r57343]
	  doc/docbook/resources/brlcad/brlcad-fo-stylesheet.xsl.in:
	  style program listings shaded with slightly smaller font

2013-08-30 20:25  tbrowder2

	* [r57342] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  adding missing chunks; start whipping into readable shape

2013-08-30 19:29  starseeker

	* [r57341] src/libbn/tests/CMakeLists.txt:
	  Ignore files for distcheck

2013-08-30 19:24  starseeker

	* [r57340] doc/docbook/presentations/en/CMakeLists.txt:
	  ignore docbook/presentations/en/README.txt

2013-08-30 19:10  starseeker

	* [r57339]
	  doc/docbook/books/en/BRL-CAD_Tutorial_Series-VolumeIII.xml:
	  Stub in fo imageobject entires - will need to customize each of
	  these anyway after evaluating output.

2013-08-30 18:48  brlcad

	* [r57338] TODO, src/librt/tests/CMakeLists.txt:
	  also disable the two nurbs evaluation units since they're tied to
	  incomplete implementation being worked

2013-08-30 18:45  brlcad

	* [r57337] TODO:
	  two new unit tests disabled during release preparations, need to
	  be fixed

2013-08-30 18:44  brlcad

	* [r57336] src/libbn/tests/CMakeLists.txt:
	  disable the bn_poly_sub test, unexpected failure encountered but
	  no diagnostic output is given.

2013-08-30 18:43  brlcad

	* [r57335] src/libbu/tests/CMakeLists.txt:
	  semaphore test failure encountered where it shouldn't be failing.
	  probably something wrong with the test that needs correcting.

2013-08-30 18:14  starseeker

	* [r57334]
	  doc/docbook/books/en/BRL-CAD_Tutorial_Series-VolumeIII.xml:
	  Add some more imageobject entries.

2013-08-30 18:00  starseeker

	* [r57333]
	  doc/docbook/books/en/BRL-CAD_Tutorial_Series-VolumeIII.xml:
	  Looks like we never went through and systematically updated the
	  image inclusions in the tutorials along the lines Tom outlined a
	  while back. Need to do that - one of the major steps needed to
	  generate 'quality' DocBook pdf output.

2013-08-30 15:56  brlcad

	* [r57332] src/libicv/TODO:
	  add a couple items to move towards a modular plugin design

2013-08-30 15:51  brlcad

	* [r57331] src/libbn/tests/CMakeLists.txt:
	  these files do not exist in here. add when patch is added.

2013-08-30 15:45  mohitdaga

	* [r57330] src/libicv/TODO:
	  Fopen generally has performance benefits as compared to open.
	  (Sean thanks for your suggestions.)

2013-08-30 15:29  tbrowder2

	* [r57329] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  remove anchor elements for a successful pdf output

2013-08-30 15:23  tbrowder2

	* [r57328] TODO:
	  add specific docs needing cleanup and improvement

2013-08-30 14:47  brlcad

	* [r57327] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  move the authorship information to the end, remove the number

2013-08-30 14:31  brlcad

	* [r57326] doc/docbook/presentations/en/CMakeLists.txt,
	  doc/docbook/presentations/en/brlcad-app-devel.ppt,
	  doc/docbook/presentations/en/intro-to-tcltk.ppt:
	  think this sets a really bad precedent to have the ppt files in
	  the repo. aside from seriously bloating the server-side
	  repository, they're a proprietary format, they're duplicitous,
	  and I have GBs more..

2013-08-30 14:31  starseeker

	* [r57325] src/libicv/CMakeLists.txt:
	  Ignore TODO file in libicv

2013-08-30 14:27  tbrowder2

	* [r57324] doc/docbook/presentations/en/README.txt:
	  add another tidbit about pdf output

2013-08-30 14:25  tbrowder2

	* [r57323] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  fix DB errors

2013-08-30 14:24  brlcad

	* [r57322] src/libbu/vls_vprintf.c:
	  yep, this was entirely for debugging, not needed now that the
	  bugs are fixed.

2013-08-30 14:22  tbrowder2

	* [r57321] doc/docbook/presentations/en/CMakeLists.txt:
	  add files to ignore; add new DB file for processing

2013-08-30 14:21  tbrowder2

	* [r57320] doc/docbook/presentations/en/brlcad-app-devel.ppt,
	  doc/docbook/presentations/en/intro-to-tcltk.ppt:
	  add original PP files for reference

2013-08-30 14:20  tbrowder2

	* [r57319] doc/docbook/presentations/en/README.txt:
	  add more info

2013-08-30 14:18  tbrowder2

	* [r57318] doc/docbook/presentations/en/README.txt:
	  add doc on how to convert Power Point to DocBook xml

2013-08-30 14:17  tbrowder2

	* [r57317] doc/docbook/presentations/en/brlcad-app-devel.xml:
	  add new DocBook version of Lee Butler's Power Point presentation

2013-08-30 14:07  brlcad

	* [r57316] src/librt/primitives/nmg/nmg_bool.c:
	  modify the code in reponse to a forum discussion
	  (362511/thread/2283b056) where a logic failure was noticed. if
	  there's no tessellate function, it falls through and will bomb on
	  NMG_CK_REGION.

2013-08-30 14:07  starseeker

	* [r57315] src/libbu/vls_vprintf.c:
	  Is this a debugging message?

2013-08-30 10:48  mohitdaga

	* [r57314] src/libicv/TODO:
	  Add todo items. These are the things which are back in my mind. I
	  will be browsing the whole code in order to find the complete
	  list of TODOs.

2013-08-30 10:44  mohitdaga

	* [r57313] src/libicv/bw.c, src/libicv/pix.c:
	  add binary options for files read from stdin and stdout. This is
	  specific for _WIN32 and __CYGWIN__ machines.

2013-08-30 10:13  mohitdaga

	* [r57312] src/libicv/TODO:
	  ADD TODO file for libicv

2013-08-30 07:57  brlcad

	* [r57311] src/libbu/heap.c:
	  go even a little more conservative with the page sizes as we get
	  started since more testing is needed with the bu_malloc
	  implementation change (posix_memalign()+memset() means pages are
	  actually REAL and written to. this makes the pages just 65k.

2013-08-30 07:37  brlcad

	* [r57310] src/libbu/vls_vprintf.c:
	  address the additional test cases that were not being handled
	  where the %s format specifier had precision and/or field lengths
	  specified for left/right padded alignment. the code was written
	  to account for the padding, but it wasn't actually being called
	  because the lengths weren't captured. we don't want to capture
	  them in the earlier loop because it screws up assumptions for
	  some of the other specifier cases. this fixes sf bug #347
	  reported by lee butler (bu_log does not honor string field
	  widths).

2013-08-30 06:54  phoenixyjll

	* [r57309] src/libged/brep.c, src/librt/CMakeLists.txt,
	  src/librt/comb/comb_brep.cpp,
	  src/librt/primitives/brep/brep_debug.cpp:
	  Begin to implement comb -> brep conversion, as the NURBS
	  evaluations are ready now.

2013-08-30 05:39  brlcad

	* [r57308] src/libbu/tests/bu_heap.c:
	  reduce the iterations 5 fold for now so we don't blow out memory

2013-08-30 04:38  brlcad

	* [r57307] TODO:
	  it's never final, but the stepCode tree has been sync'd

2013-08-30 04:37  brlcad

	* [r57306] TODO:
	  heap test needs to be worked

2013-08-30 04:36  brlcad

	* [r57305] src/libbu/tests/bu_heap.c:
	  test is being a pig, only releasing a little bit of the memory
	  allocated. test needs to change so it actually compares heap
	  against malloc.

2013-08-30 04:34  brlcad

	* [r57304] src/libbu/tests/CMakeLists.txt:
	  add addition vls_vprintf test cases, numbered 58-65.

2013-08-30 03:52  brlcad

	* [r57303] src/libbu/tests/bu_vls_vprintf.c:
	  per sf bug report 347, add a slew of %s tests for field
	  width/precision specifiers that are failing. the code clearly
	  looks like it should be handling this case, but clearly something
	  isn't getting set right. looks like it always just prints the
	  string plain.

2013-08-30 02:44  brlcad

	* [r57302] include/icv.h:
	  ws format comments to column 70

2013-08-30 02:13  starseeker

	* [r57301] src/libbn/tests/CMakeLists.txt, src/other/stepcode.dist:
	  Distcheck updates

2013-08-30 02:12  starseeker

	* [r57300] src/other/xmltools.dist, src/other/xmltools/CMake:
	  Remove empty directory

2013-08-30 00:54  starseeker

	* [r57299] src/conv/step/CMakeLists.txt,
	  src/conv/step/g-step/CMakeLists.txt,
	  src/conv/step/step-g/CMakeLists.txt, src/other/CMakeLists.txt,
	  src/other/stepcode.dist:
	  Update stepcode related build logic in BRL-CAD

2013-08-30 00:47  starseeker

	* [r57298] src/other/stepcode/AUTHORS,
	  src/other/stepcode/CMakeLists.txt, src/other/stepcode/NEWS,
	  src/other/stepcode/data/CMakeLists.txt,
	  src/other/stepcode/data/STEPTools_merged_schema/modified_step_merged_cad_schema.exp,
	  src/other/stepcode/doc/CMakeLists.txt,
	  src/other/stepcode/doc/doxyassist.xml,
	  src/other/stepcode/doc/man/man1/dataprobe.1,
	  src/other/stepcode/doc/man/man1/fedex_plus.1,
	  src/other/stepcode/doc/man/man1/mkProbe.1,
	  src/other/stepcode/include/CMakeLists.txt,
	  src/other/stepcode/misc/wiki-scripts/build_all.sh,
	  src/other/stepcode/src/base/CMakeLists.txt,
	  src/other/stepcode/src/base/sc_trace_fprintf.h,
	  src/other/stepcode/src/clSchemas/example/SdaiAll.cc,
	  src/other/stepcode/src/clSchemas/example/SdaiEXAMPLE_SCHEMA.cc,
	  src/other/stepcode/src/clSchemas/example/SdaiEXAMPLE_SCHEMA.h,
	  src/other/stepcode/src/clSchemas/example/SdaiEXAMPLE_SCHEMA.init.cc,
	  src/other/stepcode/src/clSchemas/example/Sdaiclasses.h,
	  src/other/stepcode/src/clSchemas/example/schema.cc,
	  src/other/stepcode/src/clSchemas/example/schema.h,
	  src/other/stepcode/src/cldai/CMakeLists.txt,
	  src/other/stepcode/src/cleditor/CMakeLists.txt,
	  src/other/stepcode/src/cleditor/README,
	  src/other/stepcode/src/cleditor/SdaiHeaderSchema.cc,
	  src/other/stepcode/src/cleditor/SdaiHeaderSchema.h,
	  src/other/stepcode/src/cleditor/SdaiHeaderSchemaAll.cc,
	  src/other/stepcode/src/cleditor/SdaiHeaderSchemaClasses.h,
	  src/other/stepcode/src/cleditor/SdaiHeaderSchemaInit.cc,
	  src/other/stepcode/src/cleditor/SdaiSchemaInit.cc,
	  src/other/stepcode/src/cleditor/SdaiSchemaInit.h,
	  src/other/stepcode/src/cllazyfile/CMakeLists.txt,
	  src/other/stepcode/src/cllazyfile/instMgrHelper.h,
	  src/other/stepcode/src/clstepcore/CMakeLists.txt,
	  src/other/stepcode/src/clstepcore/ExpDict.h,
	  src/other/stepcode/src/clstepcore/complexSupport.h,
	  src/other/stepcode/src/clutils/CMakeLists.txt,
	  src/other/stepcode/src/clutils/dirobj.h,
	  src/other/stepcode/src/exp2cxx,
	  src/other/stepcode/src/exp2cxx/CMakeLists.txt,
	  src/other/stepcode/src/exp2cxx/classes.c,
	  src/other/stepcode/src/exp2cxx/classes.h,
	  src/other/stepcode/src/exp2cxx/classes_misc.c,
	  src/other/stepcode/src/exp2cxx/classes_wrapper.cc,
	  src/other/stepcode/src/exp2cxx/collect.cc,
	  src/other/stepcode/src/exp2cxx/complexSupport.h,
	  src/other/stepcode/src/exp2cxx/complexlist.cc,
	  src/other/stepcode/src/exp2cxx/entlist.cc,
	  src/other/stepcode/src/exp2cxx/entnode.cc,
	  src/other/stepcode/src/exp2cxx/expressbuild.cc,
	  src/other/stepcode/src/exp2cxx/fedex_main.c,
	  src/other/stepcode/src/exp2cxx/match-ors.cc,
	  src/other/stepcode/src/exp2cxx/multlist.cc,
	  src/other/stepcode/src/exp2cxx/multpass.c,
	  src/other/stepcode/src/exp2cxx/non-ors.cc,
	  src/other/stepcode/src/exp2cxx/orlist.cc,
	  src/other/stepcode/src/exp2cxx/print.cc,
	  src/other/stepcode/src/exp2cxx/selects.c,
	  src/other/stepcode/src/exp2cxx/trynext.cc,
	  src/other/stepcode/src/exp2cxx/write.cc,
	  src/other/stepcode/src/exp2python,
	  src/other/stepcode/src/exp2python/CMakeLists.txt,
	  src/other/stepcode/src/exp2python/REAMDE.md,
	  src/other/stepcode/src/exp2python/examples,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/gcc_incomplete_type.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/generate_schemas_modules.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/index_attribute.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/multiple_rep.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_array.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_array_of_array_of_simple_types.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_array_of_simple_types.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_derived_attribute.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_entity_where_rule.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_enum_entity_name.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_enums_same_name.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_function.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_multiple_inheritance.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_named_type.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_select_data_type.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_single_inheritance.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_single_inheritance_multi_level.py,
	  src/other/stepcode/src/exp2python/examples/unitary_schemas/test_where_rule.py,
	  src/other/stepcode/src/exp2python/python,
	  src/other/stepcode/src/exp2python/python/SCL,
	  src/other/stepcode/src/exp2python/python/SCL/AggregationDataTypes.py,
	  src/other/stepcode/src/exp2python/python/SCL/BaseType.py,
	  src/other/stepcode/src/exp2python/python/SCL/Builtin.py,
	  src/other/stepcode/src/exp2python/python/SCL/ConstructedDataTypes.py,
	  src/other/stepcode/src/exp2python/python/SCL/Model.py,
	  src/other/stepcode/src/exp2python/python/SCL/Part21.py,
	  src/other/stepcode/src/exp2python/python/SCL/Rules.py,
	  src/other/stepcode/src/exp2python/python/SCL/SCLBase.py,
	  src/other/stepcode/src/exp2python/python/SCL/SimpleDataTypes.py,
	  src/other/stepcode/src/exp2python/python/SCL/TypeChecker.py,
	  src/other/stepcode/src/exp2python/python/SCL/Utils.py,
	  src/other/stepcode/src/exp2python/python/SCL/__init__.py,
	  src/other/stepcode/src/exp2python/python/SCL/essa_par.py,
	  src/other/stepcode/src/exp2python/python/setup.py,
	  src/other/stepcode/src/exp2python/src,
	  src/other/stepcode/src/exp2python/src/classes_misc_python.c,
	  src/other/stepcode/src/exp2python/src/classes_python.c,
	  src/other/stepcode/src/exp2python/src/classes_wrapper_python.cc,
	  src/other/stepcode/src/exp2python/src/fedex_main_python.c,
	  src/other/stepcode/src/exp2python/src/multpass_python.c,
	  src/other/stepcode/src/exp2python/src/selects_python.c,
	  src/other/stepcode/src/exp2python/test,
	  src/other/stepcode/src/exp2python/test/test_SCL.py,
	  src/other/stepcode/src/exp2python/test/test_base.py,
	  src/other/stepcode/src/exp2python/test/test_builtin.py,
	  src/other/stepcode/src/exp2python/test/test_unitary_schemas.py,
	  src/other/stepcode/src/express/Changes,
	  src/other/stepcode/src/express/fedex.c,
	  src/other/stepcode/src/fedex_plus,
	  src/other/stepcode/src/fedex_python,
	  src/other/stepcode/src/test/generate_express/generate_express.cc,
	  src/other/stepcode/src/test/p21read/p21read.cc,
	  src/other/stepcode/src/test/scl2html/scl2html.cc,
	  src/other/stepcode/src/test/tio/tio.cc,
	  src/other/stepcode/src/test/treg/treg.cc,
	  src/other/stepcode/src/test/tstatic/tstatic.cc,
	  src/other/stepcode/test/buggy/expr-src-aggregate.exp,
	  src/other/stepcode/test/buggy/spaces_in_fct.exp:
	  Update stepcode to github revision
	  ec630badca0fef35cc870ce15fc69b37fc2dd43a

2013-08-29 23:46  tbrowder2

	* [r57297] src/nirt/nirt.c:
	  style

2013-08-29 23:45  brlcad

	* [r57296] NEWS:
	  tom added an 'attr sort' subcommand with options for sorting
	  case, nocase, value, value-nocase. (recommit/rewording to include
	  this message in log history)

2013-08-29 23:36  tbrowder2

	* [r57295] doc/docbook/system/mann/en/nirt.xml:
	  add space for better appearance

2013-08-29 23:34  tbrowder2

	* [r57294] doc/docbook/system/man1/en/nirt.xml:
	  add missing space

2013-08-29 23:27  tbrowder2

	* [r57293] NEWS:
	  update

2013-08-29 23:01  mohitdaga

	* [r57292] include/icv.h:
	  Add the information regarding the new feature of icv_read
	  (ability to buffer pixels.) in doxygen comments

2013-08-29 22:55  r_weiss

	* [r57291] src/libbrep/PullbackCurve.cpp:
	  Changes to 'libbrep' function
	  'pullback_samples_from_closed_surface' to correct valgrind
	  warnings that uninitialized memory was being accessed and also
	  fix intermittent seg-faults. The problem was sometimes when
	  'prev_pt' was used it was undefined. Additional code was added to
	  help debugging. These problems were encountered using the
	  'step-g' converter. More testing is needed.

2013-08-29 22:51  mohitdaga

	* [r57290] src/util/bw-pix.c:
	  Trailing WS

2013-08-29 22:51  mohitdaga

	* [r57289] src/util/bw-pix.c:
	  Correcting app synopsis.

2013-08-29 22:50  mohitdaga

	* [r57288] src/util/bw-pix.c:
	  Remove in_width and in_height options. This is possible after
	  latest changes in icv_read function.

2013-08-29 22:42  mohitdaga

	* [r57287] regress/dsp/run-dsp-case-set-1.sh,
	  regress/dsp/run-dsp-case-set-2.sh,
	  regress/dsp/run-dsp-case-set-3.sh:
	  Remove square size option from the run-dsp-case-set*.sh

2013-08-29 22:38  mohitdaga

	* [r57286] src/libicv/color_space.c:
	  Avoid recurring division and multiplications.

2013-08-29 22:35  mohitdaga

	* [r57285] src/util/pix-bw.c:
	  Remove in_width and in_height option from pix-bw

2013-08-29 22:31  mohitdaga

	* [r57284] src/libicv/bw.c, src/libicv/pix.c:
	  Allocate image structure before the process starts.

2013-08-29 22:22  n_reed

	* [r57283] src/libtclcad/tclcad_obj.c:
	  reduce duplicated lines for converting from screen to view
	  coordinates

2013-08-29 21:53  starseeker

	* [r57282] src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h:
	  Allow the control points to be inserted into the instance manager
	  after their surface definitions - results in a step file where
	  the 'high level' structure is grouped at the top of the file,
	  making a study of the high level structure slightly easier.

2013-08-29 21:44  mohitdaga

	* [r57281] src/libicv/pix.c:
	  Add pixel buffer option in pix_read(along with r57280). This
	  makes pix_read more powerfull by having an ability to read
	  without the size specified (similar to r57279 for bw_read).

2013-08-29 21:38  mohitdaga

	* [r57280] src/libicv/bw.c, src/libicv/pix.c:
	  Make a strict condition regarding the number of pixel read.

2013-08-29 21:26  mohitdaga

	* [r57279] src/libicv/bw.c:
	  Add pixel buffer option in bw_read. This makes bw_read more
	  powerfull by having an ability to read without the size
	  specified. Thanks sean for the suggestion.

2013-08-29 21:10  starseeker

	* [r57278] src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h:
	  More cleanup

2013-08-29 20:45  starseeker

	* [r57277] src/conv/step/g-step/ON_Brep.cpp:
	  This isn't how we'll eventually have to do this - whole faces
	  will need to be split in addition to curves. Long run we should
	  have some ON_Brep_Split_Closed(ON_Brep *brep) function that does
	  all of that for us and presents this export routine with the
	  final product (such a Brep might be useful in other contexts as
	  well...

2013-08-29 20:24  starseeker

	* [r57276] src/conv/step/g-step/ON_Brep.cpp:
	  Allow null edges, use the IsClosed test for surfaces

2013-08-29 19:53  starseeker

	* [r57274] src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h, src/conv/step/g-step/g-step.cpp:
	  Per Keith's advice, just write out directly what we have - face
	  splitting will require a fair bit of work.

2013-08-29 18:53  brlcad

	* [r57273] src/conv/step/g-step/ON_Brep.cpp:
	  understanding a little awry, regroup to reflect where what lines
	  are actually involved in adding the edge

2013-08-29 18:50  brlcad

	* [r57272] src/conv/step/g-step/ON_Brep.cpp:
	  clean up the AddEdge() function with some comments and spacing
	  for readability, collapse an unnecessary scope

2013-08-29 17:56  mohitdaga

	* [r57271] regress/asc2dsp.sh, regress/dsp/run-dsp-case-set-1.sh,
	  regress/dsp/run-dsp-case-set-2.sh,
	  regress/dsp/run-dsp-case-set-3.sh:
	  Add input arguments in rgress options for pix-bw. These
	  argguments are added as per the recent changes in pix-bw (adding
	  icv in pix-bw.)

2013-08-29 15:41  starseeker

	* [r57270] src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h:
	  Start setting up instance list population so we have some control
	  over the ordering. Need to change how surface cartesian points
	  are handled, but getting closer.

2013-08-29 15:22  indianlarry

	* [r57269] src/librt/primitives/pipe/pipe.c:
	  Changed logic in the 'pipe' solid raytracing code in function
	  rt_pipe_elim_dups(). This code removed single hit from hit list
	  when next hit dist < 0.00001 and next hit from same surface. This
	  caused an error in grazing cases where you have legitimate in/out
	  hits on same surface but less than 0.00001 dist. For the pipe we
	  don't expect to hit the same surface within such a small distance
	  unless it is a grazing case in which we really want to remove
	  both hits. Also changed the hardcoded '0.00001' constant to the
	  internal distance tolerence. Also removed related conditional
	  that reported the original error and bailed.

2013-08-29 14:44  starseeker

	* [r57268] src/conv/step/g-step/ON_Brep.cpp:
	  whoops - e_curve, not curve

2013-08-29 14:42  starseeker

	* [r57267] src/conv/step/g-step/ON_Brep.cpp:
	  Use edge curve index

2013-08-29 11:01  tbrowder2

	* [r57265] src/libged/attr.c:
	  remove untested new attribute attributes

2013-08-29 10:56  tbrowder2

	* [r57264] src/libbu/avs.c:
	  remove func not ready for prime time; restore missing return

2013-08-29 10:55  tbrowder2

	* [r57263] include/bu.h:
	  remove decl of func which is not yet needed

2013-08-29 10:45  tbrowder2

	* [r57262] src/libbu/avs.c:
	  don't use new function on attributes yet

2013-08-29 10:42  tbrowder2

	* [r57261] include/bu.h:
	  revert bu_attribute_value_pair to original definition

2013-08-29 10:23  tbrowder2

	* [r57260] src/libbu/date-time.c:
	  handle error upon call to gmtime

2013-08-29 09:11  phoenixyjll

	* [r57257] src/librt/primitives/brep/brep.cpp:
	  Add header comment.

2013-08-29 08:52  phoenixyjll

	* [r57256] src/librt/primitives/brep/brep.cpp:
	  Remove the old evaluation code in librt.

2013-08-29 07:29  phoenixyjll

	* [r57255] src/librt/primitives/brep/brep.cpp:
	  Oops.. It should be an assignment..

2013-08-29 07:15  phoenixyjll

	* [r57254] src/libged/brep.c, src/librt/primitives/brep/brep.cpp:
	  Extend the command for XOR support.

2013-08-29 07:09  phoenixyjll

	* [r57253] include/brep.h, src/libbrep/boolean.cpp:
	  Support XOR operation - also used in combinations in BRL-CAD.

2013-08-29 07:03  phoenixyjll

	* [r57252] src/libbrep/boolean.cpp:
	  No need to flip the face if it belongs to the brep being
	  substracted.

2013-08-29 06:47  phoenixyjll

	* [r57251] src/libbrep/boolean.cpp:
	  Fix wrong operation type.

2013-08-29 06:26  phoenixyjll

	* [r57250] src/librt/primitives/brep/brep_debug.cpp:
	  Add blank lines to make the format consistent.

2013-08-29 04:11  phoenixyjll

	* [r57249] src/librt/primitives/brep/brep_debug.cpp:
	  Plot the normal with a scale computed from the size of the
	  surface.

2013-08-29 01:46  brlcad

	* [r57248] regress/dsp/run-dsp-case-set-0.sh,
	  regress/dsp/run-dsp-case-set-1.sh,
	  regress/dsp/run-dsp-case-set-2.sh,
	  regress/dsp/run-dsp-case-set-3.sh:
	  avoid expr error when there IS a failure, init the right var.

2013-08-28 22:51  mohitdaga

	* [r57247] src/util/bwfilter.c:
	  Incorporate usage of offset flag and kern division flag in
	  bwfilter code. This was left in the initial commit.

2013-08-28 22:45  tbrowder2

	* [r57246] src/libbu/date-time.c:
	  use the definition of the broken down time--zero is a valid value
	  for year and month

2013-08-28 22:44  tbrowder2

	* [r57245] src/libbu/avs.c:
	  ensure old attrs have a creation time even if it's a current time

2013-08-28 22:00  tbrowder2

	* [r57244] src/libged/attr.c:
	  add time stamps to normal attr show (the creation time stamp is
	  not yet stable)

2013-08-28 21:50  mohitdaga

	* [r57243] src/util/bwfilter.c:
	  Add the code for verbose options.

2013-08-28 21:47  mohitdaga

	* [r57242] doc/docbook/system/man1/en/bwfilter.xml:
	  Update man page as per the recent changes due to incorporation of
	  libicv apis in bwfilter.

2013-08-28 21:37  tbrowder2

	* [r57241] src/libged/attr.c:
	  refactor attr listing into a local func

2013-08-28 21:28  carlmoore

	* [r57240] src/conv/off/g-off.c:
	  remove some unneeded braces, and get -P into the Usage statement

2013-08-28 21:14  tbrowder2

	* [r57239] src/libged/attr.c:
	  add some convenience enums and a func to ease maintaining guts of
	  attr func; collect name and value lengths earlier in func

2013-08-28 20:58  starseeker

	* [r57238] src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h:
	  Not right yet, but work on integrating the 'split the curve'
	  logic into the brep build

2013-08-28 20:40  tbrowder2

	* [r57237] src/libged/attr.c:
	  add new var for new display formats

2013-08-28 20:39  tbrowder2

	* [r57236] src/libged/attr.c:
	  move var to func scope in preparation for refactoring

2013-08-28 20:09  tbrowder2

	* [r57235] src/libged/attr.c:
	  use const chars for arg choices

2013-08-28 19:55  tbrowder2

	* [r57233] include/bu.h, src/libbu/avs.c:
	  change func to use enum args

2013-08-28 19:41  starseeker

	* [r57232] src/conv/step/g-step/ON_Brep.cpp:
	  Simplify some function parameter lists

2013-08-28 19:27  starseeker

	* [r57231] src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h:
	  Moving things into struct - will allow easier passing of info
	  between functions

2013-08-28 18:58  starseeker

	* [r57230] src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h, src/conv/step/g-step/g-step.cpp:
	  Going to need a struct for parameters and info - start setting it
	  up.

2013-08-28 18:57  tbrowder2

	* [r57229] src/libbu/avs.c:
	  need the time.h header for the time func and vars

2013-08-28 18:28  starseeker

	* [r57228] src/conv/step/g-step/ON_Brep.cpp:
	  Closed curves are apparently a problem for some importers, so
	  we'll need to set up to split curves and edges at need.

2013-08-28 17:51  n_reed

	* [r57227] src/libdm/dm-ogl.c, src/libdm/dm-wgl.c:
	  Address r57194 concern. Need to declare temporary variables for
	  wgl (missed in copy-paste from ogl). Localize them to make their
	  transience clear.

2013-08-28 17:41  tbrowder2

	* [r57226] src/libbu/avs.c:
	  add func to update attr creation or modification times

2013-08-28 17:22  tbrowder2

	* [r57225] include/bu.h, src/libbu/date-time.c:
	  change signature and intent of bu_utctime; eliminate need for
	  time.h in bu.h; change some attr struct vars to integral instead
	  of char*

2013-08-28 15:29  tbrowder2

	* [r57224] include/bu.h:
	  remove spurious period

2013-08-28 13:06  brlcad

	* [r57221] src/conv/g-xxx_facets.c:
	  reduce var scope

2013-08-28 13:05  brlcad

	* [r57220] src/conv/CMakeLists.txt:
	  enable continuous compilation of the g-xxx example so that the
	  sources stay up-to-date. include walk_example as a sample app.

2013-08-28 13:03  brlcad

	* [r57219] src/conv/g-xxx.c:
	  completely rework the template converter to avoid forward decls,
	  eliminate the globals, and actually utilize the user data struct

2013-08-28 13:02  brlcad

	* [r57218] src/conv/enf-g.c, src/conv/fast4-g.c:
	  reduce var scope

2013-08-28 12:34  brlcad

	* [r57217] src/conv/g-vrml.c:
	  close the texture file fd, reduce var scope

2013-08-28 12:31  brlcad

	* [r57216] src/conv/g-dot.c:
	  reduce var scope, total is unused

2013-08-28 12:26  brlcad

	* [r57215] src/conv/dxf/dxf-g.c, src/conv/dxf/g-dxf.c:
	  reduce var scope

2013-08-28 08:12  phoenixyjll

	* [r57214] src/libbrep/boolean.cpp:
	  More work trying to pass ON_Brep::IsValid() - the loop's first
	  trim's m_vi[0] should be equal to the last's m_vi[1], and use
	  ON_ZERO_TOLERANCE to determine singular trims, and set the
	  vertex's tolerance to 0.0.

2013-08-28 06:29  phoenixyjll

	* [r57213] src/libbrep/boolean.cpp:
	  ws.

2013-08-28 05:31  brlcad

	* [r57212] include/bu.h, src/conv/stl/g-stl.c,
	  src/conv/stl/stl-g.c, src/fb/plot3-fb.c, src/libbn/plot3.c,
	  src/libbu/convert.c, src/libbu/htond.c, src/libbu/htonf.c,
	  src/libbu/parse.c, src/libged/bot_dump.c,
	  src/libmultispectral/sh_temp.c, src/librt/binunif/db5_bin.c,
	  src/librt/comb/comb.c, src/librt/primitives/arb8/arb8.c,
	  src/librt/primitives/arbn/arbn.c, src/librt/primitives/ars/ars.c,
	  src/librt/primitives/bot/bot.c,
	  src/librt/primitives/bspline/bspline.cpp,
	  src/librt/primitives/cline/cline.c,
	  src/librt/primitives/dsp/dsp.c, src/librt/primitives/ehy/ehy.c,
	  src/librt/primitives/ell/ell.c, src/librt/primitives/epa/epa.c,
	  src/librt/primitives/eto/eto.c,
	  src/librt/primitives/extrude/extrude.c,
	  src/librt/primitives/grip/grip.c,
	  src/librt/primitives/half/half.c, src/librt/primitives/hrt/hrt.c,
	  src/librt/primitives/hyp/hyp.c,
	  src/librt/primitives/metaball/metaball.c,
	  src/librt/primitives/nmg/nmg.c, src/librt/primitives/part/part.c,
	  src/librt/primitives/pipe/pipe.c,
	  src/librt/primitives/pnts/pnts.c,
	  src/librt/primitives/revolve/revolve.c,
	  src/librt/primitives/rhc/rhc.c, src/librt/primitives/rpc/rpc.c,
	  src/librt/primitives/sketch/sketch.c,
	  src/librt/primitives/superell/superell.c,
	  src/librt/primitives/tgc/tgc.c, src/librt/primitives/tor/tor.c,
	  src/librt/primitives/xxx/xxx.c, src/librt/vlist.c,
	  src/librtserver/rtserver.c, src/librtserver/rtserverTest.c,
	  src/rt/view.c, src/util/double-asc.c, src/util/plot3-X.c,
	  src/util/plot3-asc.c, src/util/plot3-plot3.c,
	  src/util/plot3-ps.c, src/util/plot3-tek.c, src/util/plot3debug.c,
	  src/util/plot3rot.c, src/util/plot3stat.c:
	  rename the now-bu_-prefixed ntohd/ntohf/htond/htonf functions as
	  belonging to the 'cv' data conversion package since their
	  arguments are more similar (they convert arrays of values).
	  proper would have been to match the style of the
	  [nh]to[gn][ls]-style functions taking just one value and
	  returning it as a uint32_t/uint64_t accordingly, like the new
	  windows functions now do (which we probably can/should leverage
	  in our implementation).

2013-08-28 05:12  brlcad

	* [r57211] src/conv/dxf/bot-bldxf.c:
	  reduce var scope

2013-08-28 04:35  brlcad

	* [r57210] src/conv/comgeom/solid.c, src/conv/cy-g.c,
	  src/conv/dem-g.c:
	  more var scope reduction

2013-08-28 04:32  phoenixyjll

	* [r57209] src/libbrep/boolean.cpp:
	  Deal with singular trims and closed trims.

2013-08-28 04:30  brlcad

	* [r57208] src/conv/asc/asc2g.c:
	  reduce scope

2013-08-28 04:27  brlcad

	* [r57207] src/conv/3dm/3dm-g.cpp:
	  consolidate the uuid string size into one place and initialize
	  them to zero.

2013-08-28 04:22  starseeker

	* [r57206] src/other/tk/win/tkWinDialog.c:
	  Cheat and grab the tkWinDialog.c file from 8.5.14 - this allows
	  MGED to successfully run on Windows 8 when built with Visual
	  Studio 11.

2013-08-28 03:34  brlcad

	* [r57205] src/libbu/date-time.c:
	  instead of a completely different string, how about instead
	  returning a 'null' time entry ala SQL. this way it's formatted
	  correctly and can be evaluated as an error, but is otherwise
	  syntactically safe/consistent if anything is set up to parse the
	  result.

2013-08-28 03:31  brlcad

	* [r57204] include/bu.h:
	  make it clear that the arg is the result, doxygen comment
	  shouldn't be @file so it gets associated with the function that
	  follows (@file only useful for multi-function source files that
	  warrant an intro on the package they belong with.

2013-08-28 03:31  phoenixyjll

	* [r57203] src/libbrep/boolean.cpp:
	  Eliminate dead code.

2013-08-28 03:29  phoenixyjll

	* [r57202] src/libbrep/boolean.cpp:
	  Find seaming curves and share edges.

2013-08-28 03:06  brlcad

	* [r57201] include/bu.h, src/libbu/date-time.c:
	  since the function doesn't specifically match the std library
	  gmtime function in behavior or arguments, it really shouldn't be
	  named identically. how about bu_utctime()?

2013-08-28 03:01  starseeker

	* [r57200] misc/perl/CMakeLists.txt, src/other/CMakeLists.txt:
	  Mark items as advanced so they don't show in the default CMake
	  gui interface.

2013-08-28 02:57  starseeker

	* [r57199] HACKING:
	  CmakeLIsts.txt -> CMakeLists.txt

2013-08-28 02:55  brlcad

	* [r57198] src/conv/3dm/3dm-g.cpp:
	  convert the name field to a bu_vls to eliminate the fixed object
	  name limit. untested but fairly benign.

2013-08-28 02:54  starseeker

	* [r57197] CMakeLists.txt:
	  Using gmtime now, don't need this

2013-08-28 02:52  brlcad

	* [r57196] src/libbu/date-time.c:
	  call gmtime() instead of gmtime_r() for c89+ compliance and
	  greater portability. makes things really simple for windows too
	  (they provide gmtime())

2013-08-28 02:52  brlcad

	* [r57195] include/bu.h:
	  add a new semaphore for the new date-time interface. doesn't need
	  to lock on the same syscall interface, just needs to be enough to
	  protect multiple reads from the static struct memory that is
	  returned.

2013-08-28 02:48  starseeker

	* [r57194] src/libdm/dm-wgl.c:
	  Variable names appear to be different between wgl and ogl (why??)

2013-08-28 02:31  starseeker

	* [r57193] CMakeLists.txt, src/libbu/date-time.c:
	  Looks like it's gmtime_s

2013-08-28 02:25  starseeker

	* [r57192] CMakeLists.txt:
	  Neither gmtime_s nor _gmtime_s works as a function test - try the
	  symbol check.

2013-08-28 02:18  brlcad

	* [r57191] HACKING:
	  extensive updating and expansion of the testing and debugging
	  section in response to tom's questions on the mailing list.
	  explain the three types of tests, give examples, and talk about
	  manual testing too.

2013-08-28 02:13  starseeker

	* [r57190] src/librt/search.c:
	  Ah, right, gcc doesn't like C++ comments in C

2013-08-28 02:12  starseeker

	* [r57189] CMakeLists.txt, src/libbu/date-time.c:
	  Looks like we will need _gmtime_s on Windows?

2013-08-27 21:53  carlmoore

	* [r57188] src/conv/g-obj.c:
	  minor formatting changes, including removal of a trailing blank

2013-08-27 21:15  starseeker

	* [r57187] src/librt/search.c:
	  More thinking about what will needed for db_search function

2013-08-27 20:27  brlcad

	* [r57186] TODO:
	  get rid of all the -P options

2013-08-27 19:14  starseeker

	* [r57185] src/tclscripts/CMakeLists.txt:
	  Don't just print the error if the file isn't found, return an
	  error code

2013-08-27 19:01  n_reed

	* [r57184] src/libdm/dm-X.c:
	  implement vlist point size specification for dm-x

2013-08-27 18:40  n_reed

	* [r57183] src/libdm/dm-ogl.c, src/libdm/dm-wgl.c:
	  distinguish between indexing and dereferencing

2013-08-27 17:26  n_reed

	* [r57182] src/libdm/dm-wgl.c:
	  Copy implementation of vlist point size and line width
	  specification to wgl.

2013-08-27 17:00  n_reed

	* [r57181] include/bn.h, include/raytrace.h, src/libdm/dm-ogl.c,
	  src/libged/dg_obj.c, src/libged/draw.c, src/libged/select.c,
	  src/mged/dodraw.c:
	  Make it possible to specify a point size or line width within a
	  vlist. Implemented for ogl vlist drawing.

2013-08-27 15:36  iiizzzaaakkk

	* [r57180] src/librt/primitives/hrt/hrt.c:
	  Correcting sextic equation in comment preceeding rt_hrt_shot()
	  implementation

2013-08-27 15:36  n_reed

	* [r57179] src/libdm/dm-wgl.c:
	  restore wgl implementation of BN_VLIST_POINT_DRAW

2013-08-27 15:18  carlmoore

	* [r57178] doc/docbook/system/man1/en/g-egg.xml,
	  doc/docbook/system/man1/en/g-nmg.xml:
	  make fixes to g-egg and g-xml man pages (g-egg: shorten -P
	  writeup; g-nmg: provide missing period and -P writeup

2013-08-27 15:10  r_weiss

	* [r57177] src/other/stepcode/src/clutils/dirobj.cc:
	  Update to stepcode function 'DirObj::CheckIndex' to quiet a
	  valgrind 'mismatched free' warning.

2013-08-27 15:05  tbrowder2

	* [r57176] include/bu.h, src/libbu/CMakeLists.txt,
	  src/libbu/date-time.c:
	  add function to provide an ISO time (planned to be used for
	  attribute mod and creation times); will provide a regression test
	  later

2013-08-27 14:53  erikgreenwald

	* [r57175] CMakeLists.txt, include/config_win.h,
	  include/config_win_cmake.h.in, src/rt/main.c:
	  remove sbrk() as it is marked deprecated in the new xcode5 mac
	  stuff and we don't really use it much

2013-08-27 14:49  n_reed

	* [r57174] src/libdm/dm-ogl.c, src/libdm/dm-wgl.c:
	  revert r57140, we need a general way to change point size

2013-08-27 14:46  starseeker

	* [r57173] regress/CMakeLists.txt:
	  add asc2g as a dependency for a couple more of the targets

2013-08-27 14:45  starseeker

	* [r57172] TODO:
	  Add a note to figure out why the initialization of stp->st_path
	  is the way it is.

2013-08-27 13:15  phoenixyjll

	* [r57171] src/libbrep/boolean.cpp:
	  Make use of the connectivity graph to reduce inside/outside
	  tests.

2013-08-27 05:08  phoenixyjll

	* [r57170] src/libbrep/boolean.cpp:
	  Don't always flip that face. We should decide whether it's
	  necessary to flip according to the operation.

2013-08-27 04:51  brlcad

	* [r57169] src/conv/3dm/3dm-g.cpp:
	  prefer prefix increment for non-pod and loop vars

2013-08-27 04:35  brlcad

	* [r57168] src/burst/Hm.c, src/burst/grid.c, src/bwish/tcl.c:
	  reduce variable scope

2013-08-27 04:32  brlcad

	* [r57167] src/libged/draw.c:
	  wrap the innocuous debug printing within #ifdefs with a simple
	  trigger. probably worth having a bu routine to calculate h:m:s
	  from a time delta. curiously encountered a regress-solids failure
	  due to the GED_HELP return code making the draw call presssume it
	  failed.

2013-08-27 03:17  brlcad

	* [r57166] src/adrt/librender/cut.c, src/adrt/librender/flos.c,
	  src/adrt/librender/spall.c, src/anim/anim_cascade.c:
	  convert to bu_sscanf()

2013-08-27 03:13  brlcad

	* [r57165] src/libbn/tests/CMakeLists.txt:
	  patch not yet applied, remove the tests

2013-08-27 03:09  brlcad

	* [r57164] NEWS:
	  mohit changed the bwfilter tool, renaming the -o offset option to
	  -O so that -o can be retained as an output file name option

2013-08-27 02:55  brlcad

	* [r57163] src/adrt/master/compnet.c, src/adrt/master/dispatcher.c,
	  src/adrt/master/dispatcher.h, src/adrt/master/master.c,
	  src/adrt/master/tienet_master.c:
	  ws style cleanup

2013-08-27 02:51  brlcad

	* [r57162] src/adrt/master/tienet_master.c:
	  missing semicolon, reduce scope of some vars

2013-08-27 02:50  brlcad

	* [r57161] src/adrt/master/master.c:
	  work table is no more

2013-08-27 02:36  brlcad

	* [r57160] src/adrt/slave/slave.c:
	  move variable declaration into the ifdef with the use.

2013-08-27 01:28  brlcad

	* [r57159] src/adrt/master/master.c:
	  cppcheck recognizes the range check and usage, check range first.

2013-08-27 01:26  brlcad

	* [r57158] src/adrt/master/master.c:
	  eliminated gratuitous spaces after function names and other ws
	  style indent problems

2013-08-27 00:52  tbrowder2

	* [r57157] TODO:
	  use current attr syntax

2013-08-27 00:50  starseeker

	* [r57156] src/conv/step/CMakeLists.txt,
	  src/conv/step/g-step/CMakeLists.txt,
	  src/conv/step/step-g/CMakeLists.txt:
	  Sigh. The 'only generate it once' solution didn't work with the
	  Ninja generator - do things the 'proper' way and provide sources
	  for each executable target.

2013-08-27 00:32  tbrowder2

	* [r57155] src/libged/attr.c:
	  ws, style

2013-08-27 00:30  brlcad

	* [r57154] src/libbu/sscanf.c:
	  ws indent formatting

2013-08-27 00:22  tbrowder2

	* [r57153] src/libged/attr.c:
	  improve grammar

2013-08-27 00:22  tbrowder2

	* [r57152] src/libged/attr.c:
	  expand comment

2013-08-26 23:34  tbrowder2

	* [r57151] include/bu.h:
	  correct spelling

2013-08-26 21:35  mohitdaga

	* [r57150] src/util/CMakeLists.txt, src/util/bwfilter.c:
	  Modify bwfilter to use icv api. Also this change enables this
	  utility to redirect the output to pipes. And offset is now set
	  with -O instead of -o flag.(since output image usage that flag
	  and wanted this to be universal)

2013-08-26 21:30  mohitdaga

	* [r57149] src/libicv/filter.c:
	  Modify filter function to preserve boundary conditions.

2013-08-26 21:27  carlmoore

	* [r57148] src/conv/g-obj.c:
	  Usage again: add '-name' for -e; put brackets around -o, because
	  that will just default to stdout if left out

2013-08-26 21:17  carlmoore

	* [r57147] src/conv/g-obj.c:
	  implement P in the Usage statement; simplify the setting of
	  'verbose' value

2013-08-26 20:57  carlmoore

	* [r57146] doc/docbook/system/man1/en/g-obj.xml:
	  account for P in the man page

2013-08-26 20:38  carlmoore

	* [r57145] src/conv/g-obj.c:
	  add h? options; remove uneeded braces

2013-08-26 20:35  carlmoore

	* [r57144] doc/docbook/system/man1/en/g-nmg.xml:
	  add description of P option to g-nmg.xml

2013-08-26 16:21  indianlarry

	* [r57142] src/libged/dg_obj.c, src/libged/draw.c,
	  src/mged/dodraw.c:
	  Added buffer to a vlist point in the 'bound_solid' functions
	  otherwise single point would have zero dimension and dozoom()
	  would always consider a speck and not draw

2013-08-26 13:43  carlmoore

	* [r57141] include/icv.h, src/conv/step/g-step/ON_Brep.cpp:
	  remove trailing blanks/tabs; fix spelling & wording

2013-08-26 12:28  indianlarry

	* [r57140] src/libdm/dm-ogl.c, src/libdm/dm-wgl.c:
	  increased point size to 3.0 when drawing points in the Vlist to
	  help standout from line drawing; added code to save point size
	  state to restore after vlist drawing; propagated vlist point
	  drawing to dm-wgl.c

2013-08-26 11:15  tbrowder2

	* [r57139] src/libged/attr.c:
	  refactor some dup code (more pearls remain)

2013-08-26 10:40  tbrowder2

	* [r57138] src/libged/attr.c:
	  ws

2013-08-26 10:37  tbrowder2

	* [r57137] TODO, doc/docbook/system/mann/en/attr.xml,
	  src/libged/attr.c:
	  add some user-specifed attribute sort capability

2013-08-26 09:44  indianlarry

	* [r57135] src/util/dsp_add.c:
	  removed C++ style comment and reapplied original 'static'
	  declaration of optstring

2013-08-26 06:56  phoenixyjll

	* [r57134] src/libged/brep.c:
	  Modify the help messages of the brep command.

2013-08-26 06:48  phoenixyjll

	* [r57133] src/libged/brep.c, src/librt/primitives/brep/brep.cpp:
	  Tweak the brep command to support the other two operations
	  (intersect and diff).

2013-08-26 06:33  phoenixyjll

	* [r57132] include/brep.h, src/libbrep/intersect.cpp:
	  Mark the input curve as const in sub_curve().

2013-08-26 06:32  phoenixyjll

	* [r57131] include/brep.h, src/libbrep/boolean.cpp,
	  src/libged/brep.c, src/librt/primitives/brep/brep.cpp:
	  Decide whether the trimmed faces belong to the final structure
	  according to type of the operation.

2013-08-26 06:11  phoenixyjll

	* [r57130] src/libbrep/boolean.cpp:
	  Use randomly generated test points. And try to use a more strict
	  tolerance (it seems that the default 0.001 is not enough in some
	  cases. Fortunately setting a smaller tol doesn't effect the
	  performance obviously)

2013-08-26 04:21  phoenixyjll

	* [r57129] src/libbrep/boolean.cpp:
	  Implement IsFaceInsideBrep() to decide whether a trimmed face is
	  inside another brep.

2013-08-25 21:26  tbrowder2

	* [r57128] TODO:
	  gattributes has been renamed

2013-08-25 20:19  tbrowder2

	* [r57127] doc/burst/README:
	  add info from Eric Raymond ref doclifter

2013-08-25 20:18  tbrowder2

	* [r57126] doc/burst/burst.mm:
	  add macro at top to trigger proper doclifter response pre advice
	  from Eric Raymond

2013-08-25 11:09  tbrowder2

	* [r57125] doc/docbook/system/man5/en/attributes.xml:
	  add missing copyright section

2013-08-24 21:33  tbrowder2

	* [r57124] src/util/fix_polysolids.c:
	  add missing option descriptions

2013-08-24 21:32  tbrowder2

	* [r57123] src/util/dsp_add.c:
	  add semicolons to separate see_also items (per auto-man-page
	  formatting instructions)

2013-08-24 19:14  starseeker

	* [r57122] src/conv/step/g-step/CMakeLists.txt:
	  Right - g-step needs BN_DLL_IMPORTS too

2013-08-24 16:27  tbrowder2

	* [r57121] misc/auto-man-page/README.auto-man-page-handling:
	  emphasize uniqueness of part names

2013-08-24 16:10  starseeker

	* [r57120] src/librt/comb/comb.c, src/librt/db5_types.c:
	  And changing from color back to rgb also has consequences
	  (impacts red command behavior).

2013-08-24 16:05  starseeker

	* [r57119] src/util/pix-bw.c:
	  Return 0 on success - fixes compile failure from
	  Werror=return-type

2013-08-24 16:02  starseeker

	* [r57118] include/ged.h, src/libged/CMakeLists.txt,
	  src/libged/pull.c, src/mged/setup.c:
	  Apply patch #215 from Nyah Check that stubs in an empty pull
	  command to libged and mged.

2013-08-24 15:41  tbrowder2

	* [r57117] src/util/fix_polysolids.c:
	  indicate mandatory option arg with angle brackets

2013-08-24 15:36  tbrowder2

	* [r57116] misc/auto-man-page/README.auto-man-page-handling:
	  clarify keyword format

2013-08-24 11:26  mohitdaga

	* [r57115] include/icv.h, src/libicv/bw.c:
	  Add macros for converting rgb images to gray channel images.

2013-08-24 10:26  mohitdaga

	* [r57114] src/util/CMakeLists.txt, src/util/pix-bw.c:
	  Use icv in pix-bw utility. This imporvement now supports pipes
	  and can also save file to output files specified.

2013-08-24 10:22  mohitdaga

	* [r57113] include/icv.h, src/libicv/bw.c,
	  src/libicv/color_space.c:
	  Remove clumsy ness from rgb2gray function.

2013-08-24 07:32  mohitdaga

	* [r57112] include/bn.h:
	  Change max degree to 6 for sextic equations. (brlcad, Izak_, Erik
	  Please note this change.)

2013-08-23 22:14  starseeker

	* [r57111] src/libged/gqa.c:
	  Fix stack smash where strtok was reading beyond the limits of
	  optarg (Sean found it)

2013-08-23 21:33  brlcad

	* [r57110] src/libged/gqa.c:
	  do not tokenize over spaces

2013-08-23 19:59  starseeker

	* [r57109] src/other/stepcode/src/express/test/print_attrs.c,
	  src/other/stepcode/src/express/test/print_schemas.c:
	  Wrap unistd.h as well.

2013-08-23 19:03  starseeker

	* [r57108] doc/html/CMakeLists.txt:
	  Add logo ico file to CMake logic

2013-08-23 18:56  starseeker

	* [r57106] src/conv/step/g-step/ON_Brep.cpp:
	  Add more top-level shape definition logic. Seeing differences in
	  how these are defined, so need to give a little thought as to
	  what best practices would be...

2013-08-23 18:05  carlmoore

	* [r57105] src/libicv/bw.c:
	  remove trailing blanks/tabs

2013-08-23 17:20  carlmoore

	* [r57104] src/conv/nmg/g-nmg.c:
	  remove unneeded brace pairs, and re-implement -P argument in
	  ***Usage*** statement (why did that revert from my earlier
	  commit?)

2013-08-23 14:32  carlmoore

	* [r57103] src/librt/primitives/hrt/hrt.c:
	  remove trailing blanks/tabs; fix spelling; supply periods in
	  'e.g.'

2013-08-23 13:33  starseeker

	* [r57102] src/conv/step/g-step/CMakeLists.txt,
	  src/conv/step/step-g/CMakeLists.txt:
	  SCL_ prefix has been changed to SC_

2013-08-23 13:30  starseeker

	* [r57101] src/other/stepcode/src/express/test/print_attrs.c,
	  src/other/stepcode/src/express/test/print_schemas.c:
	  sys/param.h isn't available on Windows - conditionalize it.

2013-08-23 12:48  iiizzzaaakkk

	* [r57100] src/librt/primitives/hrt/hrt.c:
	  Added rt_hrt_norm() function which Computes the normal to the
	  heart given a point on the heart

2013-08-23 10:36  phoenixyjll

	* [r57099] src/libbrep/boolean.cpp:
	  Opposite logic - if the number of intersections is odd, then we
	  should return true.

2013-08-23 09:32  phoenixyjll

	* [r57098] src/libbrep/boolean.cpp:
	  Implement a function to determine whether a point is inside a
	  ON_Brep structure using curve-surface intersections - the first
	  step of inside-outside tests.

2013-08-23 08:51  iiizzzaaakkk

	* [r57097] include/pc.h, src/libbrep/boolean.cpp,
	  src/librt/primitives/hrt/hrt.c:
	  Removing unused variable polycurve and fixing function
	  declarations in pc header

2013-08-23 05:01  brlcad

	* [r57096] include/wdb.h:
	  don't need common.h as this file includes no system header
	  directly

2013-08-23 04:53  brlcad

	* [r57095] include/fbio.h, include/nmg.h, include/pc.h,
	  include/pkg.h, include/wdb.h:
	  the *_ARGS() macros can go away as well, since c89+ is required.

2013-08-23 04:44  brlcad

	* [r57094] include/nmg.h:
	  looks like nothing uses it, but NMG_EXTERN can go regardless

2013-08-23 04:42  brlcad

	* [r57093] include/pkg.h:
	  similarly remove PKG_EXTERN, no longer pre ansi supporting

2013-08-23 04:39  brlcad

	* [r57092] include/pc.h:
	  remove PC_EXTERN as well

2013-08-23 04:36  brlcad

	* [r57091] include/wdb.h:
	  eliminate WDB_EXTERN. we no longer support k&r style
	  declarations.

2013-08-23 04:35  phoenixyjll

	* [r57090] src/libbrep/boolean.cpp:
	  Tweak the implementation of LinkedCurve - we should keep the
	  original curve segment so that we can then share an edge with a
	  neighboring face.

2013-08-23 04:25  brlcad

	* [r57089] src/conv/step/g-step/CMakeLists.txt:
	  on some platforms or with particular linker flags, library
	  ordering matters. list them in dependency order.

2013-08-23 04:19  starseeker

	* [r57088] src/conv/step/g-step/CMakeLists.txt:
	  Add libbn to the g-step lib list

2013-08-23 04:12  starseeker

	* [r57087] src/proc-db/cchannel.c:
	  Don't need ged.h in this file, and it's conflicting with the
	  subsequent wdb.h include in MSVC

2013-08-23 03:42  starseeker

	* [r57086] doc/docbook/system/man3/en/CMakeLists.txt,
	  doc/docbook/system/man3/en/bu_htond.xml,
	  doc/docbook/system/man3/en/htond.xml, include/bu.h,
	  src/conv/stl/g-stl.c, src/conv/stl/stl-g.c, src/fb/plot3-fb.c,
	  src/libbn/plot3.c, src/libbu/convert.c, src/libbu/htond.c,
	  src/libbu/htonf.c, src/libbu/parse.c, src/libged/bot_dump.c,
	  src/libmultispectral/sh_temp.c, src/librt/binunif/db5_bin.c,
	  src/librt/comb/comb.c, src/librt/primitives/arb8/arb8.c,
	  src/librt/primitives/arbn/arbn.c, src/librt/primitives/ars/ars.c,
	  src/librt/primitives/bot/bot.c,
	  src/librt/primitives/bspline/bspline.cpp,
	  src/librt/primitives/cline/cline.c,
	  src/librt/primitives/dsp/dsp.c, src/librt/primitives/ehy/ehy.c,
	  src/librt/primitives/ell/ell.c, src/librt/primitives/epa/epa.c,
	  src/librt/primitives/eto/eto.c,
	  src/librt/primitives/extrude/extrude.c,
	  src/librt/primitives/grip/grip.c,
	  src/librt/primitives/half/half.c, src/librt/primitives/hrt/hrt.c,
	  src/librt/primitives/hyp/hyp.c,
	  src/librt/primitives/metaball/metaball.c,
	  src/librt/primitives/nmg/nmg.c, src/librt/primitives/part/part.c,
	  src/librt/primitives/pipe/pipe.c,
	  src/librt/primitives/pnts/pnts.c,
	  src/librt/primitives/revolve/revolve.c,
	  src/librt/primitives/rhc/rhc.c, src/librt/primitives/rpc/rpc.c,
	  src/librt/primitives/sketch/sketch.c,
	  src/librt/primitives/superell/superell.c,
	  src/librt/primitives/tgc/tgc.c, src/librt/primitives/tor/tor.c,
	  src/librt/primitives/xxx/xxx.c, src/librt/vlist.c,
	  src/librtserver/rtserver.c, src/librtserver/rtserverTest.c,
	  src/rt/view.c, src/util/double-asc.c, src/util/plot3-X.c,
	  src/util/plot3-asc.c, src/util/plot3-plot3.c,
	  src/util/plot3-ps.c, src/util/plot3-tek.c, src/util/plot3debug.c,
	  src/util/plot3rot.c, src/util/plot3stat.c:
	  Update and re-apply r55406 - add the bu_ prefix to htond, ntohd,
	  htonf, and ntohf functions in libbu. This lets MSVC 2012
	  compilation proceed, but is not a complete solution to the issues
	  caused by the new Windows API changes.

2013-08-23 02:32  starseeker

	* [r57085] src/libbu/tests/CMakeLists.txt:
	  Whatever needs to go in the WINMM entry, it's gonna have to be
	  part of the ADDEXEC line...

2013-08-23 02:14  starseeker

	* [r57084] src/other/stepcode/include/ordered_attrs.h:
	  Take a stab at exporting the orderedAttrs functions for Windows.

2013-08-22 21:06  mohitdaga

	* [r57083] src/util/CMakeLists.txt, src/util/pixfade.c:
	  Update pixfade to use libicv. This now uses icv api to fade an
	  image. This helps in writting/reading to/from pipes.

2013-08-22 21:04  mohitdaga

	* [r57082] src/util/CMakeLists.txt, src/util/bw-pix.c:
	  Update bw-pix to use libicv. Also this imporves the usability of
	  bw-pix.

2013-08-22 21:01  mohitdaga

	* [r57081] src/libicv/bw.c, src/libicv/pix.c:
	  Few changes in bw.c and pix.c related to style. Also read
	  function returns 0 when end of file is reached.

2013-08-22 20:47  starseeker

	* [r57080] src/conv/nmg/g-nmg.c:
	  Fix build error

2013-08-22 20:03  brlcad

	* [r57079] src/conv/nmg/g-nmg.c:
	  integer division for percentages is generally a bad idea. do it
	  as doubles.

2013-08-22 19:47  starseeker

	* [r57078] src/conv/step/g-step/ON_Brep.cpp:
	  Previous state caused step-g to crash

2013-08-22 19:44  carlmoore

	* [r57077] src/conv/nmg/g-nmg.c:
	  print output file name ('default' if that is the case), and also
	  do if-else for percent

2013-08-22 19:40  brlcad

	* [r57076] src/libbu/malloc.c:
	  utilize the new BU_SEM_MALLOC semaphore instead of BU_SEM_SYSCALL
	  since this has been a historic source of confusion and
	  unnecessary debugging hell. remove a few fprintf-wrapped locks as
	  well since there are considerably more that remain unprotected,
	  at least until a need is observed.

2013-08-22 19:38  brlcad

	* [r57075] include/bu.h:
	  define a semaphore specifically for malloc. this will prevent the
	  deadlock condition frequently encountered with libfb's i/o
	  locking (which has absolutely nothing to do with a potentially
	  threadunsafe malloc implementation.).

2013-08-22 19:33  brlcad

	* [r57074] src/libbu/malloc.c:
	  this just artificially makes malloc/calloc even slower than they
	  already are, needs to be fixed

2013-08-22 19:25  brlcad

	* [r57073] src/libbu/malloc.c:
	  utilize posix_memalign() for allocations, starting with an
	  ultra-conservative 8 byte alignment while more testing is
	  performed. clean up some misplaced comments while we're at it.

2013-08-22 18:47  starseeker

	* [r57072] src/conv/step/g-step/ON_Brep.cpp:
	  tweaks - geometry still not coming in correctly with BRL-CAD
	  step-g, looks like topology is off somewhere...

2013-08-22 18:34  erikgreenwald

	* [r57071] src/adrt/isst:
	  use wish instead of bwish

2013-08-22 17:10  brlcad

	* [r57070] src/conv/step/g-step/ON_Brep.cpp:
	  include comments and logically break up the wall of code so I can
	  understand what's going on

2013-08-22 17:00  brlcad

	* [r57069] src/conv/step/g-step/g-step.cpp:
	  ws consistency

2013-08-22 16:42  iiizzzaaakkk

	* [r57068] src/librt/primitives/hrt/hrt.c:
	  Adding rt_hrt_shot to intersect a ray with the heart

2013-08-22 15:59  starseeker

	* [r57067] src/conv/step/g-step/ON_Brep.cpp:
	  Make a stab at adding at least some form of shape definition to
	  the step output.

2013-08-22 15:21  carlmoore

	* [r57066] src/conv/nmg/g-nmg.c:
	  remove a set of braces, and a mistakenly-inserted brace is
	  changed to bracket in Usage statement

2013-08-22 14:44  brlcad

	* [r57065] NEWS:
	  tom renamed the 'gattributes' man page to just 'attributes' so
	  it's easier to find. the page describes our v5 attribute system.

2013-08-22 13:51  tbrowder2

	* [r57064] doc/docbook/system/man5/en/CMakeLists.txt,
	  doc/docbook/system/man5/en/attributes.xml,
	  doc/docbook/system/man5/en/gattributes.xml,
	  doc/docbook/system/mann/en/attr.xml, include/raytrace.h:
	  rename gattributes to attributes as file name and references to
	  the man page

2013-08-22 13:43  tbrowder2

	* [r57063] src/util/dsp_add.c:
	  add note about wiki

2013-08-22 13:26  carlmoore

	* [r57062] src/libbrep/boolean.cpp, src/librt/primitives/hrt/hrt.c:
	  fix spelling and remove trailing blanks

2013-08-22 11:03  vladbogo

	* [r57061] src/libtclcad/tclcad_obj.c:
	  Added the Qt display manager as a valid dm.

2013-08-22 10:58  vladbogo

	* [r57060] src/libdm/dm-qt.cpp:
	  Check if Qpainter is null in drawVList and changed log position.

2013-08-22 10:55  starseeker

	* [r57059] src/conv/step/g-step/ON_Brep.cpp:
	  List out the C++ structs we'll need to populate and link up for
	  shape definition

2013-08-22 10:06  iiizzzaaakkk

	* [r57058] src/librt/primitives/superell/superell.c:
	  Modifying a comment by punctuating the word primitive

2013-08-22 09:00  phoenixyjll

	* [r57057] src/libbrep/boolean.cpp:
	  Keep the information of the usage of SSI curve, so that we can
	  know the connection between two trimmed faces (split from two
	  surfaces), and get the connectivity graph of the new geometry
	  after boolean evaluation.

2013-08-22 04:27  phoenixyjll

	* [r57056] src/libbrep/boolean.cpp:
	  Rename shadowed variable.

2013-08-22 03:56  phoenixyjll

	* [r57055] src/libbrep/boolean.cpp:
	  Swap start & end if start > end.

2013-08-22 03:50  phoenixyjll

	* [r57054] src/libbrep/boolean.cpp:
	  Rename the members in TrimmedFace with "m_" prefix for
	  consistency.

2013-08-22 03:43  phoenixyjll

	* [r57053] src/libbrep/boolean.cpp:
	  Don't use explicit dynamic memory allocation for curvesarray, in
	  case that we forget to delete it. Use ON_ClassArray instead.

2013-08-22 03:30  phoenixyjll

	* [r57052] src/libbrep/boolean.cpp:
	  Simplify the code to output IsValid() information.

2013-08-22 02:42  starseeker

	* [r57051]
	  src/other/incrTcl/itcl/CMake/CheckSystemFunctionality.cmake,
	  src/other/incrTcl/itcl/CMake/ResolveCompilerPaths.cmake,
	  src/other/incrTcl/itcl/CMake/ac_std_funcs.cmake,
	  src/other/incrTcl/itcl/CMake/tcl.cmake,
	  src/other/incrTcl/itk/CMake/CheckSystemFunctionality.cmake,
	  src/other/incrTcl/itk/CMake/ResolveCompilerPaths.cmake,
	  src/other/incrTcl/itk/CMake/ac_std_funcs.cmake,
	  src/other/incrTcl/itk/CMake/tcl.cmake,
	  src/other/libutahrle/CMake/ResolveCompilerPaths.cmake,
	  src/other/libutahrle/CMake/UTAH_CheckFunctions.cmake,
	  src/other/sqlite3.dist,
	  src/other/sqlite3/CMake/ResolveCompilerPaths.cmake,
	  src/other/sqlite3/CMakeLists.txt,
	  src/other/sqlite3/tcl/CMake/ResolveCompilerPaths.cmake,
	  src/other/sqlite3/tcl/CMake/ac_std_funcs.cmake,
	  src/other/sqlite3/tcl/CMake/tcl.cmake,
	  src/other/tcl/CMake/CheckSystemFunctionality.cmake,
	  src/other/tcl/CMake/ResolveCompilerPaths.cmake,
	  src/other/tcl/CMake/ac_std_funcs.cmake,
	  src/other/tcl/CMake/tcl.cmake, src/other/tcl/CMakeLists.txt,
	  src/other/tcl/library/tzdata/America/Resolute,
	  src/other/tk/CMake/CheckSystemFunctionality.cmake,
	  src/other/tk/CMake/ResolveCompilerPaths.cmake,
	  src/other/tk/CMake/ac_std_funcs.cmake,
	  src/other/tk/CMake/tcl.cmake, src/other/xmltools.dist,
	  src/other/xmltools/CMake/ResolveCompilerPaths.cmake,
	  src/other/xmltools/README,
	  src/other/xmltools/libxml/CMakeLists.txt:
	  Remove ResolveCompilerPaths from src/other CMake as well.

2013-08-22 02:29  starseeker

	* [r57050] misc/CMake/BRLCAD_CheckFunctions.cmake,
	  misc/CMake/FindTERMLIB.cmake,
	  misc/CMake/ResolveCompilerPaths.cmake,
	  misc/pkgconfig/CMakeLists.txt:
	  We don't appear to need the RESOLVE_LIBRARIES macro

2013-08-22 02:05  starseeker

	* [r57049] src/conv/step/g-step/ON_Brep.cpp:
	  FreeCAD doesn't yet import our step file, since we have no shape
	  definition. Start listing out what we will need for one of those.

2013-08-21 23:46  starseeker

	* [r57048] CMakeLists.txt:
	  This test for the Windows Winmm library should work - need to fix
	  up macro logic so that it actually does work.

2013-08-21 21:25  starseeker

	* [r57047] src/other/stepcode/src/express/express.c:
	  Include sc_version_string

2013-08-21 21:22  starseeker

	* [r57046] src/other/stepcode/src/express/express.c:
	  Ah, right, don't have the helper function here.

2013-08-21 21:07  starseeker

	* [r57045] src/other/stepcode/src/express/express.c,
	  src/other/stepcode/src/express/fedex.c:
	  If we're going to make this a library function, put it in
	  express.c

2013-08-21 21:05  starseeker

	* [r57044] misc/CMakeLists.txt:
	  Oh yeah, don't add the directory

2013-08-21 20:57  starseeker

	* [r57043] misc/CMakeLists.txt, misc/auto-man-page/CMakeLists.txt:
	  Just ignore the directory, like other misc directories not
	  involved with CMake.

2013-08-21 20:56  starseeker

	* [r57042] src/other/stepcode/src/express/ordered_attrs.cc:
	  Windows doesn't have strcasecmp

2013-08-21 19:56  starseeker

	* [r57041] src/conv/step/g-step/ON_Brep.cpp:
	  orient the start and end points according to whether the edge is
	  flipped according to the trim... still not sure I've got this
	  right, but the 'closed curve' in 3 space actually did re-use the
	  edge...

2013-08-21 18:40  starseeker

	* [r57040] src/conv/step/g-step/ON_Brep.cpp,
	  src/other/stepcode/src/clstepcore/STEPcomplex.cc:
	  Tweak assignment of unit entities to the aggregate.

2013-08-21 17:52  carlmoore

	* [r57039] src/conv/nmg/g-nmg.c:
	  add P to the Usage statement

2013-08-21 15:35  starseeker

	* [r57038] src/other/stepcode/src/base/judy/src/judyS2Array.h,
	  src/other/stepcode/src/base/judy/src/judySArray.h:
	  Match type to the _buff type - mismatch was an error in clang

2013-08-21 15:34  starseeker

	* [r57037] src/other/stepcode/src/cllazyfile/instMgrHelper.h:
	  Add newline

2013-08-21 15:32  starseeker

	* [r57036] src/other/stepcode/src/clstepcore/ExpDict.h,
	  src/other/stepcode/src/clstepcore/STEPattribute.h,
	  src/other/stepcode/src/clstepcore/STEPundefined.cc,
	  src/other/stepcode/src/clstepcore/dispnode.h,
	  src/other/stepcode/src/clstepcore/instmgr.h,
	  src/other/stepcode/src/clutils/dirobj.h:
	  clear 'extra ';' inside a class' warnings

2013-08-21 15:31  starseeker

	* [r57035] src/other/stepcode/src/fedex_plus/classes.c,
	  src/other/stepcode/src/fedex_plus/classes_misc.c:
	  more declaration-after-statement warnings

2013-08-21 15:26  starseeker

	* [r57034] src/other/stepcode/src/express/entity.c:
	  Clear declaration-after-statement warnings

2013-08-21 15:00  starseeker

	* [r57033] src/conv/step/step-g/CMakeLists.txt:
	  Don't ignore files that aren't there

2013-08-21 14:59  starseeker

	* [r57032] src/conv/step/g-step/CMakeLists.txt,
	  src/conv/step/step-g/CMakeLists.txt:
	  comment tweaks

2013-08-21 14:53  starseeker

	* [r57031] src/conv/step/CMakeLists.txt,
	  src/conv/step/g-step/CMakeLists.txt,
	  src/conv/step/step-g/CMakeLists.txt:
	  Update CMake build logic. Try to make the fedex_plus generation
	  process more robust against parallel building.

2013-08-21 14:34  iiizzzaaakkk

	* [r57030] src/librt/primitives/hrt/hrt.c:
	  Sorry! removing unused variables in rt_hrt_shot()

2013-08-21 14:22  starseeker

	* [r57029] src/conv/step/AdvancedBrepShapeRepresentation.cpp,
	  src/conv/step/AdvancedBrepShapeRepresentation.h,
	  src/conv/step/AdvancedFace.cpp, src/conv/step/AdvancedFace.h,
	  src/conv/step/AmountOfSubstanceContextDependentUnit.cpp,
	  src/conv/step/AmountOfSubstanceContextDependentUnit.h,
	  src/conv/step/AmountOfSubstanceConversionBasedUnit.cpp,
	  src/conv/step/AmountOfSubstanceConversionBasedUnit.h,
	  src/conv/step/AmountOfSubstanceSiUnit.cpp,
	  src/conv/step/AmountOfSubstanceSiUnit.h,
	  src/conv/step/AmountOfSubstanceUnit.cpp,
	  src/conv/step/AmountOfSubstanceUnit.h,
	  src/conv/step/ApplicationContext.cpp,
	  src/conv/step/ApplicationContext.h,
	  src/conv/step/ApplicationContextElement.cpp,
	  src/conv/step/ApplicationContextElement.h,
	  src/conv/step/AreaContextDependentUnit.cpp,
	  src/conv/step/AreaContextDependentUnit.h,
	  src/conv/step/AreaConversionBasedUnit.cpp,
	  src/conv/step/AreaConversionBasedUnit.h,
	  src/conv/step/AreaSiUnit.cpp, src/conv/step/AreaSiUnit.h,
	  src/conv/step/AreaUnit.cpp, src/conv/step/AreaUnit.h,
	  src/conv/step/Axis1Placement.cpp, src/conv/step/Axis1Placement.h,
	  src/conv/step/Axis2Placement.cpp, src/conv/step/Axis2Placement.h,
	  src/conv/step/Axis2Placement2D.cpp,
	  src/conv/step/Axis2Placement2D.h,
	  src/conv/step/Axis2Placement3D.cpp,
	  src/conv/step/Axis2Placement3D.h, src/conv/step/BSplineCurve.cpp,
	  src/conv/step/BSplineCurve.h,
	  src/conv/step/BSplineCurveWithKnots.cpp,
	  src/conv/step/BSplineCurveWithKnots.h,
	  src/conv/step/BSplineSurface.cpp, src/conv/step/BSplineSurface.h,
	  src/conv/step/BSplineSurfaceWithKnots.cpp,
	  src/conv/step/BSplineSurfaceWithKnots.h,
	  src/conv/step/BezierCurve.cpp, src/conv/step/BezierCurve.h,
	  src/conv/step/BezierSurface.cpp, src/conv/step/BezierSurface.h,
	  src/conv/step/BoundaryCurve.cpp, src/conv/step/BoundaryCurve.h,
	  src/conv/step/BoundedCurve.cpp, src/conv/step/BoundedCurve.h,
	  src/conv/step/BoundedPCurve.cpp, src/conv/step/BoundedPCurve.h,
	  src/conv/step/BoundedSurface.cpp, src/conv/step/BoundedSurface.h,
	  src/conv/step/BoundedSurfaceCurve.cpp,
	  src/conv/step/BoundedSurfaceCurve.h,
	  src/conv/step/BrepWithVoids.cpp, src/conv/step/BrepWithVoids.h,
	  src/conv/step/CMakeLists.txt, src/conv/step/CartesianPoint.cpp,
	  src/conv/step/CartesianPoint.h,
	  src/conv/step/CartesianTransformationOperator.cpp,
	  src/conv/step/CartesianTransformationOperator.h,
	  src/conv/step/CartesianTransformationOperator2D.cpp,
	  src/conv/step/CartesianTransformationOperator2D.h,
	  src/conv/step/CartesianTransformationOperator3D.cpp,
	  src/conv/step/CartesianTransformationOperator3D.h,
	  src/conv/step/Circle.cpp, src/conv/step/Circle.h,
	  src/conv/step/ClosedShell.cpp, src/conv/step/ClosedShell.h,
	  src/conv/step/CompositeCurve.cpp, src/conv/step/CompositeCurve.h,
	  src/conv/step/CompositeCurveOnSurface.cpp,
	  src/conv/step/CompositeCurveOnSurface.h,
	  src/conv/step/CompositeCurveSegment.cpp,
	  src/conv/step/CompositeCurveSegment.h, src/conv/step/Conic.cpp,
	  src/conv/step/Conic.h, src/conv/step/ConicalSurface.cpp,
	  src/conv/step/ConicalSurface.h,
	  src/conv/step/ConnectedFaceSet.cpp,
	  src/conv/step/ConnectedFaceSet.h,
	  src/conv/step/ContextDependentShapeRepresentation.cpp,
	  src/conv/step/ContextDependentShapeRepresentation.h,
	  src/conv/step/ContextDependentUnit.cpp,
	  src/conv/step/ContextDependentUnit.h,
	  src/conv/step/ConversionBasedUnit.cpp,
	  src/conv/step/ConversionBasedUnit.h, src/conv/step/Curve.cpp,
	  src/conv/step/Curve.h, src/conv/step/CurveBoundedSurface.cpp,
	  src/conv/step/CurveBoundedSurface.h,
	  src/conv/step/CurveReplica.cpp, src/conv/step/CurveReplica.h,
	  src/conv/step/CylindricalSurface.cpp,
	  src/conv/step/CylindricalSurface.h,
	  src/conv/step/DefinitionalRepresentation.cpp,
	  src/conv/step/DefinitionalRepresentation.h,
	  src/conv/step/DerivedUnit.cpp, src/conv/step/DerivedUnit.h,
	  src/conv/step/DerivedUnitElement.cpp,
	  src/conv/step/DerivedUnitElement.h,
	  src/conv/step/DesignContext.cpp, src/conv/step/DesignContext.h,
	  src/conv/step/DimensionalExponents.cpp,
	  src/conv/step/DimensionalExponents.h,
	  src/conv/step/Direction.cpp, src/conv/step/Direction.h,
	  src/conv/step/Edge.cpp, src/conv/step/Edge.h,
	  src/conv/step/EdgeCurve.cpp, src/conv/step/EdgeCurve.h,
	  src/conv/step/EdgeLoop.cpp, src/conv/step/EdgeLoop.h,
	  src/conv/step/ElectricCurrentContextDependentUnit.cpp,
	  src/conv/step/ElectricCurrentContextDependentUnit.h,
	  src/conv/step/ElectricCurrentConversionBasedUnit.cpp,
	  src/conv/step/ElectricCurrentConversionBasedUnit.h,
	  src/conv/step/ElectricCurrentSiUnit.cpp,
	  src/conv/step/ElectricCurrentSiUnit.h,
	  src/conv/step/ElectricCurrentUnit.cpp,
	  src/conv/step/ElectricCurrentUnit.h,
	  src/conv/step/ElementarySurface.cpp,
	  src/conv/step/ElementarySurface.h, src/conv/step/Ellipse.cpp,
	  src/conv/step/Ellipse.h, src/conv/step/Face.cpp,
	  src/conv/step/Face.h, src/conv/step/FaceBound.cpp,
	  src/conv/step/FaceBound.h, src/conv/step/FaceOuterBound.cpp,
	  src/conv/step/FaceOuterBound.h, src/conv/step/FaceSurface.cpp,
	  src/conv/step/FaceSurface.h, src/conv/step/Factory.cpp,
	  src/conv/step/Factory.h, src/conv/step/FoundedItem.cpp,
	  src/conv/step/FoundedItem.h,
	  src/conv/step/FunctionallyDefinedTransformation.cpp,
	  src/conv/step/FunctionallyDefinedTransformation.h,
	  src/conv/step/GeometricRepresentationContext.cpp,
	  src/conv/step/GeometricRepresentationContext.h,
	  src/conv/step/GeometricRepresentationItem.cpp,
	  src/conv/step/GeometricRepresentationItem.h,
	  src/conv/step/GlobalUncertaintyAssignedContext.cpp,
	  src/conv/step/GlobalUncertaintyAssignedContext.h,
	  src/conv/step/GlobalUnitAssignedContext.cpp,
	  src/conv/step/GlobalUnitAssignedContext.h,
	  src/conv/step/Hyperbola.cpp, src/conv/step/Hyperbola.h,
	  src/conv/step/IntersectionCurve.cpp,
	  src/conv/step/IntersectionCurve.h,
	  src/conv/step/ItemDefinedTransformation.cpp,
	  src/conv/step/ItemDefinedTransformation.h,
	  src/conv/step/LengthContextDependentUnit.cpp,
	  src/conv/step/LengthContextDependentUnit.h,
	  src/conv/step/LengthConversionBasedUnit.cpp,
	  src/conv/step/LengthConversionBasedUnit.h,
	  src/conv/step/LengthMeasureWithUnit.cpp,
	  src/conv/step/LengthMeasureWithUnit.h,
	  src/conv/step/LengthSiUnit.cpp, src/conv/step/LengthSiUnit.h,
	  src/conv/step/LengthUnit.cpp, src/conv/step/LengthUnit.h,
	  src/conv/step/Line.cpp, src/conv/step/Line.h,
	  src/conv/step/LocalUnits.cpp, src/conv/step/LocalUnits.h,
	  src/conv/step/Loop.cpp, src/conv/step/Loop.h,
	  src/conv/step/LuminousIntensityContextDependentUnit.cpp,
	  src/conv/step/LuminousIntensityContextDependentUnit.h,
	  src/conv/step/LuminousIntensityConversionBasedUnit.cpp,
	  src/conv/step/LuminousIntensityConversionBasedUnit.h,
	  src/conv/step/LuminousIntensitySiUnit.cpp,
	  src/conv/step/LuminousIntensitySiUnit.h,
	  src/conv/step/LuminousIntensityUnit.cpp,
	  src/conv/step/LuminousIntensityUnit.h,
	  src/conv/step/ManifoldSolidBrep.cpp,
	  src/conv/step/ManifoldSolidBrep.h,
	  src/conv/step/MassContextDependentUnit.cpp,
	  src/conv/step/MassContextDependentUnit.h,
	  src/conv/step/MassConversionBasedUnit.cpp,
	  src/conv/step/MassConversionBasedUnit.h,
	  src/conv/step/MassSiUnit.cpp, src/conv/step/MassSiUnit.h,
	  src/conv/step/MassUnit.cpp, src/conv/step/MassUnit.h,
	  src/conv/step/MeasureValue.cpp, src/conv/step/MeasureValue.h,
	  src/conv/step/MeasureWithUnit.cpp,
	  src/conv/step/MeasureWithUnit.h,
	  src/conv/step/MechanicalContext.cpp,
	  src/conv/step/MechanicalContext.h, src/conv/step/NamedUnit.cpp,
	  src/conv/step/NamedUnit.h, src/conv/step/ON_Brep.cpp,
	  src/conv/step/ON_Brep.h, src/conv/step/OffsetCurve2D.cpp,
	  src/conv/step/OffsetCurve2D.h, src/conv/step/OffsetCurve3D.cpp,
	  src/conv/step/OffsetCurve3D.h, src/conv/step/OffsetSurface.cpp,
	  src/conv/step/OffsetSurface.h,
	  src/conv/step/OpenNurbsInterfaces.cpp,
	  src/conv/step/OrientedClosedShell.cpp,
	  src/conv/step/OrientedClosedShell.h,
	  src/conv/step/OrientedEdge.cpp, src/conv/step/OrientedEdge.h,
	  src/conv/step/PCurve.cpp, src/conv/step/PCurve.h,
	  src/conv/step/PCurveOrSurface.cpp,
	  src/conv/step/PCurveOrSurface.h, src/conv/step/Parabola.cpp,
	  src/conv/step/Parabola.h,
	  src/conv/step/ParametricRepresentationContext.cpp,
	  src/conv/step/ParametricRepresentationContext.h,
	  src/conv/step/Path.cpp, src/conv/step/Path.h,
	  src/conv/step/Placement.cpp, src/conv/step/Placement.h,
	  src/conv/step/Plane.cpp, src/conv/step/Plane.h,
	  src/conv/step/PlaneAngleContextDependentUnit.cpp,
	  src/conv/step/PlaneAngleContextDependentUnit.h,
	  src/conv/step/PlaneAngleConversionBasedUnit.cpp,
	  src/conv/step/PlaneAngleConversionBasedUnit.h,
	  src/conv/step/PlaneAngleMeasureWithUnit.cpp,
	  src/conv/step/PlaneAngleMeasureWithUnit.h,
	  src/conv/step/PlaneAngleSiUnit.cpp,
	  src/conv/step/PlaneAngleSiUnit.h,
	  src/conv/step/PlaneAngleUnit.cpp, src/conv/step/PlaneAngleUnit.h,
	  src/conv/step/Point.cpp, src/conv/step/Point.h,
	  src/conv/step/Polyline.cpp, src/conv/step/Polyline.h,
	  src/conv/step/Product.cpp, src/conv/step/Product.h,
	  src/conv/step/ProductCategory.cpp,
	  src/conv/step/ProductCategory.h,
	  src/conv/step/ProductContext.cpp, src/conv/step/ProductContext.h,
	  src/conv/step/ProductDefinition.cpp,
	  src/conv/step/ProductDefinition.h,
	  src/conv/step/ProductDefinitionContext.cpp,
	  src/conv/step/ProductDefinitionContext.h,
	  src/conv/step/ProductDefinitionContextAssociation.cpp,
	  src/conv/step/ProductDefinitionContextAssociation.h,
	  src/conv/step/ProductDefinitionContextRole.cpp,
	  src/conv/step/ProductDefinitionContextRole.h,
	  src/conv/step/ProductDefinitionFormation.cpp,
	  src/conv/step/ProductDefinitionFormation.h,
	  src/conv/step/ProductDefinitionFormationWithSpecifiedSource.cpp,
	  src/conv/step/ProductDefinitionFormationWithSpecifiedSource.h,
	  src/conv/step/ProductDefinitionShape.cpp,
	  src/conv/step/ProductDefinitionShape.h,
	  src/conv/step/ProductRelatedProductCategory.cpp,
	  src/conv/step/ProductRelatedProductCategory.h,
	  src/conv/step/PropertyDefinition.cpp,
	  src/conv/step/PropertyDefinition.h,
	  src/conv/step/QuasiUniformCurve.cpp,
	  src/conv/step/QuasiUniformCurve.h,
	  src/conv/step/QuasiUniformSurface.cpp,
	  src/conv/step/QuasiUniformSurface.h,
	  src/conv/step/RatioContextDependentUnit.cpp,
	  src/conv/step/RatioContextDependentUnit.h,
	  src/conv/step/RatioConversionBasedUnit.cpp,
	  src/conv/step/RatioConversionBasedUnit.h,
	  src/conv/step/RatioSiUnit.cpp, src/conv/step/RatioSiUnit.h,
	  src/conv/step/RatioUnit.cpp, src/conv/step/RatioUnit.h,
	  src/conv/step/RationalBSplineCurve.cpp,
	  src/conv/step/RationalBSplineCurve.h,
	  src/conv/step/RationalBSplineCurveWithKnots.cpp,
	  src/conv/step/RationalBSplineCurveWithKnots.h,
	  src/conv/step/RationalBSplineSurface.cpp,
	  src/conv/step/RationalBSplineSurface.h,
	  src/conv/step/RationalBSplineSurfaceWithKnots.cpp,
	  src/conv/step/RationalBSplineSurfaceWithKnots.h,
	  src/conv/step/RationalBezierCurve.cpp,
	  src/conv/step/RationalBezierCurve.h,
	  src/conv/step/RationalBezierSurface.cpp,
	  src/conv/step/RationalBezierSurface.h,
	  src/conv/step/RationalQuasiUniformCurve.cpp,
	  src/conv/step/RationalQuasiUniformCurve.h,
	  src/conv/step/RationalQuasiUniformSurface.cpp,
	  src/conv/step/RationalQuasiUniformSurface.h,
	  src/conv/step/RationalUniformCurve.cpp,
	  src/conv/step/RationalUniformCurve.h,
	  src/conv/step/RationalUniformSurface.cpp,
	  src/conv/step/RationalUniformSurface.h,
	  src/conv/step/RectangularCompositeSurface.cpp,
	  src/conv/step/RectangularCompositeSurface.h,
	  src/conv/step/RectangularTrimmedSurface.cpp,
	  src/conv/step/RectangularTrimmedSurface.h,
	  src/conv/step/Representation.cpp, src/conv/step/Representation.h,
	  src/conv/step/RepresentationContext.cpp,
	  src/conv/step/RepresentationContext.h,
	  src/conv/step/RepresentationItem.cpp,
	  src/conv/step/RepresentationItem.h,
	  src/conv/step/RepresentationRelationship.cpp,
	  src/conv/step/RepresentationRelationship.h,
	  src/conv/step/RepresentationRelationshipWithTransformation.cpp,
	  src/conv/step/RepresentationRelationshipWithTransformation.h,
	  src/conv/step/STEPEntity.cpp, src/conv/step/STEPEntity.h,
	  src/conv/step/SeamCurve.cpp, src/conv/step/SeamCurve.h,
	  src/conv/step/ShapeRepresentation.cpp,
	  src/conv/step/ShapeRepresentation.h,
	  src/conv/step/ShapeRepresentationRelationship.cpp,
	  src/conv/step/ShapeRepresentationRelationship.h,
	  src/conv/step/SiUnit.cpp, src/conv/step/SiUnit.h,
	  src/conv/step/SolidAngleContextDependentUnit.cpp,
	  src/conv/step/SolidAngleContextDependentUnit.h,
	  src/conv/step/SolidAngleConversionBasedUnit.cpp,
	  src/conv/step/SolidAngleConversionBasedUnit.h,
	  src/conv/step/SolidAngleSiUnit.cpp,
	  src/conv/step/SolidAngleSiUnit.h,
	  src/conv/step/SolidAngleUnit.cpp, src/conv/step/SolidAngleUnit.h,
	  src/conv/step/SolidModel.cpp, src/conv/step/SolidModel.h,
	  src/conv/step/SphericalSurface.cpp,
	  src/conv/step/SphericalSurface.h, src/conv/step/Surface.cpp,
	  src/conv/step/Surface.h, src/conv/step/SurfaceCurve.cpp,
	  src/conv/step/SurfaceCurve.h,
	  src/conv/step/SurfaceOfLinearExtrusion.cpp,
	  src/conv/step/SurfaceOfLinearExtrusion.h,
	  src/conv/step/SurfaceOfRevolution.cpp,
	  src/conv/step/SurfaceOfRevolution.h,
	  src/conv/step/SurfacePatch.cpp, src/conv/step/SurfacePatch.h,
	  src/conv/step/SurfaceReplica.cpp, src/conv/step/SurfaceReplica.h,
	  src/conv/step/SweptSurface.cpp, src/conv/step/SweptSurface.h,
	  src/conv/step/ThermodynamicTemperatureContextDependentUnit.cpp,
	  src/conv/step/ThermodynamicTemperatureContextDependentUnit.h,
	  src/conv/step/ThermodynamicTemperatureConversionBasedUnit.cpp,
	  src/conv/step/ThermodynamicTemperatureConversionBasedUnit.h,
	  src/conv/step/ThermodynamicTemperatureSiUnit.cpp,
	  src/conv/step/ThermodynamicTemperatureSiUnit.h,
	  src/conv/step/ThermodynamicTemperatureUnit.cpp,
	  src/conv/step/ThermodynamicTemperatureUnit.h,
	  src/conv/step/TimeContextDependentUnit.cpp,
	  src/conv/step/TimeContextDependentUnit.h,
	  src/conv/step/TimeConversionBasedUnit.cpp,
	  src/conv/step/TimeConversionBasedUnit.h,
	  src/conv/step/TimeSiUnit.cpp, src/conv/step/TimeSiUnit.h,
	  src/conv/step/TimeUnit.cpp, src/conv/step/TimeUnit.h,
	  src/conv/step/TopologicalRepresentationItem.cpp,
	  src/conv/step/TopologicalRepresentationItem.h,
	  src/conv/step/ToroidalSurface.cpp,
	  src/conv/step/ToroidalSurface.h,
	  src/conv/step/Transformation.cpp, src/conv/step/Transformation.h,
	  src/conv/step/TrimmedCurve.cpp, src/conv/step/TrimmedCurve.h,
	  src/conv/step/TrimmingSelect.cpp, src/conv/step/TrimmingSelect.h,
	  src/conv/step/UncertaintyMeasureWithUnit.cpp,
	  src/conv/step/UncertaintyMeasureWithUnit.h,
	  src/conv/step/UniformCurve.cpp, src/conv/step/UniformCurve.h,
	  src/conv/step/UniformSurface.cpp, src/conv/step/UniformSurface.h,
	  src/conv/step/Unit.cpp, src/conv/step/Unit.h,
	  src/conv/step/Vector.cpp, src/conv/step/Vector.h,
	  src/conv/step/Vertex.cpp, src/conv/step/Vertex.h,
	  src/conv/step/VertexLoop.cpp, src/conv/step/VertexLoop.h,
	  src/conv/step/VertexPoint.cpp, src/conv/step/VertexPoint.h,
	  src/conv/step/VolumeContextDependentUnit.cpp,
	  src/conv/step/VolumeContextDependentUnit.h,
	  src/conv/step/VolumeConversionBasedUnit.cpp,
	  src/conv/step/VolumeConversionBasedUnit.h,
	  src/conv/step/VolumeSiUnit.cpp, src/conv/step/VolumeSiUnit.h,
	  src/conv/step/VolumeUnit.cpp, src/conv/step/VolumeUnit.h,
	  src/conv/step/g-step.cpp, src/conv/step/g-step/ON_Brep.cpp,
	  src/conv/step/g-step/ON_Brep.h, src/conv/step/g-step/g-step.cpp,
	  src/conv/step/step-g.cpp,
	  src/conv/step/step-g/AdvancedBrepShapeRepresentation.cpp,
	  src/conv/step/step-g/AdvancedBrepShapeRepresentation.h,
	  src/conv/step/step-g/AdvancedFace.cpp,
	  src/conv/step/step-g/AdvancedFace.h,
	  src/conv/step/step-g/AmountOfSubstanceContextDependentUnit.cpp,
	  src/conv/step/step-g/AmountOfSubstanceContextDependentUnit.h,
	  src/conv/step/step-g/AmountOfSubstanceConversionBasedUnit.cpp,
	  src/conv/step/step-g/AmountOfSubstanceConversionBasedUnit.h,
	  src/conv/step/step-g/AmountOfSubstanceSiUnit.cpp,
	  src/conv/step/step-g/AmountOfSubstanceSiUnit.h,
	  src/conv/step/step-g/AmountOfSubstanceUnit.cpp,
	  src/conv/step/step-g/AmountOfSubstanceUnit.h,
	  src/conv/step/step-g/ApplicationContext.cpp,
	  src/conv/step/step-g/ApplicationContext.h,
	  src/conv/step/step-g/ApplicationContextElement.cpp,
	  src/conv/step/step-g/ApplicationContextElement.h,
	  src/conv/step/step-g/AreaContextDependentUnit.cpp,
	  src/conv/step/step-g/AreaContextDependentUnit.h,
	  src/conv/step/step-g/AreaConversionBasedUnit.cpp,
	  src/conv/step/step-g/AreaConversionBasedUnit.h,
	  src/conv/step/step-g/AreaSiUnit.cpp,
	  src/conv/step/step-g/AreaSiUnit.h,
	  src/conv/step/step-g/AreaUnit.cpp,
	  src/conv/step/step-g/AreaUnit.h,
	  src/conv/step/step-g/Axis1Placement.cpp,
	  src/conv/step/step-g/Axis1Placement.h,
	  src/conv/step/step-g/Axis2Placement.cpp,
	  src/conv/step/step-g/Axis2Placement.h,
	  src/conv/step/step-g/Axis2Placement2D.cpp,
	  src/conv/step/step-g/Axis2Placement2D.h,
	  src/conv/step/step-g/Axis2Placement3D.cpp,
	  src/conv/step/step-g/Axis2Placement3D.h,
	  src/conv/step/step-g/BSplineCurve.cpp,
	  src/conv/step/step-g/BSplineCurve.h,
	  src/conv/step/step-g/BSplineCurveWithKnots.cpp,
	  src/conv/step/step-g/BSplineCurveWithKnots.h,
	  src/conv/step/step-g/BSplineSurface.cpp,
	  src/conv/step/step-g/BSplineSurface.h,
	  src/conv/step/step-g/BSplineSurfaceWithKnots.cpp,
	  src/conv/step/step-g/BSplineSurfaceWithKnots.h,
	  src/conv/step/step-g/BezierCurve.cpp,
	  src/conv/step/step-g/BezierCurve.h,
	  src/conv/step/step-g/BezierSurface.cpp,
	  src/conv/step/step-g/BezierSurface.h,
	  src/conv/step/step-g/BoundaryCurve.cpp,
	  src/conv/step/step-g/BoundaryCurve.h,
	  src/conv/step/step-g/BoundedCurve.cpp,
	  src/conv/step/step-g/BoundedCurve.h,
	  src/conv/step/step-g/BoundedPCurve.cpp,
	  src/conv/step/step-g/BoundedPCurve.h,
	  src/conv/step/step-g/BoundedSurface.cpp,
	  src/conv/step/step-g/BoundedSurface.h,
	  src/conv/step/step-g/BoundedSurfaceCurve.cpp,
	  src/conv/step/step-g/BoundedSurfaceCurve.h,
	  src/conv/step/step-g/BrepWithVoids.cpp,
	  src/conv/step/step-g/BrepWithVoids.h,
	  src/conv/step/step-g/CartesianPoint.cpp,
	  src/conv/step/step-g/CartesianPoint.h,
	  src/conv/step/step-g/CartesianTransformationOperator.cpp,
	  src/conv/step/step-g/CartesianTransformationOperator.h,
	  src/conv/step/step-g/CartesianTransformationOperator2D.cpp,
	  src/conv/step/step-g/CartesianTransformationOperator2D.h,
	  src/conv/step/step-g/CartesianTransformationOperator3D.cpp,
	  src/conv/step/step-g/CartesianTransformationOperator3D.h,
	  src/conv/step/step-g/Circle.cpp, src/conv/step/step-g/Circle.h,
	  src/conv/step/step-g/ClosedShell.cpp,
	  src/conv/step/step-g/ClosedShell.h,
	  src/conv/step/step-g/CompositeCurve.cpp,
	  src/conv/step/step-g/CompositeCurve.h,
	  src/conv/step/step-g/CompositeCurveOnSurface.cpp,
	  src/conv/step/step-g/CompositeCurveOnSurface.h,
	  src/conv/step/step-g/CompositeCurveSegment.cpp,
	  src/conv/step/step-g/CompositeCurveSegment.h,
	  src/conv/step/step-g/Conic.cpp, src/conv/step/step-g/Conic.h,
	  src/conv/step/step-g/ConicalSurface.cpp,
	  src/conv/step/step-g/ConicalSurface.h,
	  src/conv/step/step-g/ConnectedFaceSet.cpp,
	  src/conv/step/step-g/ConnectedFaceSet.h,
	  src/conv/step/step-g/ContextDependentShapeRepresentation.cpp,
	  src/conv/step/step-g/ContextDependentShapeRepresentation.h,
	  src/conv/step/step-g/ContextDependentUnit.cpp,
	  src/conv/step/step-g/ContextDependentUnit.h,
	  src/conv/step/step-g/ConversionBasedUnit.cpp,
	  src/conv/step/step-g/ConversionBasedUnit.h,
	  src/conv/step/step-g/Curve.cpp, src/conv/step/step-g/Curve.h,
	  src/conv/step/step-g/CurveBoundedSurface.cpp,
	  src/conv/step/step-g/CurveBoundedSurface.h,
	  src/conv/step/step-g/CurveReplica.cpp,
	  src/conv/step/step-g/CurveReplica.h,
	  src/conv/step/step-g/CylindricalSurface.cpp,
	  src/conv/step/step-g/CylindricalSurface.h,
	  src/conv/step/step-g/DefinitionalRepresentation.cpp,
	  src/conv/step/step-g/DefinitionalRepresentation.h,
	  src/conv/step/step-g/DerivedUnit.cpp,
	  src/conv/step/step-g/DerivedUnit.h,
	  src/conv/step/step-g/DerivedUnitElement.cpp,
	  src/conv/step/step-g/DerivedUnitElement.h,
	  src/conv/step/step-g/DesignContext.cpp,
	  src/conv/step/step-g/DesignContext.h,
	  src/conv/step/step-g/DimensionalExponents.cpp,
	  src/conv/step/step-g/DimensionalExponents.h,
	  src/conv/step/step-g/Direction.cpp,
	  src/conv/step/step-g/Direction.h, src/conv/step/step-g/Edge.cpp,
	  src/conv/step/step-g/Edge.h, src/conv/step/step-g/EdgeCurve.cpp,
	  src/conv/step/step-g/EdgeCurve.h,
	  src/conv/step/step-g/EdgeLoop.cpp,
	  src/conv/step/step-g/EdgeLoop.h,
	  src/conv/step/step-g/ElectricCurrentContextDependentUnit.cpp,
	  src/conv/step/step-g/ElectricCurrentContextDependentUnit.h,
	  src/conv/step/step-g/ElectricCurrentConversionBasedUnit.cpp,
	  src/conv/step/step-g/ElectricCurrentConversionBasedUnit.h,
	  src/conv/step/step-g/ElectricCurrentSiUnit.cpp,
	  src/conv/step/step-g/ElectricCurrentSiUnit.h,
	  src/conv/step/step-g/ElectricCurrentUnit.cpp,
	  src/conv/step/step-g/ElectricCurrentUnit.h,
	  src/conv/step/step-g/ElementarySurface.cpp,
	  src/conv/step/step-g/ElementarySurface.h,
	  src/conv/step/step-g/Ellipse.cpp, src/conv/step/step-g/Ellipse.h,
	  src/conv/step/step-g/Face.cpp, src/conv/step/step-g/Face.h,
	  src/conv/step/step-g/FaceBound.cpp,
	  src/conv/step/step-g/FaceBound.h,
	  src/conv/step/step-g/FaceOuterBound.cpp,
	  src/conv/step/step-g/FaceOuterBound.h,
	  src/conv/step/step-g/FaceSurface.cpp,
	  src/conv/step/step-g/FaceSurface.h,
	  src/conv/step/step-g/Factory.cpp, src/conv/step/step-g/Factory.h,
	  src/conv/step/step-g/FoundedItem.cpp,
	  src/conv/step/step-g/FoundedItem.h,
	  src/conv/step/step-g/FunctionallyDefinedTransformation.cpp,
	  src/conv/step/step-g/FunctionallyDefinedTransformation.h,
	  src/conv/step/step-g/GeometricRepresentationContext.cpp,
	  src/conv/step/step-g/GeometricRepresentationContext.h,
	  src/conv/step/step-g/GeometricRepresentationItem.cpp,
	  src/conv/step/step-g/GeometricRepresentationItem.h,
	  src/conv/step/step-g/GlobalUncertaintyAssignedContext.cpp,
	  src/conv/step/step-g/GlobalUncertaintyAssignedContext.h,
	  src/conv/step/step-g/GlobalUnitAssignedContext.cpp,
	  src/conv/step/step-g/GlobalUnitAssignedContext.h,
	  src/conv/step/step-g/Hyperbola.cpp,
	  src/conv/step/step-g/Hyperbola.h,
	  src/conv/step/step-g/IntersectionCurve.cpp,
	  src/conv/step/step-g/IntersectionCurve.h,
	  src/conv/step/step-g/ItemDefinedTransformation.cpp,
	  src/conv/step/step-g/ItemDefinedTransformation.h,
	  src/conv/step/step-g/LengthContextDependentUnit.cpp,
	  src/conv/step/step-g/LengthContextDependentUnit.h,
	  src/conv/step/step-g/LengthConversionBasedUnit.cpp,
	  src/conv/step/step-g/LengthConversionBasedUnit.h,
	  src/conv/step/step-g/LengthMeasureWithUnit.cpp,
	  src/conv/step/step-g/LengthMeasureWithUnit.h,
	  src/conv/step/step-g/LengthSiUnit.cpp,
	  src/conv/step/step-g/LengthSiUnit.h,
	  src/conv/step/step-g/LengthUnit.cpp,
	  src/conv/step/step-g/LengthUnit.h, src/conv/step/step-g/Line.cpp,
	  src/conv/step/step-g/Line.h, src/conv/step/step-g/LocalUnits.cpp,
	  src/conv/step/step-g/LocalUnits.h, src/conv/step/step-g/Loop.cpp,
	  src/conv/step/step-g/Loop.h,
	  src/conv/step/step-g/LuminousIntensityContextDependentUnit.cpp,
	  src/conv/step/step-g/LuminousIntensityContextDependentUnit.h,
	  src/conv/step/step-g/LuminousIntensityConversionBasedUnit.cpp,
	  src/conv/step/step-g/LuminousIntensityConversionBasedUnit.h,
	  src/conv/step/step-g/LuminousIntensitySiUnit.cpp,
	  src/conv/step/step-g/LuminousIntensitySiUnit.h,
	  src/conv/step/step-g/LuminousIntensityUnit.cpp,
	  src/conv/step/step-g/LuminousIntensityUnit.h,
	  src/conv/step/step-g/ManifoldSolidBrep.cpp,
	  src/conv/step/step-g/ManifoldSolidBrep.h,
	  src/conv/step/step-g/MassContextDependentUnit.cpp,
	  src/conv/step/step-g/MassContextDependentUnit.h,
	  src/conv/step/step-g/MassConversionBasedUnit.cpp,
	  src/conv/step/step-g/MassConversionBasedUnit.h,
	  src/conv/step/step-g/MassSiUnit.cpp,
	  src/conv/step/step-g/MassSiUnit.h,
	  src/conv/step/step-g/MassUnit.cpp,
	  src/conv/step/step-g/MassUnit.h,
	  src/conv/step/step-g/MeasureValue.cpp,
	  src/conv/step/step-g/MeasureValue.h,
	  src/conv/step/step-g/MeasureWithUnit.cpp,
	  src/conv/step/step-g/MeasureWithUnit.h,
	  src/conv/step/step-g/MechanicalContext.cpp,
	  src/conv/step/step-g/MechanicalContext.h,
	  src/conv/step/step-g/NamedUnit.cpp,
	  src/conv/step/step-g/NamedUnit.h,
	  src/conv/step/step-g/OffsetCurve2D.cpp,
	  src/conv/step/step-g/OffsetCurve2D.h,
	  src/conv/step/step-g/OffsetCurve3D.cpp,
	  src/conv/step/step-g/OffsetCurve3D.h,
	  src/conv/step/step-g/OffsetSurface.cpp,
	  src/conv/step/step-g/OffsetSurface.h,
	  src/conv/step/step-g/OpenNurbsInterfaces.cpp,
	  src/conv/step/step-g/OrientedClosedShell.cpp,
	  src/conv/step/step-g/OrientedClosedShell.h,
	  src/conv/step/step-g/OrientedEdge.cpp,
	  src/conv/step/step-g/OrientedEdge.h,
	  src/conv/step/step-g/PCurve.cpp, src/conv/step/step-g/PCurve.h,
	  src/conv/step/step-g/PCurveOrSurface.cpp,
	  src/conv/step/step-g/PCurveOrSurface.h,
	  src/conv/step/step-g/Parabola.cpp,
	  src/conv/step/step-g/Parabola.h,
	  src/conv/step/step-g/ParametricRepresentationContext.cpp,
	  src/conv/step/step-g/ParametricRepresentationContext.h,
	  src/conv/step/step-g/Path.cpp, src/conv/step/step-g/Path.h,
	  src/conv/step/step-g/Placement.cpp,
	  src/conv/step/step-g/Placement.h, src/conv/step/step-g/Plane.cpp,
	  src/conv/step/step-g/Plane.h,
	  src/conv/step/step-g/PlaneAngleContextDependentUnit.cpp,
	  src/conv/step/step-g/PlaneAngleContextDependentUnit.h,
	  src/conv/step/step-g/PlaneAngleConversionBasedUnit.cpp,
	  src/conv/step/step-g/PlaneAngleConversionBasedUnit.h,
	  src/conv/step/step-g/PlaneAngleMeasureWithUnit.cpp,
	  src/conv/step/step-g/PlaneAngleMeasureWithUnit.h,
	  src/conv/step/step-g/PlaneAngleSiUnit.cpp,
	  src/conv/step/step-g/PlaneAngleSiUnit.h,
	  src/conv/step/step-g/PlaneAngleUnit.cpp,
	  src/conv/step/step-g/PlaneAngleUnit.h,
	  src/conv/step/step-g/Point.cpp, src/conv/step/step-g/Point.h,
	  src/conv/step/step-g/Polyline.cpp,
	  src/conv/step/step-g/Polyline.h,
	  src/conv/step/step-g/Product.cpp, src/conv/step/step-g/Product.h,
	  src/conv/step/step-g/ProductCategory.cpp,
	  src/conv/step/step-g/ProductCategory.h,
	  src/conv/step/step-g/ProductContext.cpp,
	  src/conv/step/step-g/ProductContext.h,
	  src/conv/step/step-g/ProductDefinition.cpp,
	  src/conv/step/step-g/ProductDefinition.h,
	  src/conv/step/step-g/ProductDefinitionContext.cpp,
	  src/conv/step/step-g/ProductDefinitionContext.h,
	  src/conv/step/step-g/ProductDefinitionContextAssociation.cpp,
	  src/conv/step/step-g/ProductDefinitionContextAssociation.h,
	  src/conv/step/step-g/ProductDefinitionContextRole.cpp,
	  src/conv/step/step-g/ProductDefinitionContextRole.h,
	  src/conv/step/step-g/ProductDefinitionFormation.cpp,
	  src/conv/step/step-g/ProductDefinitionFormation.h,
	  src/conv/step/step-g/ProductDefinitionFormationWithSpecifiedSource.cpp,
	  src/conv/step/step-g/ProductDefinitionFormationWithSpecifiedSource.h,
	  src/conv/step/step-g/ProductDefinitionShape.cpp,
	  src/conv/step/step-g/ProductDefinitionShape.h,
	  src/conv/step/step-g/ProductRelatedProductCategory.cpp,
	  src/conv/step/step-g/ProductRelatedProductCategory.h,
	  src/conv/step/step-g/PropertyDefinition.cpp,
	  src/conv/step/step-g/PropertyDefinition.h,
	  src/conv/step/step-g/QuasiUniformCurve.cpp,
	  src/conv/step/step-g/QuasiUniformCurve.h,
	  src/conv/step/step-g/QuasiUniformSurface.cpp,
	  src/conv/step/step-g/QuasiUniformSurface.h,
	  src/conv/step/step-g/RatioContextDependentUnit.cpp,
	  src/conv/step/step-g/RatioContextDependentUnit.h,
	  src/conv/step/step-g/RatioConversionBasedUnit.cpp,
	  src/conv/step/step-g/RatioConversionBasedUnit.h,
	  src/conv/step/step-g/RatioSiUnit.cpp,
	  src/conv/step/step-g/RatioSiUnit.h,
	  src/conv/step/step-g/RatioUnit.cpp,
	  src/conv/step/step-g/RatioUnit.h,
	  src/conv/step/step-g/RationalBSplineCurve.cpp,
	  src/conv/step/step-g/RationalBSplineCurve.h,
	  src/conv/step/step-g/RationalBSplineCurveWithKnots.cpp,
	  src/conv/step/step-g/RationalBSplineCurveWithKnots.h,
	  src/conv/step/step-g/RationalBSplineSurface.cpp,
	  src/conv/step/step-g/RationalBSplineSurface.h,
	  src/conv/step/step-g/RationalBSplineSurfaceWithKnots.cpp,
	  src/conv/step/step-g/RationalBSplineSurfaceWithKnots.h,
	  src/conv/step/step-g/RationalBezierCurve.cpp,
	  src/conv/step/step-g/RationalBezierCurve.h,
	  src/conv/step/step-g/RationalBezierSurface.cpp,
	  src/conv/step/step-g/RationalBezierSurface.h,
	  src/conv/step/step-g/RationalQuasiUniformCurve.cpp,
	  src/conv/step/step-g/RationalQuasiUniformCurve.h,
	  src/conv/step/step-g/RationalQuasiUniformSurface.cpp,
	  src/conv/step/step-g/RationalQuasiUniformSurface.h,
	  src/conv/step/step-g/RationalUniformCurve.cpp,
	  src/conv/step/step-g/RationalUniformCurve.h,
	  src/conv/step/step-g/RationalUniformSurface.cpp,
	  src/conv/step/step-g/RationalUniformSurface.h,
	  src/conv/step/step-g/RectangularCompositeSurface.cpp,
	  src/conv/step/step-g/RectangularCompositeSurface.h,
	  src/conv/step/step-g/RectangularTrimmedSurface.cpp,
	  src/conv/step/step-g/RectangularTrimmedSurface.h,
	  src/conv/step/step-g/Representation.cpp,
	  src/conv/step/step-g/Representation.h,
	  src/conv/step/step-g/RepresentationContext.cpp,
	  src/conv/step/step-g/RepresentationContext.h,
	  src/conv/step/step-g/RepresentationItem.cpp,
	  src/conv/step/step-g/RepresentationItem.h,
	  src/conv/step/step-g/RepresentationRelationship.cpp,
	  src/conv/step/step-g/RepresentationRelationship.h,
	  src/conv/step/step-g/RepresentationRelationshipWithTransformation.cpp,
	  src/conv/step/step-g/RepresentationRelationshipWithTransformation.h,
	  src/conv/step/step-g/STEPEntity.cpp,
	  src/conv/step/step-g/STEPEntity.h,
	  src/conv/step/step-g/SeamCurve.cpp,
	  src/conv/step/step-g/SeamCurve.h,
	  src/conv/step/step-g/ShapeRepresentation.cpp,
	  src/conv/step/step-g/ShapeRepresentation.h,
	  src/conv/step/step-g/ShapeRepresentationRelationship.cpp,
	  src/conv/step/step-g/ShapeRepresentationRelationship.h,
	  src/conv/step/step-g/SiUnit.cpp, src/conv/step/step-g/SiUnit.h,
	  src/conv/step/step-g/SolidAngleContextDependentUnit.cpp,
	  src/conv/step/step-g/SolidAngleContextDependentUnit.h,
	  src/conv/step/step-g/SolidAngleConversionBasedUnit.cpp,
	  src/conv/step/step-g/SolidAngleConversionBasedUnit.h,
	  src/conv/step/step-g/SolidAngleSiUnit.cpp,
	  src/conv/step/step-g/SolidAngleSiUnit.h,
	  src/conv/step/step-g/SolidAngleUnit.cpp,
	  src/conv/step/step-g/SolidAngleUnit.h,
	  src/conv/step/step-g/SolidModel.cpp,
	  src/conv/step/step-g/SolidModel.h,
	  src/conv/step/step-g/SphericalSurface.cpp,
	  src/conv/step/step-g/SphericalSurface.h,
	  src/conv/step/step-g/Surface.cpp, src/conv/step/step-g/Surface.h,
	  src/conv/step/step-g/SurfaceCurve.cpp,
	  src/conv/step/step-g/SurfaceCurve.h,
	  src/conv/step/step-g/SurfaceOfLinearExtrusion.cpp,
	  src/conv/step/step-g/SurfaceOfLinearExtrusion.h,
	  src/conv/step/step-g/SurfaceOfRevolution.cpp,
	  src/conv/step/step-g/SurfaceOfRevolution.h,
	  src/conv/step/step-g/SurfacePatch.cpp,
	  src/conv/step/step-g/SurfacePatch.h,
	  src/conv/step/step-g/SurfaceReplica.cpp,
	  src/conv/step/step-g/SurfaceReplica.h,
	  src/conv/step/step-g/SweptSurface.cpp,
	  src/conv/step/step-g/SweptSurface.h,
	  src/conv/step/step-g/ThermodynamicTemperatureContextDependentUnit.cpp,
	  src/conv/step/step-g/ThermodynamicTemperatureContextDependentUnit.h,
	  src/conv/step/step-g/ThermodynamicTemperatureConversionBasedUnit.cpp,
	  src/conv/step/step-g/ThermodynamicTemperatureConversionBasedUnit.h,
	  src/conv/step/step-g/ThermodynamicTemperatureSiUnit.cpp,
	  src/conv/step/step-g/ThermodynamicTemperatureSiUnit.h,
	  src/conv/step/step-g/ThermodynamicTemperatureUnit.cpp,
	  src/conv/step/step-g/ThermodynamicTemperatureUnit.h,
	  src/conv/step/step-g/TimeContextDependentUnit.cpp,
	  src/conv/step/step-g/TimeContextDependentUnit.h,
	  src/conv/step/step-g/TimeConversionBasedUnit.cpp,
	  src/conv/step/step-g/TimeConversionBasedUnit.h,
	  src/conv/step/step-g/TimeSiUnit.cpp,
	  src/conv/step/step-g/TimeSiUnit.h,
	  src/conv/step/step-g/TimeUnit.cpp,
	  src/conv/step/step-g/TimeUnit.h,
	  src/conv/step/step-g/TopologicalRepresentationItem.cpp,
	  src/conv/step/step-g/TopologicalRepresentationItem.h,
	  src/conv/step/step-g/ToroidalSurface.cpp,
	  src/conv/step/step-g/ToroidalSurface.h,
	  src/conv/step/step-g/Transformation.cpp,
	  src/conv/step/step-g/Transformation.h,
	  src/conv/step/step-g/TrimmedCurve.cpp,
	  src/conv/step/step-g/TrimmedCurve.h,
	  src/conv/step/step-g/TrimmingSelect.cpp,
	  src/conv/step/step-g/TrimmingSelect.h,
	  src/conv/step/step-g/UncertaintyMeasureWithUnit.cpp,
	  src/conv/step/step-g/UncertaintyMeasureWithUnit.h,
	  src/conv/step/step-g/UniformCurve.cpp,
	  src/conv/step/step-g/UniformCurve.h,
	  src/conv/step/step-g/UniformSurface.cpp,
	  src/conv/step/step-g/UniformSurface.h,
	  src/conv/step/step-g/Unit.cpp, src/conv/step/step-g/Unit.h,
	  src/conv/step/step-g/Vector.cpp, src/conv/step/step-g/Vector.h,
	  src/conv/step/step-g/Vertex.cpp, src/conv/step/step-g/Vertex.h,
	  src/conv/step/step-g/VertexLoop.cpp,
	  src/conv/step/step-g/VertexLoop.h,
	  src/conv/step/step-g/VertexPoint.cpp,
	  src/conv/step/step-g/VertexPoint.h,
	  src/conv/step/step-g/VolumeContextDependentUnit.cpp,
	  src/conv/step/step-g/VolumeContextDependentUnit.h,
	  src/conv/step/step-g/VolumeConversionBasedUnit.cpp,
	  src/conv/step/step-g/VolumeConversionBasedUnit.h,
	  src/conv/step/step-g/VolumeSiUnit.cpp,
	  src/conv/step/step-g/VolumeSiUnit.h,
	  src/conv/step/step-g/VolumeUnit.cpp,
	  src/conv/step/step-g/VolumeUnit.h,
	  src/conv/step/step-g/step-g.cpp:
	  Put the g-step and step-g program sources into their own
	  subdirctories

2013-08-21 13:58  iiizzzaaakkk

	* [r57028] src/librt/primitives/hrt/hrt.c:
	  Added comment explaining the importance of the new constant 1.25
	  in rt_hrt_bbox()

2013-08-21 13:37  starseeker

	* [r57027] src/conv/step/ON_Brep.cpp:
	  Don't actually use STEPEntity in this file

2013-08-21 13:32  starseeker

	* [r57026] src/conv/step/g-step, src/conv/step/step-g:
	  See if we can separate out the importer and exporter for STEP

2013-08-21 13:27  iiizzzaaakkk

	* [r57025] src/librt/primitives/hrt/hrt.c:
	  Adding precision aspects to comment

2013-08-21 13:20  carlmoore

	* [r57024] src/conv/step/ON_Brep.cpp:
	  fix spellings

2013-08-21 12:37  iiizzzaaakkk

	* [r57023] src/librt/primitives/hrt/hrt.c:
	  Change line comment to doxygen block comment and format it to
	  column 70

2013-08-21 11:44  iiizzzaaakkk

	* [r57022] src/librt/primitives/hrt/hrt.c:
	  Added comment explaining the importance of the new constant 1.25
	  in rt_hrt_prep()

2013-08-21 11:14  tbrowder2

	* [r57021] doc/docbook/system/mann/en/attr.xml:
	  add important reference to gattributes

2013-08-21 11:12  tbrowder2

	* [r57020] doc/docbook/system/man5/en/gattributes.xml:
	  remove empty section

2013-08-21 11:09  tbrowder2

	* [r57019] TODO:
	  use current file name (no wonder I could never find that info,
	  are we sure this is the best name? not very intuitive)

2013-08-21 10:15  phoenixyjll

	* [r57018] src/libbrep/boolean.cpp:
	  Use ON_ClassArray instead of ON_SimpleArray when the element type
	  is std::pair.

2013-08-21 10:07  phoenixyjll

	* [r57017] src/libbrep/boolean.cpp:
	  Don't use start, end to represent which part of the outerloop it
	  occupies, which can only represent a single interval. Use array
	  of intervals instead.

2013-08-21 05:06  phoenixyjll

	* [r57016] src/libbrep/boolean.cpp:
	  Define a macro to make the connectivity graph an optional choice.

2013-08-21 03:57  brlcad

	* [r57015] src/conv/dxf/g-dxf.c, src/conv/euclid/g-euclid.c,
	  src/conv/euclid/g-euclid1.c, src/conv/g-acad.c, src/conv/g-egg.c,
	  src/conv/g-obj.c, src/conv/g-x3d.c, src/conv/iges/g-iges.c,
	  src/conv/jack/g-jack.c, src/conv/nmg/g-nmg.c,
	  src/conv/off/g-off.c, src/conv/raw/g-raw.c, src/conv/stl/g-stl.c:
	  decouple RTG.debug from the -P options on most importers.
	  Instead, let -x be utilized for that so that -P can consistently
	  just refer to the nubmer of cpus to use (even though few tools
	  should even be exposing that level of configurability,
	  unnecessary/unhelpful option).

2013-08-21 03:49  brlcad

	* [r57014] src/conv/nmg/g-nmg.c:
	  the fix wasn't to remove -Pncpu support but should have been to
	  propagate it like the other tools.

2013-08-21 03:44  brlcad

	* [r57013] src/util/dsp_add.c:
	  bu_log() instead of fprintf(stderr where we're already using
	  bu_log() elsewhere in the file. also make all the globals static
	  as application code tends to migrate to libraries over time.

2013-08-21 03:40  brlcad

	* [r57012] src/util/dsp_add.c:
	  avoid introducing a new style within the same file. we should
	  avoid starting function names in uppercase as we have a
	  predominant style of symbols_like_this() or even a few
	  camelCaseSymbols(), but no uppercase convention outside of class
	  method names. updated HACKING to reflect this more clearly.

2013-08-21 03:33  brlcad

	* [r57011] HACKING:
	  the naming rules aren't / weren't specific to just variables. we
	  want to keep things consistent for function names too.

2013-08-21 03:03  brlcad

	* [r57010] src/mged/chgmodel.c, src/mged/cmd.c, src/mged/muves.c:
	  bad declarations. edit_com() no longer takes a catch_sigint flag
	  as a fourth arg, only three.

2013-08-21 02:59  brlcad

	* [r57009] CMakeLists.txt:
	  check for posix_memalign (post-c99 posix.1 function)

2013-08-21 01:42  starseeker

	* [r57008] src/other/incrTcl/itcl/CMake/tcl.cmake,
	  src/other/incrTcl/itk/CMake/tcl.cmake,
	  src/other/sqlite3/tcl/CMake/tcl.cmake,
	  src/other/tkhtml/CMake/FindTCL.cmake,
	  src/other/tkpng/CMake/FindTCL.cmake,
	  src/other/tktable/CMake/FindTCL.cmake:
	  Sync other tcl.cmake and FindTCL.cmake copies

2013-08-21 01:40  starseeker

	* [r57007] misc/CMake/FindTCL.cmake, src/other/tcl/CMake/tcl.cmake,
	  src/other/tk/CMake/tcl.cmake:
	  More string formatting gotchas caught by 2.8.12rc1 CMake

2013-08-21 01:30  starseeker

	* [r57006] CMakeLists.txt, INSTALL:
	  Latest CMake spotted a syntax error.

2013-08-20 21:28  starseeker

	* [r57005] src/conv/step/ON_Brep.cpp:
	  Going to need to re-think approach to edge building.

2013-08-20 21:04  iiizzzaaakkk

	* [r57004] src/librt/primitives/hrt/hrt.c:
	  removed the isgreater keyword which is C99 standard. Modified
	  logic of rt_hrt_prep: No need for max variable anylonger. My
	  intuition tells me to make Xu and Yu shorter than Zu.

2013-08-20 18:04  carlmoore

	* [r57001] regress/repository.sh:
	  remove trailing blank, and in the 'for' line remove a duplicate
	  occurrence of 'stricmp'

2013-08-20 18:04  brlcad

	* [r57000] BUGS:
	  attr set should always do exactly as its told

2013-08-20 17:27  brlcad

	* [r56999] TODO:
	  expand the results of our (nick and my) brainstorming session for
	  how to fix our attribute system issues. we need versioning and a
	  means to upgrade a file to newer conventions. shouldn't be much
	  more work to use that same system for downgrading too. include
	  several tasks related to this envisioned plan. comments and
	  discussion welcome.

2013-08-20 17:27  tbrowder2

	* [r56998] src/util/fix_polysolids.c:
	  style

2013-08-20 17:08  brlcad

	* [r56997] TODO:
	  separate out a separate section for attributes

2013-08-20 17:05  brlcad

	* [r56996] TODO:
	  group the attribute tasks together except for the
	  binary-incompatible one

2013-08-20 16:38  starseeker

	* [r56995] src/conv/step/ON_Brep.cpp:
	  Put the context at the beginning, break it into its own function,
	  fix a problem where application instances were set to garbage
	  info, set up oriented edge code to have more than the number of
	  edges in openNURBS.

2013-08-20 15:09  erikgreenwald

	* [r56993] src/conv/step/ON_Brep.cpp:
	  strcmp -> bu_strcmp

2013-08-20 14:21  vladbogo

	* [r56992] src/libdm/dm-qt.cpp:
	  Process events before generating a new update request event -
	  this is necessary so that the window is exposed when performing
	  the first update request event.

2013-08-20 13:29  tbrowder2

	* [r56991] doc/burst/Make-docs.sh, doc/burst/Makefile,
	  doc/burst/run_doclifter.sh:
	  pref and option changes

2013-08-20 13:15  tbrowder2

	* [r56990] misc/auto-man-page/auto-man-progs.txt:
	  reorder dsp_add

2013-08-20 13:14  tbrowder2

	* [r56989] src/shapes/wire.c:
	  prep for auo-man-page; simplify; hardwire progname; style

2013-08-20 13:12  tbrowder2

	* [r56988] src/sig/ustats.c:
	  prep for auto-man page; simplify usage; hardwire progname

2013-08-20 13:05  tbrowder2

	* [r56987] src/util/yuv-pix.c:
	  style

2013-08-20 13:02  tbrowder2

	* [r56986] src/util/yuv-pix.c:
	  setting up for auto-man-page

2013-08-20 11:55  tbrowder2

	* [r56985] src/util/dsp_add.c:
	  add option descriptions

2013-08-20 11:46  phoenixyjll

	* [r56984] src/libbrep/boolean.cpp:
	  More connectivity graph support: update after surface
	  partitioning.

2013-08-20 11:34  tbrowder2

	* [r56983] src/util/dsp_add.c:
	  style

2013-08-20 11:28  tbrowder2

	* [r56982] src/util/dsp_add.c:
	  simplify: use Usage for no args

2013-08-20 11:23  tbrowder2

	* [r56981] src/util/dsp_add.c:
	  rename function because of new usage var

2013-08-20 11:09  tbrowder2

	* [r56980] src/util/dsp_add.c:
	  ws, style

2013-08-20 11:07  tbrowder2

	* [r56979] src/util/dsp_add.c:
	  simplify progname handling

2013-08-20 11:04  tbrowder2

	* [r56978] src/util/dsp_add.c:
	  prepare for use in auto-man-page process

2013-08-20 08:22  phoenixyjll

	* [r56977] src/libbrep/boolean.cpp:
	  Separate the code, so that we can then update the connectivity
	  graph after we have done the surface partitioning.

2013-08-20 05:58  brlcad

	* [r56976] NEWS:
	  changed the benchmark defaults from 3% deviation to 2% deviation
	  and from 3 stabilization frames to 5. this will make the
	  benchmark take a fair bit longer on some platforms, but should
	  give a much more stable and repeatable benchmark performance
	  metric.

2013-08-20 05:48  brlcad

	* [r56975] bench/run.sh:
	  reduce the default deviation to 2% and the number of frames to
	  average across up to 5. this should allow the benchmark number to
	  become considerably more stabilized at the expense of just a few
	  more frames (on average)

2013-08-19 21:51  carlmoore

	* [r56973] src/conv/nmg/g-nmg.c:
	  remove 2 sets of braces, remove : from P in opt string, and
	  implement h?

2013-08-19 21:22  iiizzzaaakkk

	* [r56972] src/librt/primitives/hrt/hrt.c:
	  Fixing spelling

2013-08-19 20:34  vladbogo

	* [r56971] src/mged/attach.c, src/tclscripts/mged/openw.tcl:
	  Added the Qt display manager as a option to the Modes>Display
	  Manager in mged's menu.

2013-08-19 20:03  carlmoore

	* [r56970] src/conv/g-nff.c:
	  remove a pair of braces, and also remove duplicate output going
	  to stderr -- do you understand the latter change?

2013-08-19 19:52  brlcad

	* [r56969] src/mged/chgview.c:
	  the message is wrong, can only scale uniformly

2013-08-19 19:19  n_reed

	* [r56968] src/conv/step/OpenNurbsInterfaces.cpp,
	  src/conv/step/STEPWrapper.cpp, src/conv/step/Surface.cpp,
	  src/conv/step/Surface.h, src/libbrep/PullbackCurve.cpp,
	  src/other/stepcode/src/clutils/dirobj.cc:
	  address some step-g related leaks identified by valgrind

2013-08-19 18:58  brlcad

	* [r56967] regress/repository.sh:
	  all files now passing the expanded common.h header checks, so
	  turn error-matching on

2013-08-19 18:55  brlcad

	* [r56966] src/libged/simulate/simutils.h:
	  include common.h

2013-08-19 18:51  brlcad

	* [r56965] src/liboptical/constantpool.h,
	  src/liboptical/liboslrend.h, src/liboptical/oslexec_pvt.h,
	  src/liboptical/render_svc.h, src/librt/tests/test_dvec.cpp,
	  src/librt/timerhep.c, src/mged/points/main.c:
	  must include common.h before all system headers for portability.

2013-08-19 18:50  brlcad

	* [r56964] src/proc-db/mkbuilding.c, src/proc-db/mkbuilding.h:
	  headers should be self-contained. include common.h before the
	  system headers, then the main file doesn't need to know it needed
	  to do that.

2013-08-19 18:47  brlcad

	* [r56963] regress/repository.sh:
	  apparently just two more to exempt from needing common.h

2013-08-19 18:42  brlcad

	* [r56962] src/conv/step/CartesianPoint.h,
	  src/conv/step/STEPEntity.h:
	  Point.h is not a system header; remove unnecessary doxycomment

2013-08-19 18:40  brlcad

	* [r56961] src/conv/iges/brlcad_brep.cpp,
	  src/conv/step/BSplineSurface.h, src/conv/step/CartesianPoint.h,
	  src/conv/step/Face.h, src/conv/step/Path.h, src/fbed/squash.c,
	  src/libbrep/libbrep_brep_tools.h, src/libbrep/opennurbs_fit.cpp:
	  common.h should be included before any system headers

2013-08-19 18:37  brlcad

	* [r56960] src/external/Unigraphics/log.h,
	  src/external/Unigraphics/ug_misc.c:
	  stdlib.h instead of malloc.h and include common.h

2013-08-19 18:34  brlcad

	* [r56959] src/adrt/slave/tienet_slave.c:
	  missing common.h

2013-08-19 18:33  brlcad

	* [r56958] regress/repository.sh:
	  stub in initial support for exempting files that intentionally
	  should not be including common.h

2013-08-19 17:02  brlcad

	* [r56957] regress/repository.sh:
	  previous common.h check only tested to make sure common.h came
	  first in the file if it's included at all. new check also makes
	  sure that common.h is included if there are any system headers
	  included first since common.h should come first. currently
	  disabled since there are several files that need to be fixed.

2013-08-19 15:19  brlcad

	* [r56956] src/conv/dbupgrade.c, src/conv/enf-g.c,
	  src/conv/fast4-g.c, src/conv/step/BSplineCurve.h,
	  src/conv/step/Line.h, src/conv/step/STEPEntity.cpp,
	  src/conv/step/g-step.cpp:
	  ws

2013-08-19 14:37  brlcad

	* [r56955] src/conv/step/ON_Brep.cpp:
	  fit comments for external readers

2013-08-19 14:33  brlcad

	* [r56954] src/conv/step/ON_Brep.cpp:
	  inject some visual cues to help my own understanding

2013-08-19 14:33  carlmoore

	* [r56953] src/libbn/tests/bn_poly_synthetic_div.c,
	  src/librt/primitives/hrt/hrt.c:
	  fix spellings, remove trailing blanks/tabs

2013-08-19 14:26  brlcad

	* [r56952] src/conv/step/ON_Brep.cpp:
	  ws and comma cleanup

2013-08-19 14:24  brlcad

	* [r56951] src/conv/step/ON_Brep.cpp:
	  use our considerably more precise DEG2RAD constant, no
	  explanation needed. need common.h before system headers.

2013-08-19 11:48  tbrowder2

	* [r56950] src/librt/primitives/dsp/dsp.c,
	  src/librt/primitives/nmg/nmg_misc.c,
	  src/librt/primitives/nmg/nmg_rt_isect.c:
	  added FIXME where gcc 4.8.1 reports error upon release build

2013-08-19 11:38  tbrowder2

	* [r56949] src/librt/primitives/nmg/nmg_rt_isect.c:
	  style

2013-08-19 11:20  tbrowder2

	* [r56948] src/librt/primitives/nmg/nmg_misc.c:
	  style

2013-08-19 09:43  iiizzzaaakkk

	* [r56947] src/librt/primitives/hrt/hrt.c:
	  rt_hrt_free() and rt_hrt_params() functions

2013-08-19 08:43  phoenixyjll

	* [r56946] src/libbrep/boolean.cpp:
	  Remove trailing ws.

2013-08-19 08:39  phoenixyjll

	* [r56945] src/libbrep/boolean.cpp:
	  Fix two tiny bugs in build_connectivity_graph(), and print the
	  graph if the debug flag is set.

2013-08-19 08:22  iiizzzaaakkk

	* [r56944] src/libbn/tests/bn_poly_synthetic_div.c:
	  Corrected spelling of polynomial in bn_poly_synthetic_div.c

2013-08-19 08:16  phoenixyjll

	* [r56943] src/libbrep/boolean.cpp:
	  Error handling.

2013-08-19 08:03  phoenixyjll

	* [r56942] src/libbrep/boolean.cpp:
	  Add basic support of connectivity graph. And build connectivity
	  graphs for the original structure.

2013-08-18 22:39  starseeker

	* [r56941] src/librt/comb/comb.c, src/librt/db5_types.c:
	  moving from rgb to color looks like it was a mistake - go back to
	  rgb as the 'default'. Moving back could also introduce problems,
	  so needs testing, but a 'proper' solution to all this will
	  probably have to wait for v6/8.0

2013-08-18 22:22  starseeker

	* [r56940] doc/docbook/system/mann/en/attr.xml:
	  Docbook wasn't validating

2013-08-18 19:53  brlcad

	* [r56939] TODO:
	  cycles and opensubdiv are worth considering for a variety of
	  reasons. need to evaluate the complexity, costs, and benefits

2013-08-18 18:53  tbrowder2

	* [r56938] doc/docbook/system/mann/en/attr.xml:
	  the message format is the same, not the values necessarily

2013-08-18 18:49  tbrowder2

	* [r56937] src/libged/comb.c:
	  return closing paren to its rightful place

2013-08-18 18:46  tbrowder2

	* [r56936] doc/docbook/system/mann/en/attr.xml:
	  reference correct mged command

2013-08-18 18:43  tbrowder2

	* [r56935] src/libged/comb.c, src/libged/comb_std.c,
	  src/libged/wdb_comb_std.c, src/libged/wdb_obj.c:
	  make all 4 display same message at region creation\nuse current
	  attr terminolgy

2013-08-18 18:41  tbrowder2

	* [r56934] doc/docbook/system/mann/en/attr.xml:
	  trying to clarify some apparent anomalies in region attributes;
	  add another attr set example

2013-08-18 17:53  tbrowder2

	* [r56933] doc/docbook/system/mann/en/edcomb.xml:
	  use preferred terminolgy

2013-08-18 17:42  tbrowder2

	* [r56932] src/libged/human.c:
	  human bodies have sex characteristics, not gender

2013-08-18 17:38  tbrowder2

	* [r56931] doc/docbook/system/mann/en/edcomb.xml:
	  there's no 'or' about it

2013-08-18 16:44  brlcad

	* [r56930] src/conv/3dm/3dm-g.cpp:
	  now the lame itoa() function is unused, so we can remove it and
	  it's static buffer evilness. mark the other functions static also
	  lets the compiler discover that printPoints() is unused, so we
	  remove that too.

2013-08-18 16:41  brlcad

	* [r56929] src/conv/3dm/3dm-g.cpp:
	  eliminate the fixed 256-char array, use a bu_vls. convert sizes
	  to size_t.

2013-08-18 16:32  brlcad

	* [r56928] src/librt/primitives/hrt/hrt.c:
	  and since w1 is now gone, P is apparently also unused.

2013-08-18 16:29  brlcad

	* [r56927] src/conv/3dm/3dm-g.cpp:
	  you can't/shouldn't call + operator on a string literal. += would
	  have been okay, but the itoa() function is bad. make it more
	  clear what's going on with a bu_vls

2013-08-18 16:14  tbrowder2

	* [r56926] src/conv/3dm/3dm-g.cpp:
	  FIXME: stop gap measure: unless groupcnt is to be incremented, it
	  could be a const char string; also itoa looks dangerous (but
	  maybe not--however I would return a string)

2013-08-18 16:07  brlcad

	* [r56925] src/librt/primitives/hrt/hrt.c:
	  w1 is set but never used. eliminate w1, but probably implies the
	  logic is wrong

2013-08-18 11:54  tbrowder2

	* [r56924] src/libfb/if_X24.c:
	  think it should be INT_MAX

2013-08-18 01:15  tbrowder2

	* [r56923] src/libfb/if_X24.c:
	  add missing type

2013-08-17 23:43  tbrowder2

	* [r56922] src/librt/primitives/nmg/nmg_misc.c:
	  style

2013-08-17 23:42  tbrowder2

	* [r56921] src/librt/primitives/bspline/nurb_ray.c:
	  bump up size of array trying to ameliorate gcc 4.8.1 warning of
	  array overflow

2013-08-17 23:06  tbrowder2

	* [r56920] src/libfb/if_X24.c:
	  short term fix for gcc 4.8.1 error; prevents value from exceeding
	  LONG_MAX

2013-08-17 23:04  tbrowder2

	* [r56919] src/libbn/tests/bn_poly_synthetic_div.c:
	  rem is an array of size 1

2013-08-17 23:02  tbrowder2

	* [r56918] src/libbn/tests/bn_poly_synthetic_div.c:
	  correct spelling to American version

2013-08-17 20:40  iiizzzaaakkk

	* [r56917] src/librt/primitives/hrt/hrt.c:
	  Wrote rt_hrt_bbox() function which computes the bounding RPP for
	  the heart primitive

2013-08-17 03:31  starseeker

	* [r56916] src/conv/step/ON_Brep.cpp:
	  Whoops, add # to point numbers

2013-08-17 03:26  starseeker

	* [r56915] src/conv/step/ON_Brep.cpp:
	  Hook up some more objects

2013-08-17 01:29  starseeker

	* [r56914] src/conv/step/ON_Brep.cpp:
	  Mark Pictor figured it out - the key is SetUnderlyingType

2013-08-16 21:44  starseeker

	* [r56913] src/conv/step/ON_Brep.cpp:
	  explain the number

2013-08-16 21:41  starseeker

	* [r56912] src/conv/step/ON_Brep.cpp:
	  need to figure out why I can't create a PLANE_ANGLE_MEASURE
	  instance

2013-08-16 21:26  carlmoore

	* [r56911] src/conv/g-nff.c:
	  remove unneeded braces; also remove a trailing blank from printf,
	  to reduce output!

2013-08-16 21:00  starseeker

	* [r56910] src/conv/step/ON_Brep.cpp:
	  Need to check with Mark about t_plane_angle_measure - it *looks*
	  like it should be a SelectTypeDescriptor, but it's currently just
	  a TypeDescriptor.

2013-08-16 20:44  brlcad

	* [r56909] src/libbn/tests/bn_poly_multiply.c,
	  src/libbn/tests/bn_tri_tri_isect.c,
	  src/libbn/tests/bn_tri_tri_isect_coplanar.c:
	  fix indentation

2013-08-16 20:41  brlcad

	* [r56908] src/libbn/tests/bn_poly_add.c:
	  ws

2013-08-16 20:38  brlcad

	* [r56907] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_cubic_roots.c,
	  src/libbn/tests/bn_poly_cubic_rts.c,
	  src/libbn/tests/bn_poly_quartic_roots.c,
	  src/libbn/tests/bn_poly_quartic_rts.c:
	  shortening the file names primarily obfuscates what is being
	  tested and is not worth the 16 bytes safed. rename them to the
	  functions being tested.

2013-08-16 20:29  brlcad

	* [r56906] src/libbn/tests/CMakeLists.txt:
	  make the test match the source name so they're easier to find

2013-08-16 19:34  starseeker

	* [r56905] src/conv/step/ON_Brep.cpp:
	  wc

2013-08-16 19:33  starseeker

	* [r56904] src/conv/step/ON_Brep.cpp:
	  Add footer

2013-08-16 19:32  starseeker

	* [r56903] src/conv/step/ON_Brep.cpp:
	  Cleanup, don't use static file_id numbers.

2013-08-16 19:29  brlcad

	* [r56902] src/libbn/tests/bn_poly_synthetic_div.c:
	  might as well initialize both for good measure

2013-08-16 19:27  brlcad

	* [r56901] src/libbn/tests/bn_poly_synthetic_div.c:
	  fix the header, remove the now unused global

2013-08-16 19:26  brlcad

	* [r56900] src/libbn/tests/bn_poly_synthetic_div.c:
	  remove the bn_Zero_poly global, use static initialization.

2013-08-16 19:18  brlcad

	* [r56899] include/bn.h:
	  provide a static initializer for bn_poly structs

2013-08-16 19:14  brlcad

	* [r56898] src/libbn/tests/bn_poly_synthetic_div.c:
	  eliminate the dead code condition

2013-08-16 19:10  brlcad

	* [r56897] src/libbn/tests/bn_poly_synthetic_div.c:
	  fix ws inconsistencies

2013-08-16 19:09  brlcad

	* [r56896] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_synthetic_div.c:
	  accept sf patch #225 from Ch3ck (Nyah) though there are several
	  minor problems with the patch. certainly getting better with
	  consistency.

2013-08-16 18:59  starseeker

	* [r56895] src/conv/step/ON_Brep.cpp:
	  Create the complex type for holding unit info

2013-08-16 15:40  starseeker

	* [r56894] src/conv/step/ON_Brep.cpp:
	  figured out how to get the uncertainty aggregate into the global
	  uncertainty assigned context.

2013-08-16 15:12  starseeker

	* [r56893] src/conv/step/ON_Brep.cpp:
	  Will need to create valid entities for the other entries before I
	  can go any further here...

2013-08-16 14:41  starseeker

	* [r56892] src/conv/step/ON_Brep.cpp:
	  This gets some of the values assigned, but not the references to
	  objects.

2013-08-16 14:27  starseeker

	* [r56891] src/conv/step/ON_Brep.cpp:
	  Ick - apparently need to work directly with the STEPattribute
	  instances in the complex type.

2013-08-16 13:45  carlmoore

	* [r56890] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_add.c, src/libbrep/boolean.cpp,
	  src/libicv/dpix.c:
	  fix spelling, remove trailing blanks/tabs, and add a period; I
	  assumed 'infor' should be 'info', short for 'information'

2013-08-16 13:39  carlmoore

	* [r56889] misc/auto-man-page/README.auto-man-page-handling:
	  remove a trailing blank, and reword a line (please make sure my
	  rewording is OK)

2013-08-16 12:04  tbrowder2

	* [r56888] misc/auto-man-page/README.auto-man-page-handling:
	  remove redundant translation section; fix spelling

2013-08-16 11:02  tbrowder2

	* [r56887] misc/auto-man-page/README.auto-man-page-handling:
	  clarify format of the string variables

2013-08-16 05:30  phoenixyjll

	* [r56886] src/libbrep/boolean.cpp:
	  Add comment for get_subcurve_inside_faces().

2013-08-16 04:12  phoenixyjll

	* [r56885] src/libbrep/boolean.cpp:
	  Don't called IsClosed(), which includes other tests rather than
	  testing the distance between start point and end point.

2013-08-16 03:46  phoenixyjll

	* [r56884] src/libbrep/boolean.cpp:
	  Don't output the error message if Split() is not called.

2013-08-16 03:38  phoenixyjll

	* [r56883] src/libbrep/boolean.cpp:
	  Eliminate the usage of sorted_pointers[] because once the array
	  intersect[] is enlarged (with a new capacity), the pointers
	  stored in sorted_pointers[] is no longer valid.

2013-08-16 03:22  phoenixyjll

	* [r56882] src/libbrep/boolean.cpp:
	  m_t_for_rank is of type double. Cannot use the result of minus
	  (and implicit conversion to int) to report the comparison.

2013-08-16 01:57  starseeker

	* [r56881] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_add.c:
	  Apply patch #223 by Nyah Check

2013-08-15 23:02  starseeker

	* [r56880] src/conv/step/ON_Brep.cpp:
	  Finally got a working creation and writing of a complex type -
	  now just need to figure out how to manipulate the individual
	  pieces.

2013-08-15 20:44  carlmoore

	* [r56879] src/conv/g-nff.c:
	  add h? options; delete P because it was unused (ncpu set to 1)

2013-08-15 19:58  carlmoore

	* [r56878] src/conv/jack/g-jack.c:
	  alert the user of writing of files (at this time, only '.fig'
	  file is mentioned explicitly

2013-08-15 19:56  starseeker

	* [r56877] src/conv/step/ON_Brep.cpp:
	  Set some values - need to study these more carefully to be sure
	  the mappings are the ones that should be there...

2013-08-15 19:29  iiizzzaaakkk

	* [r56876] src/librt/primitives/hrt/hrt.c:
	  Added rt_hrt_ifree() to Free the storage associated with the
	  rt_db_internal version of this

2013-08-15 19:03  starseeker

	* [r56875] src/other/stepcode/src/cleditor/STEPfile.cc:
	  Quote time stamp

2013-08-15 19:03  starseeker

	* [r56874] src/conv/step/ON_Brep.cpp, src/conv/step/g-step.cpp:
	  populate header, assign empty names to unnamed objects.

2013-08-15 16:50  tbrowder2

	* [r56872] misc/auto-man-page/README.auto-man-page-handling:
	  use correct format--no spaces allowed in keywords

2013-08-15 16:11  n_reed

	* [r56871] src/conv/step/BRLCADWrapper.cpp,
	  src/conv/step/step-g.cpp:
	  Fix valgrind branch-on-uninitialized-value warning. Since step-g
	  called BRLCADWrapper::Close even if no database was loaded,
	  db_close would get a garbage pointer causing a bomb.

2013-08-15 15:19  starseeker

	* [r56870] src/conv/step/ON_Brep.cpp:
	  Start working on the top level structures needed for a valid step
	  file.

2013-08-15 14:40  starseeker

	* [r56869] src/conv/step/ON_Brep.cpp:
	  Add faces to STEP output.

2013-08-15 14:14  mohitdaga

	* [r56868] src/libicv/dpix.c:
	  Calling icv_normalize in dpix read.

2013-08-15 13:43  carlmoore

	* [r56867] misc/auto-man-page/README.auto-man-page-handling,
	  sh/shtool, src/conv/step/ON_Brep.cpp:
	  remove trailing blanks/tabs, and fix spelling

2013-08-15 13:06  mohitdaga

	* [r56866] src/libicv/dpix.c:
	  Add comment for strict normalization. (Erik this should clarify)

2013-08-15 12:45  phoenixyjll

	* [r56865] src/libbrep/boolean.cpp:
	  Ignore UNSET IntersectPoints when maintaining the stack.

2013-08-15 12:43  phoenixyjll

	* [r56864] src/libbrep/boolean.cpp:
	  Error handling in get_subcurve_inside_faces(): sub_curve() may
	  return a NULL pointer.

2013-08-15 11:39  mohitdaga

	* [r56863] src/libicv/fileformat.c:
	  Add dpix write option to icv_write.

2013-08-15 11:22  mohitdaga

	* [r56862] src/libicv/dpix.c:
	  Add write function for dpix files.

2013-08-15 11:17  mohitdaga

	* [r56861] src/libicv/dpix.c:
	  Clarify size variable.

2013-08-15 11:14  tbrowder2

	* [r56860] misc/auto-man-page/README.auto-man-page-handling:
	  correct grammar; add reference to working example

2013-08-15 11:08  tbrowder2

	* [r56859] misc/auto-man-page/README.auto-man-page-handling:
	  tighten format rules a bit

2013-08-15 11:08  mohitdaga

	* [r56858] src/libicv/dpix.c, src/libicv/fileformat.c:
	  Trailing WS

2013-08-15 11:07  mohitdaga

	* [r56857] include/icv.h, src/libicv/fileformat.c:
	  Add dpix read image to icv_read function.

2013-08-15 10:59  mohitdaga

	* [r56856] src/libicv/dpix.c:
	  Add dpix read function.

2013-08-15 10:56  mohitdaga

	* [r56855] src/libicv/dpix.c:
	  Make a more strong condition in normalization regarding the data
	  enteries. Now this function normalizes only when the data entries
	  are out of order.

2013-08-15 10:37  phoenixyjll

	* [r56854] src/libbrep/boolean.cpp:
	  It seems that div_t shadows a global declaration. Rename it to
	  divT.

2013-08-15 10:33  mohitdaga

	* [r56853] src/libicv/CMakeLists.txt, src/libicv/dpix.c:
	  Add dpix.c in libicv. This file will contain routines to read and
	  write images in dpix format. Also added normalize function which
	  will be used to normalize the value in image

2013-08-15 10:27  phoenixyjll

	* [r56852] src/libbrep/boolean.cpp:
	  Implement get_subcurve_inside_faces(), because the intersection
	  curve of SSI is the whole surface, and we need to get the part
	  inside the trimmed face's outer loop.

2013-08-15 06:42  phoenixyjll

	* [r56851] src/libbrep/boolean.cpp:
	  Deal with ccx_overlap. And treat points on boundary the same as
	  they are outside.

2013-08-15 02:16  starseeker

	* [r56850] src/other/stepcode/CMakeLists.txt,
	  src/other/stepcode/data/203wseds,
	  src/other/stepcode/data/CMakeLists.txt,
	  src/other/stepcode/data/STEPTools_merged_schema,
	  src/other/stepcode/data/STEPTools_merged_schema/modified_step_merged_cad_schema.exp,
	  src/other/stepcode/include/express/express.h,
	  src/other/stepcode/include/express/lexact.h,
	  src/other/stepcode/include/express/linklist.h,
	  src/other/stepcode/include/express/memory.h,
	  src/other/stepcode/include/ordered_attrs.h,
	  src/other/stepcode/include/sc_cf_cmake.h.in,
	  src/other/stepcode/src/cldai/sdaiBinary.cc,
	  src/other/stepcode/src/cldai/sdaiEnum.cc,
	  src/other/stepcode/src/cleditor/STEPfile.cc,
	  src/other/stepcode/src/cllazyfile/lazyDataSectionReader.cc,
	  src/other/stepcode/src/cllazyfile/lazyInstMgr.cc,
	  src/other/stepcode/src/cllazyfile/lazyInstMgr.h,
	  src/other/stepcode/src/cllazyfile/lazy_test.cc,
	  src/other/stepcode/src/cllazyfile/p21HeaderSectionReader.cc,
	  src/other/stepcode/src/cllazyfile/sectionReader.cc,
	  src/other/stepcode/src/cllazyfile/sectionReader.h,
	  src/other/stepcode/src/clstepcore/CMakeLists.txt,
	  src/other/stepcode/src/clstepcore/ExpDict.cc,
	  src/other/stepcode/src/clstepcore/Registry.inline.cc,
	  src/other/stepcode/src/clstepcore/STEPattributeList.cc,
	  src/other/stepcode/src/clstepcore/STEPcomplex.cc,
	  src/other/stepcode/src/clstepcore/STEPcomplex.h,
	  src/other/stepcode/src/clstepcore/complexSupport.h,
	  src/other/stepcode/src/clstepcore/complexlist.cc,
	  src/other/stepcode/src/clstepcore/match-ors.cc,
	  src/other/stepcode/src/clstepcore/multlist.cc,
	  src/other/stepcode/src/clstepcore/read_func.cc,
	  src/other/stepcode/src/clstepcore/sdaiApplication_instance.cc,
	  src/other/stepcode/src/clstepcore/sdaiApplication_instance.h,
	  src/other/stepcode/src/clstepcore/trynext.cc,
	  src/other/stepcode/src/clutils/sc_hash.cc,
	  src/other/stepcode/src/exppp/exppp.c,
	  src/other/stepcode/src/express/CMakeLists.txt,
	  src/other/stepcode/src/express/entity.c,
	  src/other/stepcode/src/express/error.c,
	  src/other/stepcode/src/express/express.c,
	  src/other/stepcode/src/express/fedex.c,
	  src/other/stepcode/src/express/hash.c,
	  src/other/stepcode/src/express/lexact.c,
	  src/other/stepcode/src/express/linklist.c,
	  src/other/stepcode/src/express/ordered_attrs.cc,
	  src/other/stepcode/src/express/resolve.c,
	  src/other/stepcode/src/express/test,
	  src/other/stepcode/src/express/test/CMakeLists.txt,
	  src/other/stepcode/src/express/test/print_attrs.c,
	  src/other/stepcode/src/express/test/print_schemas.c,
	  src/other/stepcode/src/fedex_plus/classes.c,
	  src/other/stepcode/src/fedex_plus/classes_misc.c,
	  src/other/stepcode/src/fedex_plus/classes_wrapper.cc,
	  src/other/stepcode/src/fedex_plus/complexlist.cc,
	  src/other/stepcode/src/fedex_plus/expressbuild.cc,
	  src/other/stepcode/src/fedex_plus/match-ors.cc,
	  src/other/stepcode/src/fedex_plus/multlist.cc,
	  src/other/stepcode/src/fedex_plus/multpass.c,
	  src/other/stepcode/src/fedex_plus/selects.c,
	  src/other/stepcode/src/fedex_plus/trynext.cc,
	  src/other/stepcode/src/fedex_python/src/classes_misc_python.c,
	  src/other/stepcode/src/fedex_python/src/classes_python.c,
	  src/other/stepcode/src/fedex_python/src/classes_wrapper_python.cc,
	  src/other/stepcode/src/fedex_python/src/selects_python.c,
	  src/other/stepcode/src/test/scl2html/scl2html.cc,
	  src/other/stepcode/src/test/tstatic/tstatic.cc,
	  src/other/stepcode/test/cpp/schema_specific/inverse_attr3.cc,
	  src/other/stepcode/test/p21/CMakeLists.txt,
	  src/other/stepcode/test/unitary_schemas/diamond_inheritance.exp,
	  src/other/stepcode/test/unitary_schemas/multiple_inheritance_derived.exp:
	  Update stepcode to commit
	  da3fe4543f86047a176a2f899d1c485a6ab8f9e8 from the primary
	  repository - merges changes for diamond inheritance, incorporates
	  BRL-CAD changes, etc.

2013-08-15 01:24  starseeker

	* [r56849] src/conv/step/ON_Brep.cpp:
	  Cleanup, update comments

2013-08-15 01:08  starseeker

	* [r56848] src/other/stepcode/src/fedex_plus/classes.c:
	  Back out r56838 - not the correct approach, from the looks of
	  things.

2013-08-15 01:04  starseeker

	* [r56847] src/conv/step/ON_Brep.cpp:
	  Get at the SdaiPath inside of the SdaiEdge_loop - adding the
	  edges to THAT edge list appears to work. Horribly unintuitive on
	  the part of SdaiEdge_loop - what's the point of exposing
	  _edge_list at all? - but at least it seems to function.

2013-08-14 21:46  n_reed

	* [r56846] src/tclscripts/archer/Archer.tcl,
	  src/tclscripts/archer/BrepEditFrame.tcl:
	  Work on managing mouse event handlers for brep editing. Keeping
	  to the script side, whereas bot editing handles bindings partly
	  in script and partly in libtclcad.

2013-08-14 20:37  tbrowder2

	* [r56845] src/util/fix_polysolids.c:
	  make auto-man-page test harder with looser comment format

2013-08-14 20:25  tbrowder2

	* [r56844] src/util/fix_polysolids.c:
	  moved vars out of global scope; added comments for testing
	  auto-man-page process

2013-08-14 19:53  tbrowder2

	* [r56843] src/shapes/window_frame.c:
	  update

2013-08-14 19:52  tbrowder2

	* [r56842] misc/doxygen_structure_libs.txt:
	  remove superflous asterisk

2013-08-14 19:51  tbrowder2

	* [r56841] misc/DoxyfileLibs.in:
	  show info on options

2013-08-14 19:01  tbrowder2

	* [r56840] misc/auto-man-page/README.auto-man-page-handling:
	  update to be in line with latest format and auto-man-page
	  processing program

2013-08-14 18:21  starseeker

	* [r56839] src/librt/search.c:
	  misc bits relating to figuring out the db_search function.

2013-08-14 16:24  starseeker

	* [r56838] src/other/stepcode/src/fedex_plus/classes.c:
	  This initializes the _edge_list in edge_loops, but it's not
	  enough - the list isn't being written out.

2013-08-14 13:38  carlmoore

	* [r56837] doc/docbook/system/man1/en/bwrect.xml,
	  doc/docbook/system/man1/en/pixrect.xml, src/adrt/isst,
	  src/libbn/tests/bn_poly_cubic_rts.c,
	  src/libbn/tests/bn_poly_quartic_rts.c:
	  remove trailing blank, and make spelling fixes

2013-08-14 13:25  starseeker

	* [r56836] include/CMakeLists.txt, include/raytrace.h,
	  include/raytrace_deprecated_db_search.h:
	  revert r56811

2013-08-14 07:32  phoenixyjll

	* [r56835] src/libbrep/boolean.cpp:
	  Remove a trailing tab.

2013-08-14 07:31  phoenixyjll

	* [r56834] src/libbrep/boolean.cpp:
	  ssx_overlap should be ignored. It's the trims, not the boundary
	  of the surface, that should be cared when splitting the face.

2013-08-14 07:22  mohitdaga

	* [r56833] doc/docbook/system/man1/en/pixrect.xml,
	  src/util/pixrect.c:
	  Sanitize input format for pixrect in both src code and doc.

2013-08-14 07:17  phoenixyjll

	* [r56832] src/libbrep/boolean.cpp:
	  Fix wrong comment.

2013-08-14 07:16  mohitdaga

	* [r56831] doc/docbook/system/man1/en/pixrect.xml:
	  doc for pixrect.

2013-08-14 07:16  phoenixyjll

	* [r56830] src/libbrep/boolean.cpp:
	  Implement IsPointOnLoop() to determine whether a point is on the
	  boundary of the loop (using point-curve intersection)

2013-08-14 07:09  phoenixyjll

	* [r56829] src/libbrep/boolean.cpp:
	  Don't assume that the starting point is outside. Use
	  IsPointInsideLoop() to help determine m_in_out.

2013-08-14 06:15  brlcad

	* [r56828] src/librt/primitives/bot/btg.c,
	  src/librt/primitives/bot/tie.c:
	  boom, nearly double performance back to before 32-bit fix
	  performance levels by eliminating unnecessary memory-zeroing.
	  profile showed this hot spot taking up around 30% of time on mac
	  64-bit. unnecessary because 'nhits' and 'stack_ind' track how
	  many are set.

2013-08-14 05:59  phoenixyjll

	* [r56827] src/libbrep/boolean.cpp:
	  Call link_curves() outside split_trimmed_face().

2013-08-14 04:54  brlcad

	* [r56826] src/librt/primitives/bot/tie.c:
	  address !!! comment, which looks like dummy data injection to
	  help prefetching data not cause a stall. testing showed impact
	  was nominal but probably because we lost some coherency earlier.

2013-08-14 04:38  brlcad

	* [r56825] include/tie.h, src/librt/primitives/bot/tie.c,
	  src/librt/primitives/bot/tie_kdtree.c,
	  src/librt/primitives/bot/tieprivate.h:
	  revert r56812 after doing a little bit of performance testing.
	  it's looking like my change that got things working on 32-bit
	  definitely did slow TIE down (was expected), but r56812 slows it
	  down another 5-15% (tested on models up to 200k). interesting to
	  see how touchy the performance is, but this is to be expected
	  when one deals with data coherency, branch prediction, and memory
	  alignment optimizations.

2013-08-14 03:33  starseeker

	* [r56824] src/other/CMakeLists.txt:
	  Add SC_BUILD_SCHEMAS flag to stepcode settings - will be useful
	  down the road.

2013-08-14 03:05  brlcad

	* [r56823] src/util/bwrect.c, src/util/pixrect.c:
	  ugh ,

2013-08-14 03:00  brlcad

	* [r56822] src/util/bwrect.c, src/util/pixrect.c:
	  ws indent style cleanup. simplify 'if (expression)' preferring
	  readability over brevity, make call and set to var before if ().

2013-08-14 02:37  starseeker

	* [r56821] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_cubic_rts.c,
	  src/libbn/tests/bn_poly_quartic_rts.c:
	  Add tests for bn_poly_cubic_rts and bn_poly_quartic_rts from
	  patch #226 by Nyah Check.

2013-08-14 01:58  starseeker

	* [r56820] src/libgcv/CMakeLists.txt:
	  Don't use explicit path to invoke test_bottess (it's wrong now
	  anyway...)

2013-08-13 22:40  mohitdaga

	* [r56819] src/util/bwrect.c, src/util/pixrect.c:
	  -h option no longer means higher resolution images. It points to
	  help regarding utility.

2013-08-13 22:39  brlcad

	* [r56818] NEWS:
	  mohit improved bwrect to accept redirected input/output image,
	  improved usability/consistency.

2013-08-13 22:35  mohitdaga

	* [r56817] NEWS:
	  Added news for bwrect.

2013-08-13 22:25  mohitdaga

	* [r56816] src/util/bwrect.c, src/util/pixrect.c:
	  use bu_log instead of fprintf for showing up error messages.

2013-08-13 21:46  carlmoore

	* [r56815] src/conv/jack/g-jack.c:
	  add h?, and, in the Usage, add P

2013-08-13 21:25  mohitdaga

	* [r56814] src/util/CMakeLists.txt, src/util/pixrect.c:
	  pixrect modified to use icv api. It now no longer supports
	  bytes_per pixel option and assumes 3 bytes for .pix files. Also
	  prompting has been removed. Supports only command line arguments.

2013-08-13 21:22  carlmoore

	* [r56813] src/conv/euclid/g-euclid1.c:
	  implement h?, and add P to the Usage

2013-08-13 21:21  r_weiss

	* [r56812] include/tie.h, src/librt/primitives/bot/tie.c,
	  src/librt/primitives/bot/tie_kdtree.c,
	  src/librt/primitives/bot/tieprivate.h:
	  Changes to BOT-TIE to remove bit operations.

2013-08-13 21:20  starseeker

	* [r56811] include/CMakeLists.txt, include/raytrace.h,
	  include/raytrace_deprecated_db_search.h, src/librt/search.c:
	  Start inching towards the new db_search API. Move the
	  to-be-deprecated search header contents into their own file.
	  Can't flag them yet because they are still used.

2013-08-13 20:52  mohitdaga

	* [r56810] doc/docbook/system/man1/en/bwrect.xml,
	  src/util/bwrect.c:
	  Add higher dimensional flag in bwrect

2013-08-13 19:31  starseeker

	* [r56809] src/conv/step/ON_Brep.cpp:
	  Add a note to check out the diamond inheritance fix recently made
	  to stepcode - may relate to this edge_loop issue.

2013-08-13 19:23  starseeker

	* [r56808] src/conv/step/ON_Brep.cpp:
	  Start building topology - looks like we may have an issue with
	  the SdaiEdge_loop initialization.

2013-08-13 19:09  mohitdaga

	* [r56807] src/util/bwrect.c:
	  Correct Typo.

2013-08-13 19:07  mohitdaga

	* [r56806] doc/docbook/system/man1/en/bwrect.xml:
	  Documnetation for bwrect utility

2013-08-13 18:42  erikgreenwald

	* [r56805] src/adrt/isst:
	  fix namespace seperator

2013-08-13 18:36  mohitdaga

	* [r56804] src/util/bwrect.c:
	  Remove Debug Parameters from bwrect.c

2013-08-13 18:31  erikgreenwald

	* [r56803] src/adrt/isst:
	  escape key now exits

2013-08-13 18:30  erikgreenwald

	* [r56802] src/adrt/isst, src/adrt/isst_tcltk.c:
	  simplify C part of cut mode by moving logic into tcl

2013-08-13 18:07  carlmoore

	* [r56800] src/conv/euclid/g-euclid.c:
	  removed 's:' from bu_getopt argument string, because it is unused

2013-08-13 17:10  starseeker

	* [r56797] src/conv/step/ON_Brep.cpp:
	  Add general nurbs surfaces, add knots as well.

2013-08-13 16:44  starseeker

	* [r56794] src/conv/step/ON_Brep.cpp:
	  Start working on surfaces for g-step

2013-08-13 15:11  carlmoore

	* [r56793] src/conv/g-voxel.c, src/librt/primitives/hrt/hrt.c:
	  remove trailing blanks/tabs, and fix a spelling

2013-08-13 15:09  carlmoore

	* [r56792] src/conv/step/ON_Brep.cpp, src/util/bwrect.c:
	  remove trailing blanks/tabs

2013-08-13 14:47  iiizzzaaakkk

	* [r56791] src/librt/primitives/hrt/hrt.c:
	  rt_hrt_describe() routine to present heart in human-readable form

2013-08-13 14:43  tbrowder2

	* [r56790] doc/docbook/system/man1/en/mged.xml:
	  add a section on scripting mged

2013-08-13 14:30  d_rossberg

	* [r56789] doc/html/manuals/BRL-CAD_gear_logo.ico,
	  misc/win32-msvc/Dll/BrlcadCore.rc:
	  somebody said the old eagle logo taboo, replaced it with the new
	  gear logo in the brlcad.dll

2013-08-13 14:27  d_rossberg

	* [r56788] misc/win32-msvc/Dll/CMakeLists.txt:
	  include libgdiam into the brlcad.dll

2013-08-13 14:23  d_rossberg

	* [r56787] misc/win32-msvc/Dll/BrlcadCore.def,
	  misc/win32-msvc/Dll/brlcad.def:
	  rt_g is now RTG

2013-08-13 13:41  tbrowder2

	* [r56786] src/libged/comb_color.c:
	  remove command name from usage string (fixes double listing
	  inside mged)

2013-08-13 13:38  phoenixyjll

	* [r56785] src/libbrep/boolean.cpp:
	  Returning the result of minus and implicit conversion to int for
	  comparison is not correct for floating points. Should use
	  explicit > and < comparison.

2013-08-13 13:29  mohitdaga

	* [r56784] src/libicv/bw.c, src/libicv/decimate.c,
	  src/libicv/pix.c:
	  Trailing WS

2013-08-13 13:25  erikgreenwald

	* [r56783] src/adrt/librender/cut.c:
	  fix ray direction for initial cut shot

2013-08-13 13:24  carlmoore

	* [r56782] src/librt/primitives/hrt/hrt.c:
	  fix spelling, and remove trailing blanks/tabs

2013-08-13 13:22  carlmoore

	* [r56781] src/libbn/tests/bn_poly_sub.c:
	  fix wording & spelling, and remove a few blank lines

2013-08-13 13:18  phoenixyjll

	* [r56780] src/libbrep/boolean.cpp:
	  Remove temporal debug message, and print more infomation for the
	  stack error and sort failure.

2013-08-13 13:16  phoenixyjll

	* [r56779] src/libbrep/boolean.cpp:
	  l/100.0 is the normalized parameter. We should call
	  ParameterAt().

2013-08-13 13:15  phoenixyjll

	* [r56778] src/libbrep/boolean.cpp:
	  DEBUG is defined in brlcad_config.h. Use DEBUG_BREP_BOOLEAN
	  instead.

2013-08-13 13:10  tbrowder2

	* [r56777] doc/docbook/system/man1/en/mged.xml:
	  use correct word 'within'

2013-08-13 12:16  phoenixyjll

	* [r56776] src/libbrep/boolean.cpp:
	  Avoid getting nested polycurves, which makes ON_Brep::IsValid()
	  to fail. If the curve we are going to append to a polycurve
	  itself is a polycurve, we append each segments separately.

2013-08-13 12:06  d_rossberg

	* [r56775] src/conv/g-voxel.c:
	  print the voxel's coordinates rather than its indices
	  still needs some tests and fine tuning

2013-08-13 11:37  erikgreenwald

	* [r56774] src/adrt/isst_tcltk.c:
	  strcp->bu_strncmp

2013-08-13 11:34  d_rossberg

	* [r56773] src/conv/raw/g-raw.c:
	  ups, I must have overlooked this g-stl remnant

2013-08-13 05:30  phoenixyjll

	* [r56772] src/libbrep/boolean.cpp:
	  We should take care of the intersection tolerance, and "fix" the
	  "gaps" if necessary.

2013-08-13 03:30  brlcad

	* [r56771] NEWS:
	  fixed the 32-bit librt/adrt/TIE crashes. code was trying to be
	  far too clever packing data into a pointer address value. put the
	  data up into the struct so we don't have to worry about the slew
	  of things that make that a bad idea.

2013-08-13 03:21  brlcad

	* [r56770] TODO:
	  32b bottie crash is fixed. no comment on why existing makesegs is
	  insufficient and backend repo was updated so can clear those out

2013-08-13 03:19  brlcad

	* [r56769] BUGS:
	  comment significantly out of date, not observed that m1151 issue
	  in a while and have traced one since then.

2013-08-13 03:16  brlcad

	* [r56768] src/librt/primitives/bot/tie.c,
	  src/librt/primitives/bot/tie_kdtree.c,
	  src/librt/primitives/bot/tieprivate.h:
	  Fix 32-bit TIE. The problem was someone trying to be far too
	  clever packing bits into a pointer address. You read that right.
	  Bits were being set/unset and read from WITHIN the pointer VALUE.
	  Even remember telling Justin many many years ago this would be a
	  problem, but obviously nothing came of that. My vague
	  recollection was that he was hijacking particular bits that were
	  always zero given particular struct allocation sizes. Of course,
	  this is incredibly presumptuous and volatile to struct member
	  type sizes, 32-bit vs 64-bit compilation, implicit
	  padding/alignment issues, and more.
	  
	  This gets TIE working on 32-bit compilation (and generally more
	  portably all around) by extracting those bit values that were
	  being packed into their own struct element (for both the kdtree
	  and the tri structs) where this was happening. This took quite a
	  bit of very cautious surgery to extract and propagate the bits
	  correctly. There may be more needed (e.g., didn't test
	  single-precision), but seems to work swell in all the tests I
	  threw at it. Made (probably unnecessarily) most of the memory
	  allocation zero-initialize just for good measure too.

2013-08-13 02:53  brlcad

	* [r56767] include/tie.h:
	  since TIE tries to be coherent, document the sizes of each of the
	  struct elements and ensure that we stay on 4-byte boundaries.
	  ironically shows that several core data structs do not fit within
	  a cache line when using double-precision, so this is far from
	  optimal. related and most significantly, I'm adding two new 'b'
	  fields (on tie_tri_s and tie_kdtree_s) to hold kd-tree data.
	  reason why will become apparent in the next commit.

2013-08-13 01:02  starseeker

	* [r56766] src/other/libgdiam/gdiam.cpp:
	  Add notes about approach to take for improving robustness - need
	  to study overall algorithms to identify other points where
	  floating point weirdness needs to be handled...

2013-08-13 00:58  starseeker

	* [r56765] src/other/libgdiam/gdiam.cpp:
	  Remove most of the comment out lines, ws

2013-08-12 23:51  brlcad

	* [r56764] src/libbu/heap.c:
	  looks like this straggler didn't get committed. use the new api
	  typedef for the callback

2013-08-12 22:19  mohitdaga

	* [r56763] include/icv.h:
	  Add comments about new icv_read and icv_write. Also sanitize some
	  comments due to change in name of api.

2013-08-12 21:55  mohitdaga

	* [r56762] include/icv.h, src/libged/screengrab.c,
	  src/libicv/fileformat.c, src/rt/do.c, src/util/bwrect.c:
	  As per Sean's suggestion, Change the name of icv api (free to
	  destroy).

2013-08-12 21:39  mohitdaga

	* [r56761] include/icv.h, src/libicv/bw.c, src/libicv/fileformat.c,
	  src/libicv/pix.c, src/util/bwrect.c:
	  As per Sean's suggestion, Change the name of icv api (load to
	  read).

2013-08-12 20:48  starseeker

	* [r56760] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_sub.c:
	  Add test for bn_poly_sub from sf patch #224 by Nyah Check.
	  Interestingly, seems to be a difference between our routine and
	  Octave - will need to double check that.

2013-08-12 20:48  mohitdaga

	* [r56759] include/icv.h, src/libged/screengrab.c, src/libicv/bw.c,
	  src/libicv/fileformat.c, src/libicv/pix.c, src/rt/do.c,
	  src/util/bwrect.c:
	  As per Sean's suggestion, Change the name if icv api (save to
	  write)

2013-08-12 20:08  brlcad

	* [r56758] misc/CMake/BRLCAD_CompilerFlags.cmake:
	  enable stack protection for non-optimized debug-enabled builds.
	  for gcc 4.1+ this is -fstack-protector-all, for clang it's
	  -qstackprotect. wouldn't think we need both, but would need to
	  check the c/cxx flags independently otherwise in case the caller
	  is compiling c with clang and cxx with g++ (for example). easier
	  to just check them both to handle such situations.

2013-08-12 20:01  brlcad

	* [r56757] misc/CMake/CompilerFlags.cmake:
	  fix a bug when checking C and CXX flags sequentially, the latter
	  was always getting the cached result because the same cache
	  variable name was being specified. this was presenting itself as
	  CC: unrecognized option '-Qunused-argument' messages (which is
	  apparently not a valid C++ flag, but is valid for C) and
	  potentially any other flag where the result should be different
	  (obviously).

2013-08-12 19:29  brlcad

	* [r56756] src/librt/primitives/bot/tie.c:
	  pair bu_malloc()+bu_free() but make sure it's not a null pointer
	  just in case the book-keeping is pooched (which it is).

2013-08-12 19:22  brlcad

	* [r56755] src/librt/primitives/bot/tie.c:
	  more null dereferencing checks so that we don't segfault and
	  using 0x7L consistently as a long. should not be encountering the
	  INTERNAL ERROR debug line... but we are. definitely a pooched
	  tree.

2013-08-12 19:19  brlcad

	* [r56754] src/librt/primitives/bot/tie_kdtree.c:
	  do some more cleanup to make sure we don't dereference a null
	  accidentally. almost a few more size_t vs intptr_t casts just
	  they're different.

2013-08-12 18:54  brlcad

	* [r56753] src/librt/primitives/bot/bot.c:
	  some basic sanity checking, hunting a stack smash

2013-08-12 18:53  brlcad

	* [r56752] src/librt/primitives/bot/tieprivate.h:
	  consistency with the other pointer tests, cast through intptr_t
	  and mask against a long

2013-08-12 17:46  iiizzzaaakkk

	* [r56751] src/librt/primitives/hrt/hrt.c:
	  Added rt_hrt_export5() routine to export from internal format to
	  database format

2013-08-12 17:01  iiizzzaaakkk

	* [r56747] src/librt/primitives/hrt/hrt.c:
	  Added rt_hrt_import5() routine to import the database format to
	  the internal format

2013-08-12 16:16  iiizzzaaakkk

	* [r56746] src/librt/primitives/hrt/hrt.c:
	  Added rt_hrt_print() routine and removed rt_hrt_??port4()
	  routines pertaining to version 4 of database

2013-08-12 15:38  iiizzzaaakkk

	* [r56745] src/librt/primitives/hrt/hrt.c:
	  Adding hrt_invsq vector and hrt_invRSSR matrix fields to heart
	  structure

2013-08-12 12:07  phoenixyjll

	* [r56743] src/libbrep/boolean.cpp:
	  Mark the functions used only within this file with HIDDEN.

2013-08-12 10:54  phoenixyjll

	* [r56742] src/libbrep/boolean.cpp:
	  Implement a function to check the validity of the outer loop
	  before adding a trimmed face.

2013-08-11 11:07  tbrowder2

	* [r56741] TODO:
	  updated list of progs with missing man pages

2013-08-11 10:34  mohitdaga

	* [r56740] src/util/bwrect.c:
	  Improvise bwrect utility to work correctly for input arguments.
	  This will become a model for incorporating libicv in other image
	  processing utilities.

2013-08-10 16:40  mohitdaga

	* [r56739] src/util/bwrect.c:
	  Remove unistd.h. Since unistd.h is not available in windows.

2013-08-10 11:21  mohitdaga

	* [r56738] src/libicv/crop.c:
	  Correct the error message in crop.c

2013-08-10 05:45  brlcad

	* [r56737] CMakeLists.txt, src/rt/main.c:
	  no longer need NO_BADRAY_CHECKING

2013-08-10 05:43  brlcad

	* [r56736] src/librt/bundle.c, src/librt/shoot.c:
	  cannot afford to be doing this bombing validity test during ray
	  tracing. let the calling application test.

2013-08-10 05:37  brlcad

	* [r56735] src/libdm/dm-rtgl.c:
	  if all we're going to do is print it, skip the bad vector check

2013-08-10 05:36  brlcad

	* [r56734] CHANGES:
	  no longer should be using RT_BADNUM/RT_BADVAL

2013-08-10 05:36  brlcad

	* [r56733] include/vmath.h:
	  add macros for testing whether an object is invalid (not within
	  our defined range of INFINITY to -INFINITY

2013-08-10 01:22  mohitdaga

	* [r56732] src/util/CMakeLists.txt, src/util/bwrect.c:
	  Use libicv in bwrect utility. Also modify the usage criterio of
	  bwrect. This utility now accepts command line arguments instead
	  of prompt based user inputs. Also it can read from stdin and save
	  in stdout.

2013-08-10 01:05  mohitdaga

	* [r56731] src/libicv/bw.c, src/libicv/pix.c:
	  Add wrtting flags to open function in pix_save and bw_save. Also
	  remove redundant comments.

2013-08-09 22:23  mohitdaga

	* [r56730] src/libicv/bw.c, src/libicv/pix.c:
	  Hidding stdin and stdout under fileno function

2013-08-09 21:38  mohitdaga

	* [r56729] src/libicv/bw.c, src/libicv/pix.c:
	  Now bw_save and pix_save can write images to stdout.

2013-08-09 21:26  mohitdaga

	* [r56728] src/libicv/bw.c, src/libicv/pix.c:
	  WS

2013-08-09 21:25  mohitdaga

	* [r56727] src/libicv/bw.c, src/libicv/pix.c:
	  Now icv_load can read images from stdin also.

2013-08-09 19:38  brlcad

	* [r56726] NEWS:
	  credit mohit daga for fixing pixscale/bwscale so that they do not
	  report an ioctl error. they were attempting to read beyond the
	  input file.

2013-08-09 19:33  brlcad

	* [r56725] src/util/bwcrop.c:
	  bump the maximum size up to a measily 4096 for now until icv
	  integration makes this stupidity go away

2013-08-09 19:27  brlcad

	* [r56724] include/bu.h:
	  looks like nothing uses bu_made_it and seems more like a private
	  developer debug routine than public library API

2013-08-09 19:27  vladbogo

	* [r56723] src/libdm/dm-qt.cpp:
	  ws

2013-08-09 19:24  vladbogo

	* [r56722] src/libbu/heap.c:
	  Removed "mixed declaration and code" warning.

2013-08-09 19:12  vladbogo

	* [r56721] src/libdm/dm-qt.cpp:
	  Mouse + keyboard events

2013-08-09 19:01  brlcad

	* [r56720] include/bu.h:
	  document the new bu_heap_log() function including the
	  BU_HEAP_PRINT environment variable to turn on debug logging
	  during application exit.

2013-08-09 18:47  brlcad

	* [r56719] src/librt/globals.c:
	  carl noticed that the rt_g global was not initialized for several
	  commands that use it and sure enough, it doesn't look like
	  anything initializes it?? add a static initializer so that it at
	  least starts out mostly zero (magic numbers are set as
	  conventioned in libbu).

2013-08-09 18:40  brlcad

	* [r56718] include/raytrace.h:
	  provide static initializers for several structs include rt_tess,
	  mater_info, db_tree_state, rt_wdb, and rt_g (all just so we can
	  initialize the last one fully).

2013-08-09 16:28  brlcad

	* [r56717] include/bu.h:
	  expand the docs on bu_log() a little bit

2013-08-09 16:06  brlcad

	* [r56716] src/libbu/heap.c:
	  provide an interface for managing the summary/logging output,
	  allowing calling applications to register a printing function
	  (such as printf, bu_log, puts, etc). instead of tying the
	  printing to bu_debug being set, read the BU_HEAP_PRINT
	  environment variable. take some minimal steps to minimize how
	  many atexit() handlers are registered in a parallel situation,
	  though the handler also checks.

2013-08-09 15:23  mohitdaga

	* [r56714] include/icv.h, src/libicv/stat.c:
	  Add mode, mean, median skew and variance functions in
	  src/libicv/stat.c

2013-08-09 09:01  mohitdaga

	* [r56711] src/util/bwscale.c, src/util/pixscale.c:
	  Cannot buffer more lines than the original image size. remove
	  ioctl error in pixscale and bwscale utilities

2013-08-09 05:53  phoenixyjll

	* [r56710] src/libbrep/boolean.cpp:
	  Link the curves if they share an end point (they can be from
	  intersections with different surfaces, or discontinuous in the
	  other surface's domain, so they are not linked originally.

2013-08-09 03:09  phoenixyjll

	* [r56709] src/libbrep/boolean.cpp:
	  Don't call Split() when t is on the boundary of domain - Split()
	  may fail returning two NULL pointers. And the first point is not
	  always on the first segment, so we might need to duplicate more
	  than one segments.

2013-08-09 00:21  brlcad

	* [r56708] NEWS:
	  richard fixed memory release bug in TIE where it was calling
	  bu_free even when there were no allocation. possibly a memory
	  corruption (or a zero-free abort for debug compiles) crasher or
	  inducing bad behavior elsewhere.

2013-08-08 22:43  r_weiss

	* [r56707] src/librt/primitives/bot/tie_kdtree.c:
	  Fixed some memory free errors when raytracing with bot-tie.

2013-08-08 22:06  carlmoore

	* [r56706] src/conv/euclid/g-euclid.c, src/conv/g-acad.c:
	  remove unneeded braces in g-acad.c, and in g-euclid.c make
	  changes to the usage statement and implement h?

2013-08-08 21:36  starseeker

	* [r56705] src/other/libgdiam/gdiam.cpp:
	  Unbelieveable. Simply changing the value being checked here from
	  1e-9 to 1e-8 causes failures. Need to re-think this.

2013-08-08 21:28  carlmoore

	* [r56704] src/conv/g-egg.c:
	  fix the options

2013-08-08 21:26  carlmoore

	* [r56703] doc/docbook/system/man1/en/g-egg.xml:
	  revise the g-egg man page

2013-08-08 21:02  tbrowder2

	* [r56702] src/proc-db/wdb_example.c:
	  add usage string; eliminate usage function

2013-08-08 20:57  tbrowder2

	* [r56701] misc/auto-man-page/auto-man-progs.txt:
	  reorder progs for testing

2013-08-08 20:54  starseeker

	* [r56700] src/other/libgdiam/gdiam.cpp,
	  src/other/libgdiam/gdiam.hpp:
	  Back out the near zero logic - causing as much trouble as it's
	  solving

2013-08-08 18:57  starseeker

	* [r56699] src/conv/step/ON_Brep.cpp, src/conv/step/g-step.cpp:
	  Write to an actual file.

2013-08-08 18:52  brlcad

	* [r56698] src/libicv/decimate.c:
	  ws indent comma cleanup

2013-08-08 18:51  brlcad

	* [r56697] src/libicv/decimate.c:
	  check the more general case to future-proof against a signed
	  type. make log messages be less developer-speak.

2013-08-08 18:34  carlmoore

	* [r56696] src/conv/g-acad.c, src/conv/g-egg.c:
	  remove unneeded break in g-acad, and revise usage statement in
	  g-egg (adding -P)

2013-08-08 18:23  starseeker

	* [r56695] src/conv/step/ON_Brep.cpp:
	  Add knots to curves

2013-08-08 18:07  iiizzzaaakkk

	* [r56694] src/librt/primitives/hrt/hrt.c:
	  Ensuring consistent bu_log("rt_hrt_xxx: not implemented yet"); in
	  callback functions in src/librt/primitives/hrt/hrt.c

2013-08-08 16:48  carlmoore

	* [r56693] misc/auto-man-page/auto-man-progs.txt,
	  src/libicv/decimate.c, src/tclscripts/util/expand_int_ranges.tcl:
	  fix spellings (notice my inclusion of 'ninterp'

2013-08-08 16:31  carlmoore

	* [r56692] include/brep.h:
	  remove a trailing blank/tab, and fix a spelling in a comment

2013-08-08 16:26  carlmoore

	* [r56691] misc/auto-man-page/README.auto-man-page-handling:
	  fix this README file (added missing newline at end, and put in a
	  string used near top, to mark end of the document; and fix a
	  spelling)

2013-08-08 16:20  carlmoore

	* [r56690] src/libicv/decimate.c:
	  presumably, 'binterp' and 'ninterp' are correct spellings -??

2013-08-08 16:06  carlmoore

	* [r56689] include/icv.h:
	  remove trailing blanks/tabs; make minor formatting changes and
	  make correction to NITERP (all of this is in **comments**)

2013-08-08 16:03  phoenixyjll

	* [r56688] src/libbrep/intersect.cpp:
	  Wrong comment - we don't merge at this time.

2013-08-08 13:23  erikgreenwald

	* [r56687] src/libbrep/boolean.cpp:
	  comment out unused variable

2013-08-08 13:14  starseeker

	* [r56686] src/other/stepcode/src/cldai/sdaiModel_contents.h,
	  src/other/stepcode/src/cllazyfile/lazyInstMgr.h:
	  Clear a couple warnings

2013-08-08 05:51  phoenixyjll

	* [r56685] src/libbrep/boolean.cpp:
	  Check m_type: if the event is not a curve event, we don't need to
	  do anything.

2013-08-08 03:00  phoenixyjll

	* [r56684] src/libbrep/boolean.cpp:
	  Add vertexes correctly.

2013-08-07 22:00  carlmoore

	* [r56683] src/conv/g-egg.c:
	  implement h?

2013-08-07 21:20  starseeker

	* [r56682] src/other/libgdiam/gdiam.cpp,
	  src/other/libgdiam/gdiam.hpp:
	  Don't use the same zero test everywhere

2013-08-07 21:09  carlmoore

	* [r56681] src/conv/g-acad.c:
	  add h? for help

2013-08-07 21:06  starseeker

	* [r56680] src/other/libgdiam/gdiam.hpp:
	  comparison was too small for the area calculation in Windows -
	  still have other issues, but at least avoids the crash...

2013-08-07 19:54  starseeker

	* [r56679] src/conv/step/ON_Brep.cpp:
	  Do the vector initializations in one step per Tom's suggestion.

2013-08-07 19:46  starseeker

	* [r56678] src/conv/step/ON_Brep.cpp:
	  Start working on bspline curves. Add control vertices.

2013-08-07 19:31  mohitdaga

	* [r56677] include/icv.h, src/libicv/decimate.c:
	  Add Doxygen Comments for icv_resize. Also do some code cleaning.

2013-08-07 18:40  starseeker

	* [r56676] src/conv/step/ON_Brep.cpp:
	  Output a 3D line

2013-08-07 17:39  erikgreenwald

	* [r56674] doc/burst/Funcs, doc/burst/abstract.mm,
	  doc/burst/bpl.tbl, doc/burst/burst.mm, doc/burst/cmap.tbl,
	  doc/burst/commands.tbl, doc/burst/defs.mm, doc/burst/fb.tbl,
	  doc/burst/hmkeys.tbl, doc/burst/ids.tbl,
	  doc/burst/introduction.mm, doc/burst/macros.mm,
	  doc/burst/outline.mm, doc/burst/overlap.tbl, doc/burst/plot.tbl,
	  doc/burst/screen.tbl, doc/burst/scrollmenu.tbl,
	  doc/burst/shotlines.tbl, doc/burst/submenu.tbl,
	  doc/burst/title.mm, doc/burst/topmenu.tbl, src/adrt/tienet.h,
	  src/conv/bot_dump.c,
	  src/external/ProEngineer/win32-msvc8/proe-brl-3.0/proe-brl-3.0.vcproj,
	  src/external/ProEngineer/win32-msvc8/proe-brl-4.0/proe-brl-4.0.vcproj,
	  src/external/ProEngineer/win32-msvc8/proe-brl-5.0/proe-brl-5.0.vcproj,
	  src/external/ProEngineer/win32-msvc8/proe/proe.sln,
	  src/libbrep/ssx_event.cpp, src/libged/simulate/simphysics.cpp,
	  src/libged/simulate/simulate.c, src/other/clipper/CMakeLists.txt,
	  src/other/lemon/CMakeLists.txt,
	  src/other/libgdiam/CMakeLists.txt,
	  src/other/libpng/libpng-config.in,
	  src/other/libpng/scripts/libpng-config-body.in,
	  src/other/libpng/scripts/pnglibconf.mak,
	  src/other/openNURBS/build_opennurbs_vs2010.sln,
	  src/other/openNURBS/build_opennurbs_xcode.xcworkspace/contents.xcworkspacedata,
	  src/other/openNURBS/example_brep/example_brep.vcxproj,
	  src/other/openNURBS/example_brep/example_brep.vcxproj.filters,
	  src/other/openNURBS/example_brep/example_brep.xcodeproj/project.pbxproj,
	  src/other/openNURBS/example_brep/example_brep.xcodeproj/project.xcworkspace/contents.xcworkspacedata,
	  src/other/openNURBS/example_read/example_read.vcxproj,
	  src/other/openNURBS/example_read/example_read.vcxproj.filters,
	  src/other/openNURBS/example_read/example_read.xcodeproj/project.pbxproj,
	  src/other/openNURBS/example_read/example_read.xcodeproj/project.xcworkspace/contents.xcworkspacedata,
	  src/other/openNURBS/example_roundtrip/example_roundtrip.vcxproj,
	  src/other/openNURBS/example_roundtrip/example_roundtrip.vcxproj.filters,
	  src/other/openNURBS/example_roundtrip/example_roundtrip.xcodeproj/project.pbxproj,
	  src/other/openNURBS/example_roundtrip/example_roundtrip.xcodeproj/project.xcworkspace/contents.xcworkspacedata,
	  src/other/openNURBS/example_userdata/example_userdata.vcxproj,
	  src/other/openNURBS/example_userdata/example_userdata.vcxproj.filters,
	  src/other/openNURBS/example_userdata/example_userdata.xcodeproj/project.pbxproj,
	  src/other/openNURBS/example_userdata/example_userdata.xcodeproj/project.xcworkspace/contents.xcworkspacedata,
	  src/other/openNURBS/example_write/example_write.vcxproj,
	  src/other/openNURBS/example_write/example_write.vcxproj.filters,
	  src/other/openNURBS/example_write/example_write.xcodeproj/project.pbxproj,
	  src/other/openNURBS/example_write/example_write.xcodeproj/project.xcworkspace/contents.xcworkspacedata,
	  src/other/openNURBS/opennurbs.vcxproj,
	  src/other/openNURBS/opennurbs.vcxproj.filters,
	  src/other/openNURBS/opennurbs_staticlib.vcxproj,
	  src/other/openNURBS/opennurbs_staticlib.vcxproj.filters,
	  src/other/poly2tri/CMakeLists.txt, src/other/re2c/CHANGELOG,
	  src/other/re2c/CMakeLists.txt, src/other/re2c/code.h,
	  src/other/re2c/code_names.h, src/other/re2c/config_w32.h.in,
	  src/other/re2c/configure.in,
	  src/other/re2c/lessons/001_upn_calculator/calc_001.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_001.re,
	  src/other/re2c/lessons/001_upn_calculator/calc_002.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_002.re,
	  src/other/re2c/lessons/001_upn_calculator/calc_003.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_003.re,
	  src/other/re2c/lessons/001_upn_calculator/calc_004.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_004.re,
	  src/other/re2c/lessons/001_upn_calculator/calc_005.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_005.re,
	  src/other/re2c/lessons/001_upn_calculator/calc_006.s.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_006.s.re,
	  src/other/re2c/lessons/001_upn_calculator/calc_007.b.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_007.b.re,
	  src/other/re2c/lessons/001_upn_calculator/calc_008.b.c,
	  src/other/re2c/lessons/001_upn_calculator/calc_008.b.re,
	  src/other/re2c/lessons/001_upn_calculator/readme.txt,
	  src/other/re2c/lessons/001_upn_calculator/windows/HiResTimer.h,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c-2005.sln,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c-2005.vcproj,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c.dsp,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c.dsw,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c.ncb,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c.sln,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c.suo,
	  src/other/re2c/lessons/001_upn_calculator/windows/TestRe2c.vcproj,
	  src/other/re2c/lessons/001_upn_calculator/windows/main.b.c,
	  src/other/re2c/lessons/001_upn_calculator/windows/main.b.re,
	  src/other/re2c/lessons/002_strip_comments/readme.txt,
	  src/other/re2c/lessons/002_strip_comments/strip_001.s.c,
	  src/other/re2c/lessons/002_strip_comments/strip_001.s.re,
	  src/other/re2c/lessons/002_strip_comments/strip_002.s.c,
	  src/other/re2c/lessons/002_strip_comments/strip_002.s.re,
	  src/other/re2c/lessons/002_strip_comments/strip_003.b.c,
	  src/other/re2c/lessons/002_strip_comments/strip_003.b.re,
	  src/other/re2c/lessons/readme.txt, src/other/re2c/mbo_getopt.cc,
	  src/other/re2c/mbo_getopt.h, src/other/re2c/run_tests.sh.in,
	  src/other/re2c/stream_lc.h, src/other/re2c/test/bug1054496.c,
	  src/other/re2c/test/bug1054496.re,
	  src/other/re2c/test/bug1163046.c,
	  src/other/re2c/test/bug1163046.re,
	  src/other/re2c/test/bug1187785.c,
	  src/other/re2c/test/bug1187785.re,
	  src/other/re2c/test/bug1297658.re,
	  src/other/re2c/test/bug1390174.c,
	  src/other/re2c/test/bug1390174.re,
	  src/other/re2c/test/bug1454253.c,
	  src/other/re2c/test/bug1454253.re,
	  src/other/re2c/test/bug1454253.s.c,
	  src/other/re2c/test/bug1454253.s.re,
	  src/other/re2c/test/bug1454253b.s.c,
	  src/other/re2c/test/bug1454253b.s.re,
	  src/other/re2c/test/bug1472770.b.c,
	  src/other/re2c/test/bug1472770.b.re,
	  src/other/re2c/test/bug1472770.c,
	  src/other/re2c/test/bug1472770.f.c,
	  src/other/re2c/test/bug1472770.f.re,
	  src/other/re2c/test/bug1472770.re,
	  src/other/re2c/test/bug1472770.s.c,
	  src/other/re2c/test/bug1472770.s.re,
	  src/other/re2c/test/bug1479044.b.c,
	  src/other/re2c/test/bug1479044.b.re,
	  src/other/re2c/test/bug1479044.c,
	  src/other/re2c/test/bug1479044.re,
	  src/other/re2c/test/bug1479044.s.c,
	  src/other/re2c/test/bug1479044.s.re,
	  src/other/re2c/test/bug1528269.c,
	  src/other/re2c/test/bug1528269.re,
	  src/other/re2c/test/bug1529351.c,
	  src/other/re2c/test/bug1682718.c,
	  src/other/re2c/test/bug1682718.is.c,
	  src/other/re2c/test/bug1682718.is.re,
	  src/other/re2c/test/bug1682718.re,
	  src/other/re2c/test/bug1708378.ib.c,
	  src/other/re2c/test/bug1708378.ib.re,
	  src/other/re2c/test/casing-flags.i--case-insensitive.c,
	  src/other/re2c/test/casing-flags.i--case-insensitive.re,
	  src/other/re2c/test/casing-flags.i--case-inverted.c,
	  src/other/re2c/test/casing-flags.i--case-inverted.re,
	  src/other/re2c/test/casing-flags.i.c,
	  src/other/re2c/test/casing-flags.i.re,
	  src/other/re2c/test/cond_error_00.c,
	  src/other/re2c/test/cond_error_00.re,
	  src/other/re2c/test/cond_error_01.c.c,
	  src/other/re2c/test/cond_error_01.c.re,
	  src/other/re2c/test/cond_error_02.c.c,
	  src/other/re2c/test/cond_error_02.c.re,
	  src/other/re2c/test/cond_error_03.c.c,
	  src/other/re2c/test/cond_error_03.c.re,
	  src/other/re2c/test/cond_error_04.c.c,
	  src/other/re2c/test/cond_error_04.c.re,
	  src/other/re2c/test/cond_error_05.c.c,
	  src/other/re2c/test/cond_error_05.c.re,
	  src/other/re2c/test/cond_error_06.c.c,
	  src/other/re2c/test/cond_error_06.c.re,
	  src/other/re2c/test/cond_error_07.c.c,
	  src/other/re2c/test/cond_error_07.c.re,
	  src/other/re2c/test/cond_error_08.c.c,
	  src/other/re2c/test/cond_error_08.c.re,
	  src/other/re2c/test/cond_error_09.c.c,
	  src/other/re2c/test/cond_error_09.c.re,
	  src/other/re2c/test/cond_error_10.c.c,
	  src/other/re2c/test/cond_error_10.c.re,
	  src/other/re2c/test/cond_error_11.c.c,
	  src/other/re2c/test/cond_error_11.c.re,
	  src/other/re2c/test/condition_01.c.c,
	  src/other/re2c/test/condition_01.c.re,
	  src/other/re2c/test/condition_01a.c.c,
	  src/other/re2c/test/condition_01a.c.re,
	  src/other/re2c/test/condition_01b.c.c,
	  src/other/re2c/test/condition_01b.c.re,
	  src/other/re2c/test/condition_02.c.c,
	  src/other/re2c/test/condition_02.c.re,
	  src/other/re2c/test/condition_02.cg.c,
	  src/other/re2c/test/condition_02.cg.re,
	  src/other/re2c/test/condition_03.cg.c,
	  src/other/re2c/test/condition_03.cg.re,
	  src/other/re2c/test/condition_04.cg.c,
	  src/other/re2c/test/condition_04.cg.re,
	  src/other/re2c/test/condition_05.cg.c,
	  src/other/re2c/test/condition_05.cg.re,
	  src/other/re2c/test/condition_05.cgitcondition_05.cgit.h.c,
	  src/other/re2c/test/condition_05.cgitcondition_05.cgit.h.h,
	  src/other/re2c/test/condition_05.cgitcondition_05.cgit.h.re,
	  src/other/re2c/test/condition_05.cgtcondition_05.cgt.h.c,
	  src/other/re2c/test/condition_05.cgtcondition_05.cgt.h.h,
	  src/other/re2c/test/condition_05.cgtcondition_05.cgt.h.re,
	  src/other/re2c/test/condition_05.cs.c,
	  src/other/re2c/test/condition_05.cs.re,
	  src/other/re2c/test/condition_06.cs.c,
	  src/other/re2c/test/condition_06.cs.re,
	  src/other/re2c/test/condition_07.cbi.c,
	  src/other/re2c/test/condition_07.cbi.re,
	  src/other/re2c/test/condition_08.cbi.c,
	  src/other/re2c/test/condition_08.cbi.re,
	  src/other/re2c/test/condition_08.cbif.c,
	  src/other/re2c/test/condition_08.cbif.re,
	  src/other/re2c/test/condition_09.cbif.c,
	  src/other/re2c/test/condition_09.cbif.re,
	  src/other/re2c/test/condition_09.cgif.c,
	  src/other/re2c/test/condition_09.cgif.re,
	  src/other/re2c/test/condition_10.cgif.c,
	  src/other/re2c/test/condition_10.cgif.re,
	  src/other/re2c/test/condition_11.cg.c,
	  src/other/re2c/test/condition_11.cg.re,
	  src/other/re2c/test/condition_12.cgif.c,
	  src/other/re2c/test/condition_12.cgif.re,
	  src/other/re2c/test/condition_13.cg.c,
	  src/other/re2c/test/condition_13.cg.re,
	  src/other/re2c/test/condition_14.cbif.re,
	  src/other/re2c/test/condition_14.cgif.c,
	  src/other/re2c/test/condition_14.cgif.re,
	  src/other/re2c/test/condition_14.cif.re,
	  src/other/re2c/test/condition_14.csif.re,
	  src/other/re2c/test/condition_15.csif.c,
	  src/other/re2c/test/condition_15.csif.re,
	  src/other/re2c/test/config1.c, src/other/re2c/test/config1.re,
	  src/other/re2c/test/config10.c, src/other/re2c/test/config10.re,
	  src/other/re2c/test/config2.s.c,
	  src/other/re2c/test/config2.s.re, src/other/re2c/test/config3.c,
	  src/other/re2c/test/config3.re, src/other/re2c/test/config4a.f.c,
	  src/other/re2c/test/config4a.f.re,
	  src/other/re2c/test/config4b.f.c,
	  src/other/re2c/test/config4b.f.re,
	  src/other/re2c/test/config4c.f.c,
	  src/other/re2c/test/config4c.f.re,
	  src/other/re2c/test/config4d.f.c,
	  src/other/re2c/test/config4d.f.re,
	  src/other/re2c/test/config4e.f.c,
	  src/other/re2c/test/config4e.f.re,
	  src/other/re2c/test/config4f.f.c,
	  src/other/re2c/test/config4f.f.re,
	  src/other/re2c/test/config4g.ifs.c,
	  src/other/re2c/test/config4g.ifs.re,
	  src/other/re2c/test/config5.c, src/other/re2c/test/config5.re,
	  src/other/re2c/test/config6.c, src/other/re2c/test/config6.re,
	  src/other/re2c/test/config7a.g.c,
	  src/other/re2c/test/config7a.g.re,
	  src/other/re2c/test/config7b.g.c,
	  src/other/re2c/test/config7b.g.re, src/other/re2c/test/config8.c,
	  src/other/re2c/test/config8.re, src/other/re2c/test/config9.b.c,
	  src/other/re2c/test/config9.b.re, src/other/re2c/test/ctx.b.c,
	  src/other/re2c/test/ctx.b.re, src/other/re2c/test/ctx.c,
	  src/other/re2c/test/ctx.re, src/other/re2c/test/ctx.s.c,
	  src/other/re2c/test/ctx.s.re, src/other/re2c/test/cvsignore.b.c,
	  src/other/re2c/test/cvsignore.b.re,
	  src/other/re2c/test/cvsignore.c,
	  src/other/re2c/test/cvsignore.re,
	  src/other/re2c/test/cvsignore.s.c,
	  src/other/re2c/test/cvsignore.s.re,
	  src/other/re2c/test/cvsignore.u.c,
	  src/other/re2c/test/cvsignore.u.re,
	  src/other/re2c/test/cvsignore.ub.c,
	  src/other/re2c/test/cvsignore.ub.re,
	  src/other/re2c/test/cvsignore.w.c,
	  src/other/re2c/test/cvsignore.w.re,
	  src/other/re2c/test/cvsignore.wb.c,
	  src/other/re2c/test/cvsignore.wb.re,
	  src/other/re2c/test/error1.c, src/other/re2c/test/error1.re,
	  src/other/re2c/test/error10.c, src/other/re2c/test/error10.re,
	  src/other/re2c/test/error11.c, src/other/re2c/test/error11.re,
	  src/other/re2c/test/error12.c, src/other/re2c/test/error12.re,
	  src/other/re2c/test/error13.1.c,
	  src/other/re2c/test/error13.1.re, src/other/re2c/test/error13.c,
	  src/other/re2c/test/error13.re, src/other/re2c/test/error14.1.c,
	  src/other/re2c/test/error14.1.re, src/other/re2c/test/error14.c,
	  src/other/re2c/test/error14.re, src/other/re2c/test/error2.c,
	  src/other/re2c/test/error2.re, src/other/re2c/test/error3.c,
	  src/other/re2c/test/error3.re, src/other/re2c/test/error4.c,
	  src/other/re2c/test/error4.re, src/other/re2c/test/error5.c,
	  src/other/re2c/test/error5.re, src/other/re2c/test/error6.c,
	  src/other/re2c/test/error6.re, src/other/re2c/test/error7.c,
	  src/other/re2c/test/error7.re, src/other/re2c/test/error8.c,
	  src/other/re2c/test/error8.re, src/other/re2c/test/error9.c,
	  src/other/re2c/test/error9.re, src/other/re2c/test/flex-01.i.c,
	  src/other/re2c/test/flex-01.i.re,
	  src/other/re2c/test/flex-01.iF.c,
	  src/other/re2c/test/flex-01.iF.re,
	  src/other/re2c/test/input10.b.c,
	  src/other/re2c/test/input10.b.re, src/other/re2c/test/input10.c,
	  src/other/re2c/test/input10.re, src/other/re2c/test/input10.s.c,
	  src/other/re2c/test/input10.s.re,
	  src/other/re2c/test/input11.b.c,
	  src/other/re2c/test/input11.b.re, src/other/re2c/test/input11.c,
	  src/other/re2c/test/input11.i.c,
	  src/other/re2c/test/input11.i.re, src/other/re2c/test/input11.re,
	  src/other/re2c/test/input11.s.c,
	  src/other/re2c/test/input11.s.re,
	  src/other/re2c/test/input12.boinput12.c.c,
	  src/other/re2c/test/input12.boinput12.c.re,
	  src/other/re2c/test/input12.oinput12.c.c,
	  src/other/re2c/test/input12.oinput12.c.re,
	  src/other/re2c/test/input13.c, src/other/re2c/test/input13.re,
	  src/other/re2c/test/input4.c, src/other/re2c/test/input4.re,
	  src/other/re2c/test/input5.c, src/other/re2c/test/input5.re,
	  src/other/re2c/test/input6.c, src/other/re2c/test/input6.re,
	  src/other/re2c/test/input7.c, src/other/re2c/test/input7.re,
	  src/other/re2c/test/input8.b.c, src/other/re2c/test/input8.b.re,
	  src/other/re2c/test/input8.c, src/other/re2c/test/input8.g.c,
	  src/other/re2c/test/input8.g.re, src/other/re2c/test/input8.re,
	  src/other/re2c/test/input9.c, src/other/re2c/test/input9.re,
	  src/other/re2c/test/line-01.c, src/other/re2c/test/line-01.re,
	  src/other/re2c/test/overflow-1.c,
	  src/other/re2c/test/overflow-1.re,
	  src/other/re2c/test/overflow-2.c,
	  src/other/re2c/test/overflow-2.re,
	  src/other/re2c/test/overflow-3.c,
	  src/other/re2c/test/overflow-3.re,
	  src/other/re2c/test/overflow-4.c,
	  src/other/re2c/test/overflow-4.re,
	  src/other/re2c/test/parse_date.b.c,
	  src/other/re2c/test/parse_date.b.re,
	  src/other/re2c/test/parse_date.c,
	  src/other/re2c/test/parse_date.db.c,
	  src/other/re2c/test/parse_date.db.re,
	  src/other/re2c/test/parse_date.g.c,
	  src/other/re2c/test/parse_date.g.re,
	  src/other/re2c/test/parse_date.re,
	  src/other/re2c/test/parse_date.s.c,
	  src/other/re2c/test/parse_date.s.re,
	  src/other/re2c/test/parse_date_1_78.db.c,
	  src/other/re2c/test/parse_date_1_78.db.re,
	  src/other/re2c/test/push.c, src/other/re2c/test/push.f.c,
	  src/other/re2c/test/push.f.re, src/other/re2c/test/push.fb.c,
	  src/other/re2c/test/push.fb.re, src/other/re2c/test/push.fg.c,
	  src/other/re2c/test/push.fg.re, src/other/re2c/test/push.fs.c,
	  src/other/re2c/test/push.fs.re, src/other/re2c/test/push.re,
	  src/other/re2c/test/repeat-00.cgi.c,
	  src/other/re2c/test/repeat-00.cgi.re,
	  src/other/re2c/test/repeat-01.cgir.c,
	  src/other/re2c/test/repeat-01.cgir.re,
	  src/other/re2c/test/repeat-02.cgir.c,
	  src/other/re2c/test/repeat-02.cgir.re,
	  src/other/re2c/test/repeat-03.cgir.c,
	  src/other/re2c/test/repeat-03.cgir.re,
	  src/other/re2c/test/repeat-04.cgir.c,
	  src/other/re2c/test/repeat-04.cgir.re,
	  src/other/re2c/test/repeat-05.cgir.c,
	  src/other/re2c/test/repeat-05.cgir.re,
	  src/other/re2c/test/repeat-06.gir.c,
	  src/other/re2c/test/repeat-06.gir.re,
	  src/other/re2c/test/repeat-07.gir.c,
	  src/other/re2c/test/repeat-07.gir.re,
	  src/other/re2c/test/scanner.fs.c,
	  src/other/re2c/test/scanner.fs.re,
	  src/other/re2c/test/scanner.s.c,
	  src/other/re2c/test/scanner.s.re,
	  src/other/re2c/test/yyaccept_missing.bci.c,
	  src/other/re2c/test/yyaccept_missing.bci.re,
	  src/other/sqlite3/CMakeLists.txt,
	  src/other/sqlite3/tcl/CMakeLists.txt,
	  src/other/tcl/library/tzdata/Africa/Asmara,
	  src/other/tcl/library/tzdata/America/Atikokan,
	  src/other/tcl/library/tzdata/America/Blanc-Sablon,
	  src/other/tcl/library/tzdata/America/Indiana/Petersburg,
	  src/other/tcl/library/tzdata/America/Indiana/Tell_City,
	  src/other/tcl/library/tzdata/America/Indiana/Vincennes,
	  src/other/tcl/library/tzdata/America/Indiana/Winamac,
	  src/other/tcl/library/tzdata/America/Moncton,
	  src/other/tcl/library/tzdata/America/North_Dakota/New_Salem,
	  src/other/tcl/library/tzdata/America/Resolute,
	  src/other/tcl/library/tzdata/Atlantic/Faroe,
	  src/other/tcl/library/tzdata/Australia/Eucla,
	  src/other/tcl/library/tzdata/Europe/Guernsey,
	  src/other/tcl/library/tzdata/Europe/Isle_of_Man,
	  src/other/tcl/library/tzdata/Europe/Jersey,
	  src/other/tcl/library/tzdata/Europe/Podgorica,
	  src/other/tcl/library/tzdata/Europe/Volgograd,
	  src/other/tktable/aclocal.m4,
	  src/other/tktable/demos/tcllogo.gif,
	  src/other/tktable/doc/tkTable.n,
	  src/other/xmltools/CMakeLists.txt,
	  src/other/xmltools/libexslt/CMakeLists.txt,
	  src/other/xmltools/libxml/CMakeLists.txt,
	  src/other/xmltools/libxslt/CMakeLists.txt:
	  remove some svn:executable props

2013-08-07 17:06  erikgreenwald

	* [r56672] src/adrt/isst, src/adrt/isst_tcltk.c:
	  add cut

2013-08-07 16:44  tbrowder2

	* [r56671] misc/CMakeLists.txt, misc/auto-man-page/CMakeLists.txt:
	  make auto-man-page a first class dir, but ignore everything there
	  for now

2013-08-07 16:37  mohitdaga

	* [r56670] include/icv.h, src/libicv/decimate.c:
	  Add wraper function for icv_resize(..). Also do data validation
	  in private functions for resize.

2013-08-07 16:33  phoenixyjll

	* [r56669] src/libbrep/boolean.cpp:
	  Rename shadowed variable.

2013-08-07 15:47  starseeker

	* [r56668] src/conv/step/ON_Brep.cpp:
	  Tweaks, start figuring out how to get at and format curve
	  information

2013-08-07 15:16  erikgreenwald

	* [r56667] src/adrt/librender/camera.c:
	  some formatting cleanup

2013-08-07 15:11  n_reed

	* [r56666] misc/CMakeLists.txt:
	  ignore auto-man-page files

2013-08-07 14:48  carlmoore

	* [r56665] src/libbrep/boolean.cpp:
	  fix spelling and word usage

2013-08-07 14:28  carlmoore

	* [r56664] src/conv/fast4-g.c, src/conv/step/g-step.cpp,
	  src/librt/primitives/hrt/hrt.c:
	  remove trailing blanks

2013-08-07 14:04  phoenixyjll

	* [r56663] src/libbrep/boolean.cpp:
	  Remove the duplicated first segment at last before we generate
	  the rest sub-face. And output some debug info for the surface
	  splitting result.

2013-08-07 13:40  phoenixyjll

	* [r56662] src/libbrep/boolean.cpp:
	  Use a more robust method to determine curves[i] is inside the
	  outer loop or not.

2013-08-07 13:21  tbrowder2

	* [r56661] misc/auto-man-page/README.auto-man-page-handling:
	  move 'purpose' to a comment to avoid 'unused variable' warnings

2013-08-07 12:11  phoenixyjll

	* [r56660] src/libbrep/boolean.cpp:
	  Split() might fail if t is on the domain borders, causing
	  curve_on_loop == NULL, and we don't need to append it.

2013-08-07 12:10  tbrowder2

	* [r56659] misc/auto-man-page/auto-man-progs.txt:
	  add list of progs for processing

2013-08-07 12:04  phoenixyjll

	* [r56658] src/libbrep/boolean.cpp:
	  A trimmed face may have multiple inner loops (to be consistent
	  with openNURBS).

2013-08-07 11:58  tbrowder2

	* [r56657] misc/auto-man-page,
	  misc/auto-man-page/README.auto-man-page-handling:
	  add a dir for a sandbox for auto-generating man pages

2013-08-07 04:24  phoenixyjll

	* [r56656] src/libbrep/boolean.cpp:
	  The last point and the first point may form a patition. And
	  append the remaining trimmed face to the output.

2013-08-07 02:22  phoenixyjll

	* [r56655] src/libbrep/intersect.cpp:
	  The result after the Newton iterations might be nan.

2013-08-07 00:58  starseeker

	* [r56654] src/other/libgdiam/gdiam.cpp:
	  tweak

2013-08-07 00:57  starseeker

	* [r56653] src/other/libgdiam/gdiam.cpp:
	  Add a local wrapper around the test logic that lets us explicitly
	  test strict weak ordering.

2013-08-07 00:43  starseeker

	* [r56652] src/other/libgdiam/CMakeLists.txt:
	  Done with Wall (for now)

2013-08-07 00:43  starseeker

	* [r56651] src/other/libgdiam/CMakeLists.txt,
	  src/other/libgdiam/gdiam.cpp:
	  Clear more exact floating point comparison warnings and some
	  unused variable warnings.

2013-08-06 23:47  erikgreenwald

	* [r56650] src/librt/primitives/table.c:
	  revert 56647

2013-08-06 23:46  erikgreenwald

	* [r56649] src/librt/CMakeLists.txt:
	  add hrt

2013-08-06 22:04  carlmoore

	* [r56648] src/conv/dxf/g-dxf.c:
	  implement h?, and also put P into the usage statement

2013-08-06 21:26  starseeker

	* [r56647] src/librt/primitives/table.c:
	  Turn off the hrt definition in table.c - causing undefined
	  reference errors?

2013-08-06 21:15  starseeker

	* [r56646] src/other/libgdiam/gdiam.cpp:
	  Try a few robustness tweaks, but the C++ < sort still isn't
	  happy.

2013-08-06 20:41  starseeker

	* [r56645] src/other/libgdiam/gdiam.cpp:
	  Try a zero clamping to see if it helps with ordering sensitivity
	  in the results.

2013-08-06 20:38  starseeker

	* [r56644] src/other/libgdiam/gdiam.hpp:
	  Clear the warnings about floating point comparisons from
	  gdiam.hpp

2013-08-06 20:09  erikgreenwald

	* [r56643] src/librt/primitives/hrt/hrt.c:
	  update copyright line, this did not exist in 1985

2013-08-06 20:08  erikgreenwald

	* [r56642] src/librt/primitives/hrt,
	  src/librt/primitives/hrt/hrt.c, src/librt/primitives/table.c:
	  apply patch 228 from Izak

2013-08-06 19:27  r_weiss

	* [r56641] src/conv/fast4-g.c:
	  Fixed a bug in the fast4-g converter where memory was corrupted
	  when the group_head list became larger than its allocated size.
	  Changed the code to allow the group_head list to grow
	  dynamically.

2013-08-06 19:20  brlcad

	* [r56640] src/libbn/tests/bn_poly_scale.c:
	  spoke a little too soon, few more style errors to fix

2013-08-06 19:16  brlcad

	* [r56639] src/libbn/tests/bn_poly_scale.c:
	  reduce scope of input/output to static as a stop-gap. desirable
	  to minimize/eliminate globals. also fix unreachable code
	  condition.

2013-08-06 19:12  brlcad

	* [r56638] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_scale.c:
	  woot! looks like 10th time is the charm. accept sf patch 222 from
	  Ch3ck which adds a unit test for bn_poly_scale().

2013-08-06 18:47  brlcad

	* [r56637] HACKING:
	  add a visual example of the indentation style

2013-08-06 18:35  n_reed

	* [r56635] src/librt/primitives/brep/brep.cpp:
	  remove debug prints

2013-08-06 18:02  phoenixyjll

	* [r56634] src/libbrep/boolean.cpp:
	  Use an enum to improve readablity of m_in_out. And append the
	  faces to out.

2013-08-06 17:49  starseeker

	* [r56633] src/conv/step/CMakeLists.txt, src/conv/step/ON_Brep.cpp,
	  src/conv/step/ON_Brep.h, src/conv/step/g-step.cpp:
	  First successful generation of STEP formatted content containing
	  data from an ON_Brep.

2013-08-06 17:43  phoenixyjll

	* [r56632] src/libbrep/boolean.cpp:
	  The type of the params should be double, not int. And fix a wrong
	  variable used (brepA => brep).

2013-08-06 17:37  n_reed

	* [r56631] include/brep.h:
	  use javadoc style in comments

2013-08-06 16:28  phoenixyjll

	* [r56630] src/libbrep/boolean.cpp:
	  Should not delete c3d as it's used in GetNurbForm() followed.

2013-08-06 16:25  carlmoore

	* [r56629] src/conv/g-dot.c:
	  remove H, and simplify output of usage

2013-08-06 16:08  phoenixyjll

	* [r56628] src/libbrep/boolean.cpp:
	  Rename shadowed variable.

2013-08-06 15:41  phoenixyjll

	* [r56627] src/libbrep/boolean.cpp:
	  Use ON_Curve rather than ON_NurbsCurve for better generality. And
	  don't always assume that the curves are all polyline curves.

2013-08-06 15:33  phoenixyjll

	* [r56626] include/brep.h, src/libbrep/intersect.cpp:
	  Make sub_curve() a global export function, and mark all other
	  functions that should be only used within intersect.cpp with
	  HIDDEN.

2013-08-06 15:11  mohitdaga

	* [r56625] src/libicv/bw.c, src/libicv/decimate.c,
	  src/libicv/encoding.c, src/libicv/pix.c:
	  Trailing WS

2013-08-06 15:07  mohitdaga

	* [r56624] src/libicv/bw.c, src/libicv/decimate.c,
	  src/libicv/encoding.c, src/libicv/filter.c,
	  src/libicv/operations.c, src/libicv/pix.c, src/libicv/stat.c:
	  Cleaning Stylistic WhiteSpaces

2013-08-06 13:48  mohitdaga

	* [r56621] src/libicv/decimate.c:
	  WS

2013-08-06 13:46  mohitdaga

	* [r56620] src/libicv/color_space.c, src/libicv/decimate.c:
	  Add proper spacing in declaration of the variables.

2013-08-06 13:11  carlmoore

	* [r56619] src/libbn/plot3.c, src/libdm/dm-qt.cpp,
	  src/mged/dm-qt.c:
	  remove trailing blanks/tabs

2013-08-06 12:34  brlcad

	* [r56617] src/libbu/tests/bu_semaphore.c:
	  getopt returns an int, otherwise this can be an infinite loop.

2013-08-06 03:20  brlcad

	* [r56616] src/libbn/plot3.c:
	  stray '}' in the patch...kesha

2013-08-06 03:19  brlcad

	* [r56615] src/tclscripts/mged/bindings.tcl,
	  src/tclscripts/mged/openw.tcl:
	  accept sf patch #193 from Emory Huff which provides a new 'c'
	  keybinding on the graphics window that brings the command window
	  back. right now, assumes id_0 exists and is the command window we
	  want to restore which means we'll get an error if id_0 was
	  destroyed.

2013-08-06 02:48  brlcad

	* [r56614] src/libbn/plot3.c:
	  apply kesha's sf patch #165 that performs a code reduction in
	  libbn's plot inteface code. 70 line reduction overall. looks
	  good.

2013-08-06 02:25  brlcad

	* [r56613] src/libicv/filter.c:
	  style spacing, function, and comment consistency cleanup

2013-08-06 02:17  starseeker

	* [r56612] src/other/libgdiam/gdiam.cpp:
	  Take another stab at ensuring (!(a < b) && (b < a)) for the gdiam
	  comparison operator...)

2013-08-06 01:40  starseeker

	* [r56611] src/other/libgdiam/gdiam.cpp:
	  Doesn't logically change behavior.

2013-08-06 01:22  starseeker

	* [r56610] src/other/libgdiam/gdiam.cpp:
	  C++ comparison operators are supposed to satisfy the strict weak
	  ordering property, and MSVC seems to think this function doesn't.
	  This might be one reason - return false if the lengths end up
	  being equal.

2013-08-05 22:54  brlcad

	* [r56609] NEWS:
	  richard improved the fast4-g importer in r56495 to skip blank
	  lines

2013-08-05 22:24  starseeker

	* [r56608] src/other/libgdiam/CMakeLists.txt,
	  src/other/libgdiam/gdiam.cpp, src/other/libgdiam/gdiam.hpp:
	  Closer - buildings with MSVC, but the obb operation crashes with
	  an error having to do with a sort call using a CompareByAngles
	  comparison - Expression: invalid operator<

2013-08-05 22:13  brlcad

	* [r56607] src/util/bwshrink.c:
	  calling bu_free() after malloc() is wrong, but we should be
	  calling bu_malloc() so do that instead. added some basic input
	  sanity checking.

2013-08-05 22:03  starseeker

	* [r56606] src/other/libgdiam/gdiam.hpp:
	  Just use the std min and max...

2013-08-05 21:40  vladbogo

	* [r56605] src/mged/mged.c:
	  If the qt display manager is enabled, check for events
	  non-blocking.

2013-08-05 21:19  vladbogo

	* [r56604] src/mged/dm-qt.c:
	  Implemented and added the cmd_hook to the display manager.

2013-08-05 21:12  vladbogo

	* [r56603] src/libdm/dm-qt.cpp:
	  Removed debug info.

2013-08-05 21:11  vladbogo

	* [r56602] src/mged/dm-qt.c:
	  Implemented the qt_doevent function.

2013-08-05 21:00  vladbogo

	* [r56601] include/dm-qt.h, src/libdm/dm-qt.cpp:
	  Send Tk button press events when Qt mouse events occur.

2013-08-05 20:40  vladbogo

	* [r56600] src/mged/mged.c:
	  Force POSIX locale only after the display manager is opened so
	  that the changes take effect.

2013-08-05 20:36  starseeker

	* [r56599] src/other/libgdiam/CMakeLists.txt:
	  Copy/paste strikes again.

2013-08-05 20:13  starseeker

	* [r56598] src/librt/CMakeLists.txt,
	  src/other/libgdiam/CMakeLists.txt, src/other/libgdiam/gdiam.hpp:
	  Untested, and almost certainly not right yet, but start working
	  on the Windows DLL logic for gdiam.

2013-08-05 20:01  brlcad

	* [r56596] src/mged/mged.c:
	  force POSIX locale since our tcl script infrastructure expects
	  it. we could get away with just performing locale restrictions
	  within the tcl callback functions, but right now that is several
	  hundred potential functions where we'd be introducing redundant
	  code. another possibility might be to introduce a tcl command
	  like 'zoom [clocale 0.5]' so the scripts themselves become aware,
	  and that would probably be best and a lot of work.

2013-08-05 19:57  brlcad

	* [r56595] src/mged/chgview.c:
	  test yer compiles igit

2013-08-05 19:46  carlmoore

	* [r56594] doc/docbook/system/man1/en/g-acad.xml,
	  src/conv/g-acad.c:
	  disuss the -P option, implement 'RTD.debug =

2013-08-05 19:34  brlcad

	* [r56593] src/mged/chgview.c:
	  avoid propagating a zero zoom to libged

2013-08-05 19:32  brlcad

	* [r56592] src/mged/chgview.c:
	  make sure the zoom string is sane so we don't propagate a zero

2013-08-05 17:27  starseeker

	* [r56588] src/conv/step/ON_Brep.cpp:
	  Stray comma (thanks Sean)

2013-08-05 17:23  ejno

	* [r56587] src/libbu/tests/CMakeLists.txt,
	  src/libbu/tests/bu_semaphore.c:
	  add a test of libbu semaphore locking

2013-08-05 16:12  starseeker

	* [r56585] src/conv/step/g-step.cpp:
	  whoop, committed too many files

2013-08-05 16:05  starseeker

	* [r56584] src/conv/step/ON_Brep.cpp, src/conv/step/g-step.cpp:
	  note that STEPentity == SDAI_Application_instance

2013-08-05 15:36  mohitdaga

	* [r56583] src/libicv/decimate.c:
	  fix extra identifier in the line.

2013-08-05 15:35  tbrowder2

	* [r56582] src/conv/jack/g-jack.c, src/sig/c-d.c, src/sig/d-a.c,
	  src/sig/ddisp.c, src/sig/dfft.c, src/sig/dpeak.c, src/sig/dwin.c,
	  src/sig/ihist.c, src/util/fix_polysolids.c, src/util/pixcount.c,
	  src/util/plot3stat.c:
	  standardize usage strings for man-pageless progs; add optstring
	  var for bu_getopts

2013-08-05 14:53  starseeker

	* [r56581] src/other/libgdiam.dist:
	  Add distcheck file for gdiam

2013-08-05 14:47  carlmoore

	* [r56580] src/libbrep/intersect.cpp:
	  OK, fixed 'minimum' spelling (although intersect.cpp got other,
	  unrelated warning messages); did not find 'mininum' misspelling
	  anywhere else

2013-08-05 14:07  carlmoore

	* [r56579] include/icv.h, include/raytrace.h,
	  src/libbn/tests/bn_poly_multiply.c, src/libbrep/intersect.cpp:
	  fix spelling, and make about 2 other minor changes

2013-08-05 13:56  mohitdaga

	* [r56578] include/icv.h, src/libicv/encoding.c,
	  src/libicv/fileformat.c:
	  Add ICV_CONV_8BIT macro for encoding conversions. This macro
	  converts the 8bit pixel values to icv data type(double). Later we
	  can have similar macros for higher resolution of images. For eg
	  ICV_CONV_16BIT.

2013-08-05 13:53  phoenixyjll

	* [r56577] src/libbrep/boolean.cpp:
	  curve_st should be the curves in surfaceB's domain.

2013-08-05 13:41  phoenixyjll

	* [r56576] src/libged/bb.c, src/libged/comb.c:
	  The C compiler in MSVC seems to require all declarations appear
	  first.

2013-08-05 13:05  phoenixyjll

	* [r56575] src/librt/primitives/bot/bot_oriented_bbox.cpp:
	  Eliminate compiler warnings.

2013-08-05 13:04  phoenixyjll

	* [r56574] src/libbrep/boolean.cpp:
	  ws.

2013-08-05 12:50  phoenixyjll

	* [r56573] include/brep.h, src/libbrep/CMakeLists.txt,
	  src/libbrep/boolean.cpp, src/librt/primitives/brep/brep.cpp:
	  Start to work on evaluating NURBS booleans. Move the code working
	  with NURBS booleans in librt to libbrep.

2013-08-05 07:16  brlcad

	* [r56572] NEWS:
	  Added -o option to bb bounding box command - provides an oriented
	  bounding box rather than the default axis-aligned bounding box.
	  (comment was spot on, actual line was not past tense consistent)

2013-08-05 07:10  brlcad

	* [r56571] src/librt/primitives/tgc/tgc.c:
	  getting late, extra curlie

2013-08-05 07:09  brlcad

	* [r56570] src/librt/primitives/tgc/tgc.c:
	  save the file first, endif too

2013-08-05 07:08  brlcad

	* [r56569] src/librt/primitives/tgc/tgc.c:
	  re-enable tgc reporting of non-paired grazing hits, but only for
	  the first 100 cases. intentionally making no attempt to be
	  thread-safe in the book-keeping here because it doesn't matter.
	  just need some upper limit.

2013-08-05 07:07  brlcad

	* [r56568] src/librt/primitives/pipe/pipe.c:
	  no longer too much for mged to display

2013-08-05 07:06  brlcad

	* [r56567] src/librt/primitives/hf/hf.c:
	  remove if 1 wrapping

2013-08-05 07:01  brlcad

	* [r56566] src/librt/primitives/nmg/nmg_misc.c,
	  src/librt/primitives/nmg/nmg_mod.c,
	  src/librt/primitives/nmg/nmg_tri.c:
	  another 1057 lines gone, remove libnmg dead code

2013-08-05 06:54  brlcad

	* [r56565] src/librt/primitives/nmg/nmg_inter.c:
	  three more dead code functions from nmg, though two are
	  relatively recent and may need revisiting at some point later.

2013-08-05 06:24  starseeker

	* [r56564] include/raytrace.h:
	  Commit proposed new librt database search API function
	  declaration and design notes - not implemented as yet, needs more
	  thought/discussion

2013-08-05 06:19  starseeker

	* [r56563] src/librt/primitives/bot/bot_oriented_bbox.cpp:
	  Ah, right - don't need xyz vars any more.

2013-08-05 06:16  brlcad

	* [r56562] src/proc-db/masonry.c:
	  vert_bricks unused, warning didn't issue locally but clearly
	  there.

2013-08-05 05:44  starseeker

	* [r56561] NEWS:
	  Added -o option to bb bounding box command - provides an oriented
	  bounding box rather than the default axis-aligned bounding box.

2013-08-05 05:33  brlcad

	* [r56560] src/librt/primitives/nmg/nmg_fcut.c:
	  remove three dead and long-unused functions that have been under
	  if 0 wrappage: nmg_insert_vu_if_on_edge(), nmg_face_combineX(),
	  and nmg_face_next_vu_interval(). they even seem
	  interesting/complete, but are not integrated, easily tested, or
	  fully understood so remove the burden. nmg has enough complexity
	  without retaining some for reference.

2013-08-05 05:31  brlcad

	* [r56559] src/librt/primitives/nmg/nmg_ck.c:
	  need the return statement, pull ifndef up

2013-08-05 05:04  brlcad

	* [r56558] src/librt/primitives/nmg/nmg_ck.c:
	  substantial implementation, but hasn't been active in a crazy
	  long time. still keep with the relevant comments.

2013-08-05 04:36  brlcad

	* [r56557] src/librt/primitives/ebm/ebm.c,
	  src/librt/primitives/ehy/ehy.c, src/librt/primitives/ell/ell.c:
	  more dead code elimination

2013-08-05 04:22  brlcad

	* [r56556] src/librt/cut.c, src/librt/primitives/arb8/arb8.c:
	  remove dead code

2013-08-05 04:21  brlcad

	* [r56555] src/librt/primitives/bot/bot_wireframe.cpp:
	  this looks interesting/significant but no indication as to why
	  it's if 0'd, so trimming it away. easy to revert if needed.

2013-08-05 04:20  brlcad

	* [r56554] src/librt/primitives/brep/brep.cpp,
	  src/librt/primitives/brep/brep_debug.cpp:
	  normally might convert this to some #ifdev USE_* or DEBUG_*
	  wrapping, but it's really a substantial amount of debug printing
	  code... can revert if this is actively being used.

2013-08-05 04:10  brlcad

	* [r56553] src/sig/dfft.c:
	  eliminate dead code

2013-08-05 04:09  brlcad

	* [r56552] src/rttherm/pixtest.c, src/rttherm/spectrum.c:
	  remove dead code

2013-08-05 04:05  brlcad

	* [r56551] src/rt/view.c:
	  document why this block is retained. draws pretty status line
	  during ray tracing.

2013-08-05 04:03  mohitdaga

	* [r56550] src/libicv/operations.c:
	  Improve Bitwise operations in libicv/operations

2013-08-05 04:02  brlcad

	* [r56549] src/rt/opt.c:
	  need a way to run-time toggle between different spatial
	  partitioning methods (including an 'off' method).

2013-08-05 04:00  brlcad

	* [r56548] src/rt/do.c:
	  took me a while to get why mike added this snippet, but it's
	  basically an example of how (via code) to reverse construct the
	  model2view matrix from the information output to the rt log. keep
	  it for reference, but make it code comment documentation instead
	  of dead code.

2013-08-05 03:46  brlcad

	* [r56547] src/proc-db/molecule.c:
	  reduce to something in-between just to avoid preprocessor dead
	  code. factor needs to be configurable or auto-set.

2013-08-05 03:44  brlcad

	* [r56546] src/proc-db/torii.c:
	  fix an index bug in the dynamic recursion, add a note to actually
	  make the tool output (there was logic implemented for this
	  somewhere...)

2013-08-05 03:07  phoenixyjll

	* [r56545] src/libbrep/intersect.cpp:
	  ws

2013-08-05 02:45  brlcad

	* [r56544] src/proc-db/breplicator.cpp:
	  elimiate dead code

2013-08-05 02:44  brlcad

	* [r56543] src/proc-db/masonry.c:
	  enable the large portions of dead code for the mortar_brick() and
	  brick() routines, just print a loud warning to say they're
	  untested.

2013-08-05 02:22  starseeker

	* [r56542] INSTALL, configure, doc/docbook/system/mann/en/bb.xml,
	  include/raytrace.h, src/libged/bb.c, src/librt/CMakeLists.txt,
	  src/librt/primitives/bot/bot_oriented_bbox.cpp,
	  src/librt/primitives/table.c, src/other/CMakeLists.txt,
	  src/other/libgdiam, src/other/libgdiam/CMakeLists.txt,
	  src/other/libgdiam/LICENSE.GPL2,
	  src/other/libgdiam/LICENSE.LGPL21, src/other/libgdiam/README,
	  src/other/libgdiam/gdiam.cpp, src/other/libgdiam/gdiam.hpp,
	  src/other/libgdiam/gdiam_test.cpp:
	  Add a -o option to the bb command for generating oriented
	  bounding boxes instead of the axis-aligned boxes (the default
	  case). Currently only works on individual BoT objects, but can be
	  expanded to other types in the future. Contacted author of the
	  gdiam code (http://valis.cs.uiuc.edu/~sariel/papers/98/bbox.html)
	  and he agreed to dual-license the code under GPLv2 and LGPL 2.1,
	  the latter of which is compatible with BRL-CAD. A slightly
	  modified version of this code is now integrated into src/other
	  and forms the core algorithmic basis for the bb -o option.

2013-08-05 02:12  brlcad

	* [r56541] src/mged/chgview.c, src/mged/cmd.h, src/mged/setup.c:
	  more dead code elimination: viewget, viewset, vrot_center

2013-08-04 22:38  brlcad

	* [r56540] src/mged/CMakeLists.txt, src/mged/bodyio.c,
	  src/mged/cmd.h, src/mged/setup.c:
	  pjt never finished import_body/export_body, commands for
	  low-level reading/writing of geometry to files. doesn't seem like
	  a great idea to me. say buh bye. as the main reason for
	  db5_types.c, there may be other related code needing to go under
	  the hatchet.

2013-08-04 22:27  brlcad

	* [r56539] src/mged/edarb.c, src/mged/scroll.c:
	  more dead code

2013-08-04 22:25  brlcad

	* [r56538] CHANGES, doc/docbook/system/mann/en/CMakeLists.txt,
	  doc/docbook/system/mann/en/apropos.xml,
	  doc/docbook/system/mann/en/center.xml,
	  doc/docbook/system/mann/en/redraw_vlist.xml,
	  doc/html/manuals/mged/mged_cmd_index.html, src/mged/cmd.h,
	  src/mged/dodraw.c, src/mged/setup.c,
	  src/tclscripts/mged/help.tcl:
	  eliminate the 'redraw_vlist' command completely in favor of just
	  re-issuing the 'draw' command again. looks like it might not even
	  be working any more, but lets even more code get consolidated.

2013-08-04 22:21  brlcad

	* [r56537] src/libwdb/mater.c:
	  mp is no longer used

2013-08-04 21:23  brlcad

	* [r56536] src/mged/dodraw.c:
	  eliminate 545 lines of code no longer in use by eliminating the
	  old drawtrees() mged function. this functionality was migrated to
	  libged/draw.c a long while back.

2013-08-04 21:22  brlcad

	* [r56535] src/mged/clone.c:
	  looks like we can keep it even simpler and go through libged by
	  calling redraw_visible_objects().

2013-08-04 21:11  brlcad

	* [r56534] src/mged/clone.c:
	  call cmd_redraw_vlist() instead of drawtrees() after calling
	  'tracker' to replot the wireframes.

2013-08-04 21:09  brlcad

	* [r56533] src/mged/dm-generic.c:
	  bye bye dead code

2013-08-04 20:54  brlcad

	* [r56532] src/libwdb/mater.c:
	  not implemented for v4 and probably never will be. remove the
	  regionid-based-coloring implication for v4.

2013-08-04 20:50  brlcad

	* [r56531] src/libfb/if_X.c, src/liboptical/sh_gauss.c,
	  src/liboptical/sh_grass.c, src/liboptical/sh_light.c,
	  src/liboptical/sh_text.c:
	  remove dead code

2013-08-04 20:37  brlcad

	* [r56530] src/libged/view_obj.c:
	  bad assumptions in there with the magical 1.0e10 but this is a
	  deprecated interface

2013-08-04 20:31  brlcad

	* [r56529] src/libged/png.c:
	  unclear to me why there's padding on this allocation

2013-08-04 20:16  brlcad

	* [r56528] src/libged/loadview.c:
	  that remark was made in 1996... there's nothing temporary about
	  this (or literally everything could be called temporary), so
	  update the code accordingly.

2013-08-04 19:51  brlcad

	* [r56527] src/libged/dg_obj.c:
	  remove dead deprecated code

2013-08-04 19:50  brlcad

	* [r56526] src/libged/brep.c:
	  comment why these export lines are here

2013-08-04 19:33  brlcad

	* [r56525] src/libged/bot_dump.c:
	  rename all of these functions so they're consistently
	  fmt_verb_noun() with the format prefixing the function name so
	  it's clear what groups with what.

2013-08-04 19:29  erikgreenwald

	* [r56524] src/libbrep/intersect.cpp:
	  change NULL to false in boolean default

2013-08-04 19:25  brlcad

	* [r56523] src/libged/bot_dump.c:
	  refactor the SAT header writing into a static function since it's
	  used in three places

2013-08-04 19:18  brlcad

	* [r56522] src/libged/bot_dump.c:
	  nothing temporary about it, but it's clear why the old version
	  didn't work (the product ID strlen is wrong)

2013-08-04 19:04  brlcad

	* [r56521] src/libged/bot_dump.c:
	  there's nothing special about the 'produce ID' and many
	  (non-Solidworks) examples are abound online, so use our name.
	  keep the ACIS version identifier though since they probably key
	  off of that for the file format.

2013-08-04 18:57  brlcad

	* [r56520] src/libged/bot_dump.c:
	  document the SAT header

2013-08-04 18:49  brlcad

	* [r56519] src/libged/bot_dump.c:
	  don't lie, we're not always NT

2013-08-04 18:48  brlcad

	* [r56518] src/libged/bot_dump.c:
	  it's the length of the string minus the newline character

2013-08-04 18:47  brlcad

	* [r56517] src/libged/bot_dump.c:
	  make the date string be auto-formatted to correspond with the
	  actual runtime date/time

2013-08-04 18:37  brlcad

	* [r56516] src/libged/bigE.c, src/libged/bot_dump.c:
	  more dead code elimination

2013-08-04 18:14  brlcad

	* [r56515] TODO:
	  leave a todo for the bounding box mess

2013-08-04 18:09  brlcad

	* [r56514] src/libged/arb.c:
	  the more I dig, the worse it looks. this begs for refactoring.

2013-08-04 17:47  brlcad

	* [r56513] src/libdm/knob.c:
	  de-k&r and remove dead code

2013-08-04 17:45  brlcad

	* [r56512] src/libdm/dm-ogl.c, src/libdm/dm-rtgl.c,
	  src/libdm/dm-tk.c, src/libdm/dm-wgl.c, src/libdm/dm_obj.c:
	  more dead code elimination

2013-08-04 17:38  brlcad

	* [r56511] src/external/ProEngineer/proe-brl.c,
	  src/external/Unigraphics/ug-g.c,
	  src/external/Unigraphics/ug_misc.c,
	  src/external/Unigraphics/ug_misc.h:
	  remove dead code from our external plugin modules. they're
	  updated far too infrequently for any reference code to have more
	  utility than just figuring out what needs to be done going
	  forward should a need arise.

2013-08-04 17:31  brlcad

	* [r56510] src/conv/g-dot.c, src/conv/ply-g.c:
	  remove dead code

2013-08-04 17:29  brlcad

	* [r56509] src/conv/asc/g2asc.c:
	  combine the commentary on previous value with the new zero value
	  for the comgeom region #.

2013-08-04 17:22  brlcad

	* [r56508] src/bwish/input.c:
	  no if 0 case, remove the if 1 wrappage.

2013-08-04 17:22  brlcad

	* [r56507] regress/testlib.c:
	  the regex is out of date and 'invalid' as preprocessor-disabled
	  code

2013-08-04 16:10  brlcad

	* [r56506] src/libbn/tests/bn_poly_multiply.c:
	  the copyright statement is misleading, pull the explanation
	  comment down closer to the values inline.

2013-08-03 18:17  mohitdaga

	* [r56505] src/libicv/decimate.c:
	  Fix Memory allocation issue and parameter.

2013-08-03 18:04  starseeker

	* [r56504] TODO:
	  Add a TODO note that Archer needs to remember the command window
	  size and placement when it is in detached mode.

2013-08-03 18:02  starseeker

	* [r56503] src/libicv/decimate.c:
	  fix typo

2013-08-03 17:45  mohitdaga

	* [r56502] src/libicv/decimate.c:
	  Bilinear interpolation binterp for up scaling of images.

2013-08-03 14:39  mohitdaga

	* [r56501] src/libicv/decimate.c:
	  Adding nintrep : nearest neighbour method to interpolate an
	  image.

2013-08-03 13:03  starseeker

	* [r56500] src/libbn/tests/CMakeLists.txt,
	  src/libbn/tests/bn_poly_multiply.c:
	  Add patch #221 from Nyah Check (Ch3ck) implementing a libbn test
	  for bn_poly_multiply.

2013-08-03 10:46  mohitdaga

	* [r56499] src/libicv/decimate.c:
	  Add under_sample function. This will be one of the methods to
	  decimate an image.

2013-08-03 10:00  mohitdaga

	* [r56498] src/libicv/CMakeLists.txt, src/libicv/decimate.c:
	  Adding libicv/decimate.c. This will contain all the srinking and
	  decimating utilities. Also adding fuction shrink_image. This
	  function uses box averaging to shrink an image.

2013-08-03 08:43  phoenixyjll

	* [r56497] src/libbrep/intersect.cpp:
	  More powerful error handling - try another two options if the mid
	  point is not sufficient.

2013-08-03 01:48  starseeker

	* [r56496] doc/docbook/system/mann/en/search.xml:
	  No dash in front of exclamation mark for NOT in search

2013-08-02 22:06  r_weiss

	* [r56495] src/conv/fast4-g.c:
	  Allow the fast4-g converter to skip blank lines.

2013-08-02 21:45  starseeker

	* [r56494] src/libged/search.c:
	  Don't need to bother with multiple bu_getopt calls, and for the
	  purpose here that's not ideal anyway. Just loop until we hit
	  something that isn't a flag.

2013-08-02 21:23  starseeker

	* [r56493] src/libged/search.c:
	  Ah, right. Because search expressions run the risk of looking
	  like options, we need to constrain the bu_getopt search to the
	  front of the argv string. Do one pass to count the maximum
	  possible number of options. Then, do a second pass and make sure
	  that anything counted as an option is in the front of the argv
	  array. May have to impose even stronger restrictions by
	  identifying a valid path or search expression term and haulting
	  there - we'll see.

2013-08-02 20:55  starseeker

	* [r56492] NEWS:
	  Add ability to see hidden combs in searches with the -a option
	  for search

2013-08-02 20:54  starseeker

	* [r56491] src/libged/search.c, src/librt/search.c:
	  Preparing to remove dbfind, add -a and -h/-? options for search.
	  The latter are the standard help options, and the former allows
	  search to look at hidden combs. Still don't offer exactly the
	  same functionality as dbfind with the -a option - because search
	  always does a full pathc search under the hood, combs that exist
	  only under a hidden comb won't show up. May want to add a -f
	  option to allow a truly 'flat' search

2013-08-02 19:15  tbrowder2

	* [r56490] doc/burst/burst.mm:
	  macro P is ignored following macro H

2013-08-02 18:29  mohitdaga

	* [r56489] src/util/bwshrink.c:
	  Improve BOX Average in shrink function.

2013-08-02 18:13  mohitdaga

	* [r56488] src/util/dunncolor.c, src/util/dunnsnap.c,
	  src/util/pixshrink.c:
	  trailing ws

2013-08-02 18:12  mohitdaga

	* [r56487] src/util/pixshrink.c:
	  Improve Box Average method in shrink function

2013-08-02 18:04  starseeker

	* [r56486] doc/CMakeLists.txt:
	  Nevermind - just ignore the burst directory while work is
	  ongoing.

2013-08-02 18:01  tbrowder2

	* [r56485] doc/burst/run_doclifter.sh:
	  add script for experimenting with doclifter

2013-08-02 18:00  starseeker

	* [r56484] doc/CMakeLists.txt:
	  Sync doc/CMakeLists.txt file with burst changes

2013-08-02 18:00  tbrowder2

	* [r56483] doc/burst/burst.mm, doc/burst/paper.mm:
